This file is generated by Makefile; do not edit.

commit a63ce57
Author: Bill Currie <bill@taniwha.org>
Date:   Sat Aug 4 10:50:39 2012 +0900

    Update NEWS for 0.7.0.

 NEWS |   22 ++++++++++++++++++++++
 1 file changed, 22 insertions(+)

commit 848db2e
Author: Bill Currie <bill@taniwha.org>
Date:   Sat Aug 4 10:47:46 2012 +0900

    Correct a comment.
    
    The shear factors were listed next to scale... a tad confusing.

 include/QF/mathlib.h |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 130494f
Author: Bill Currie <bill@taniwha.org>
Date:   Sun Jul 22 12:08:09 2012 +0900

    Bail out if the saved game data has too many entities.

 nq/source/host_cmd.c |    2 ++
 1 file changed, 2 insertions(+)

commit 3042c2b
Author: Bill Currie <bill@taniwha.org>
Date:   Sat Jul 21 22:35:51 2012 +0900

    Create backups of quick.sav.
    
    F6 is fantastic, until you hit it by mistake after dieing when you meant
    to hit F9 (I've done that way too often). quick.sav is still the last file
    written via F6 (so F9 is unaffected), but now the previous quick.sav
    becomes quick1.sav. Up to 5 (currently) backups will be kept: quick1 is
    the newest, quick5 the oldest. A menu for accessing the backups has been
    added as a sub-menu of the load menu.

 nq/source/host_cmd.c          |   22 ++++++++++-
 ruamoko/cl_menu/client_menu.r |   88 ++++++++++++++++++++++++++++++++++++-----
 2 files changed, 99 insertions(+), 11 deletions(-)

commit 1406cf1
Author: Bill Currie <bill@taniwha.org>
Date:   Sat Jul 21 22:34:10 2012 +0900

    Mask the QFS_Rename message with SYS_FS.
    
    It really should have been masked all along, but I guess developer 1 was
    too noisy back then.

 libs/util/quakefs.c |    3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 068bc7a
Author: Bill Currie <bill@taniwha.org>
Date:   Sat Jul 21 17:53:49 2012 +0900

    Potential client state fix ala Baker.
    
    I'm not sure it's really relevant to QF, but applying it doesn't hurt.

 nq/source/cl_main.c |    1 +
 1 file changed, 1 insertion(+)

commit 543c4b2
Author: Bill Currie <bill@taniwha.org>
Date:   Sat Jul 21 16:37:14 2012 +0900

    Don't force the console for ca_connected.
    
    It's valid not to draw the console in ca_connected when changing levels.

 nq/source/cl_main.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ec94a1e
Author: Bill Currie <bill@taniwha.org>
Date:   Sat Jul 21 15:39:11 2012 +0900

    Update entity origin and angles even when invisible.
    
    This fixes the broken intermissions. There might be a better fix, but this
    will do for now because the one alternative solution (getting
    V_CalcIntermissionRefdef to poke directly at entity states) is not
    something I particularly want to do.

 nq/source/cl_ents.c |    9 ++++++++-
 1 file changed, 8 insertions(+), 1 deletion(-)

commit 372defc
Author: Bill Currie <bill@taniwha.org>
Date:   Sat Jul 21 13:58:54 2012 +0900

    Support up to 128 dlights.
    
    More or less as per MH's tut, but really just finishing something that
    should have been done years ago.

 include/QF/model.h                       |    4 +++-
 libs/video/renderer/gl/gl_lightmap.c     |    4 ++--
 libs/video/renderer/glsl/glsl_lightmap.c |    2 +-
 libs/video/renderer/r_light.c            |   30 +++++++++++++++++-------------
 libs/video/renderer/sw/sw_rsurf.c        |    2 +-
 libs/video/renderer/sw32/sw32_rsurf.c    |    2 +-
 6 files changed, 25 insertions(+), 19 deletions(-)

commit 106257d
Author: Bill Currie <bill@taniwha.org>
Date:   Fri Jul 20 16:17:26 2012 +0900

    Allow reconstructed builtins to be found by name.
    
    Certain versions of qcc (fteqcc comes to mind :P) strip the names from
    builtin functions. This breaks saved games that happen to have a builtin
    function in a saved function variable. The earlier builtin name
    reconstruction patch happened to fix the writing of save games for such
    progs, and this one fixes the reading.

 libs/gamecode/pr_builtins.c |    4 +++-
 libs/gamecode/pr_load.c     |    3 ++-
 2 files changed, 5 insertions(+), 2 deletions(-)

commit 1bc2080
Author: Bill Currie <bill@taniwha.org>
Date:   Wed Jul 18 14:51:53 2012 +0900

    Make noclipping players not touch triggers.

 nq/source/sv_cl_phys.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1548495
Author: Bill Currie <bill@taniwha.org>
Date:   Wed Jul 18 14:50:49 2012 +0900

    Make con_speed 0 instant.
    
    Nice for recording, and should give more accurate timedemos.

 libs/console/client.c |   16 ++++++++++------
 1 file changed, 10 insertions(+), 6 deletions(-)

commit d73b504
Author: Bill Currie <bill@taniwha.org>
Date:   Wed Jul 18 10:46:59 2012 +0900

    Do not do any contents evaluation if not printing contents.
    
    Fixes a segfault when tracing progs caused by the recent entity number
    change.

 libs/gamecode/pr_debug.c |    5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

commit 8691a2f
Author: Bill Currie <bill@taniwha.org>
Date:   Wed Jul 18 10:30:58 2012 +0900

    Dump a stack trace when running out of edicts.

 libs/gamecode/pr_edict.c |    1 +
 1 file changed, 1 insertion(+)

commit 7d8b0f9
Author: Bill Currie <bill@taniwha.org>
Date:   Tue Jul 17 19:10:10 2012 +0900

    Correct the fog distance calculations.
    
    It turns out the pixel's z coord is correctly obtailed by
    gl_FragCoord.z/gl_FragCoord.w.

 libs/video/renderer/glsl/iqm.frag      |    2 +-
 libs/video/renderer/glsl/quakebsp.frag |    2 +-
 libs/video/renderer/glsl/quakemdl.frag |    2 +-
 libs/video/renderer/glsl/quakepar.frag |    2 +-
 libs/video/renderer/glsl/quakepnt.frag |    2 +-
 libs/video/renderer/glsl/quakeskb.frag |    2 +-
 libs/video/renderer/glsl/quakeski.frag |    2 +-
 libs/video/renderer/glsl/quakespr.frag |    2 +-
 libs/video/renderer/glsl/quaketrb.frag |    2 +-
 9 files changed, 9 insertions(+), 9 deletions(-)

commit c4309e7
Author: Bill Currie <bill@taniwha.org>
Date:   Tue Jul 17 19:08:36 2012 +0900

    Correct the fog blend calculation for transparency.
    
    The incoming pixel's alpha should not be affected by fog. This fixes the
    ugly square smoke particles in foggy maps.

 libs/video/renderer/glsl/iqm.frag      |    2 +-
 libs/video/renderer/glsl/quakebsp.frag |    2 +-
 libs/video/renderer/glsl/quakemdl.frag |    2 +-
 libs/video/renderer/glsl/quakepar.frag |    2 +-
 libs/video/renderer/glsl/quakepnt.frag |    2 +-
 libs/video/renderer/glsl/quakeskb.frag |    2 +-
 libs/video/renderer/glsl/quakeski.frag |    2 +-
 libs/video/renderer/glsl/quakespr.frag |    2 +-
 libs/video/renderer/glsl/quaketrb.frag |    2 +-
 9 files changed, 9 insertions(+), 9 deletions(-)

commit 0e7e45b
Author: Bill Currie <bill@taniwha.org>
Date:   Tue Jul 17 17:30:16 2012 +0900

    Redo the io_mesh_qfmdl packaging.
    
    It is cross-platform, after all.

 tools/build_scripts/qf-release  |    6 +++++-
 tools/build_scripts/qf-win32.py |   10 ----------
 2 files changed, 5 insertions(+), 11 deletions(-)

commit fa61d2d
Author: Bill Currie <bill@taniwha.org>
Date:   Tue Jul 17 17:21:56 2012 +0900

    Delete old io_mesh_qfmdl zips too.

 tools/build_scripts/qf-release |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c66e437
Author: Bill Currie <bill@taniwha.org>
Date:   Tue Jul 17 17:12:34 2012 +0900

    Enable shadows for grenades.
    
    Now that shadevector is correctly transformed, grenade shadows aren't quite
    so silly.

 libs/models/model.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a7327ac
Author: Bill Currie <bill@taniwha.org>
Date:   Tue Jul 17 17:10:48 2012 +0900

    Set up shadevector for gl alias models.
    
    The setup had been lost at some stage, thus shadows were always directly
    under the entity. Unlike the original quake shadow code, the vector is
    correctly transformed into the entity's space.

 libs/video/renderer/gl/gl_mod_alias.c |    8 ++++++++
 1 file changed, 8 insertions(+)

commit fbc0ad5
Author: Bill Currie <bill@taniwha.org>
Date:   Tue Jul 17 16:11:42 2012 +0900

    Implement gl shadows for pure triangle alias models.
    
    I finally found the cause of Despair's gl shadows non-rendering+segfault...
    the shadow code expected triangle fans and strips but was getting simple
    triangles. Oops.

 libs/video/renderer/gl/gl_mod_alias.c |   42 ++++++++++++++++++++++++++++++++-
 1 file changed, 41 insertions(+), 1 deletion(-)

commit 9d1e692
Author: Bill Currie <bill@taniwha.org>
Date:   Tue Jul 17 14:43:09 2012 +0900

    Update for 0.6.99 beta 2

 NEWS |   21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

commit 3c04de1
Author: Sander van Dijk <svdijk@sourceforge.net>
Date:   Mon Jul 16 15:05:36 2012 +0200

    Better default vid_gamma value.

 libs/video/targets/vid.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4725d5a
Author: Sander van Dijk <svdijk@sourceforge.net>
Date:   Mon Jul 16 12:53:40 2012 +0200

    Add a "Prev. weapon" menu option.

 ruamoko/cl_menu/controls_o.r |    3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 134f9b0
Author: Bill Currie <bill@taniwha.org>
Date:   Mon Jul 16 07:36:31 2012 +0900

    Force pr_keys.c to get linked in.
    
    Nothing in the main program currently uses Key_Progs_Init, so the object
    file wasn't getting pulled into the link. However, it's quite necessary for
    the client console plugin :/

 libs/video/targets/keys.c |    4 ++++
 1 file changed, 4 insertions(+)

commit 8333e65
Author: Bill Currie <bill@taniwha.org>
Date:   Sun Jul 15 22:32:06 2012 +0900

    Fix non-static sw renderer for 32bit x86.
    
    Yet another undefined symbol caused by iqm support. This time caused by
    asm/not asm.

 libs/video/renderer/sw/sw_riqm.c |    4 ++++
 1 file changed, 4 insertions(+)

commit 087908a
Author: Bill Currie <bill@taniwha.org>
Date:   Sat Jul 14 15:01:55 2012 +0900

    Link in the keys progs builtins.

 tools/qwaq/qwaq-bi.c |    1 +
 1 file changed, 1 insertion(+)

commit 0f34ab8
Author: Bill Currie <bill@taniwha.org>
Date:   Sat Jul 14 14:59:44 2012 +0900

    Move pr_keys.c from console to video/targets.
    
    It wasn't very accessible/usable in the client console plugin.

 libs/console/Makefile.am       |    2 +-
 libs/console/pr_keys.c         |  147 ----------------------------------------
 libs/video/targets/Makefile.am |    2 +-
 libs/video/targets/pr_keys.c   |  147 ++++++++++++++++++++++++++++++++++++++++
 4 files changed, 149 insertions(+), 149 deletions(-)

commit f1854c8
Author: Bill Currie <bill@taniwha.org>
Date:   Sat Jul 14 10:27:48 2012 +0900

    Fix some doxygen warnings and errors.

 doc/ruadoc-layout.xml           |    1 -
 ruamoko/include/gui/InputLine.h |    7 ++++---
 2 files changed, 4 insertions(+), 4 deletions(-)

commit 37dda1e
Author: Bill Currie <bill@taniwha.org>
Date:   Sat Jul 14 10:20:10 2012 +0900

    Update for doxygen 1.8.1

 ruamoko/Doxyfile.in |  507 ++++++++++++++++++++++++++++++++++++++++-----------
 1 file changed, 401 insertions(+), 106 deletions(-)

commit 97c87cf
Author: Bill Currie <bill@taniwha.org>
Date:   Sat Jul 14 09:06:04 2012 +0900

    Initial checkin of the qwaq mini-engine.

 config.d/build_control.m4 |    3 +
 tools/qwaq/Makefile.am    |   27 ++++++-
 tools/qwaq/qwaq-bi.c      |  196 +++++++++++++++++++++++++++++++++++++++++++++
 tools/qwaq/qwaq.c         |  192 ++++++++++++++++++++++++++++++++++++++++++++
 tools/qwaq/qwaq.h         |    1 +
 5 files changed, 418 insertions(+), 1 deletion(-)

commit f9c6eac
Author: Bill Currie <bill@taniwha.org>
Date:   Sun Jul 15 07:30:17 2012 +0900

    Really fix sw32 renderer loading.
    
    It seems I never tested the sw32 renderer in a non-static build since I put
    in IQM support.

 libs/video/renderer/sw32/namehack.h    |    1 +
 libs/video/renderer/sw32/sw32_ralias.c |    2 +-
 libs/video/renderer/sw32/sw32_riqm.c   |   29 ++++++++++++++++-------------
 3 files changed, 18 insertions(+), 14 deletions(-)

commit 2f49a66
Author: Bill Currie <bill@taniwha.org>
Date:   Sun Jul 15 06:57:11 2012 +0900

    Make "serverinfo key" display the value for the key.
    
    localinfo, too. From mvdsv.

 qw/source/sv_ccmds.c |   74 ++++++++++++++++++++++++++++++++++----------------
 1 file changed, 50 insertions(+), 24 deletions(-)

commit d9288c0
Author: Bill Currie <bill@taniwha.org>
Date:   Sat Jul 14 20:16:45 2012 +0900

    Don't double-draw the bindings menus.

 ruamoko/cl_menu/controls_o.r |    6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit fd6b5ed
Author: Bill Currie <bill@taniwha.org>
Date:   Sat Jul 14 19:48:57 2012 +0900

    Don't set triangle draw type in sw32 iqm renderer.
    
    It's not used and causes link errors (I never noticed on my system).

 libs/video/renderer/sw32/sw32_riqm.c |    2 --
 1 file changed, 2 deletions(-)

commit b612527
Author: Bill Currie <bill@taniwha.org>
Date:   Sat Jul 14 19:00:11 2012 +0900

    Fix the mis-handling of the progs.dat line in preprogs.src
    
    Gah, must have lost a line at some stage. Also, handle line number
    directives.

 tools/qfcc/source/qfpreqcc |    8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

commit 7444371
Author: Bill Currie <bill@taniwha.org>
Date:   Sat Jul 14 17:47:34 2012 +0900

    Disable bolding for special chars.
    
    If an escape sequence is used to access a char, the the programmer probably
    wanted that char, regardless of the current bolding mode.

 tools/qfcc/source/strpool.c |   61 +++++++++++++++++++++++++++++++------------
 1 file changed, 45 insertions(+), 16 deletions(-)

commit 3b81416
Author: Bill Currie <bill@taniwha.org>
Date:   Sat Jul 14 17:18:01 2012 +0900

    Fix a bunch of continue vs break issues.

 tools/qfcc/source/strpool.c |   26 ++++++++++++++++----------
 1 file changed, 16 insertions(+), 10 deletions(-)

commit 1364bff
Author: Bill Currie <bill@taniwha.org>
Date:   Sat Jul 14 16:32:48 2012 +0900

    Add an extended mode to qfcc.
    
    Extended mode allows extra keywords (switch, for, etc) that are compatible
    with v6 progs.

 tools/qfcc/doc/man/qfcc.1    |    3 +++
 tools/qfcc/include/options.h |    2 +-
 tools/qfcc/source/options.c  |   16 +++++++++++++---
 tools/qfcc/source/qc-lex.l   |   38 +++++++++++++++++++-------------------
 4 files changed, 36 insertions(+), 23 deletions(-)

commit 4055d9a
Author: Bill Currie <bill@taniwha.org>
Date:   Sat Jul 14 11:47:26 2012 +0900

    Add support for \s escapes to qfcc.
    
    I guess \s is an fteqcc extention for toggling bold characters. At the
    request of freewill.

 tools/qfcc/doc/man/qfcc.1   |    2 ++
 tools/qfcc/source/strpool.c |    3 +++
 2 files changed, 5 insertions(+)

commit 45311e5
Author: Bill Currie <bill@taniwha.org>
Date:   Sat Jul 14 08:07:41 2012 +0900

    Fix an off-by-one error in qwe's substr implementation.

 qw/source/sv_pr_qwe.c |   10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit fcf7150
Author: Bill Currie <bill@taniwha.org>
Date:   Sat Jul 14 07:32:53 2012 +0900

    Remove some old renderer specific files.

 libs/video/targets/vid_glx.c   |  231 --------------------------------------
 libs/video/targets/vid_sdl32.c |  238 ----------------------------------------
 libs/video/targets/vid_sgl.c   |  188 -------------------------------
 3 files changed, 657 deletions(-)

commit b1a0086
Author: Bill Currie <bill@taniwha.org>
Date:   Fri Jul 13 19:26:27 2012 +0900

    Fix the "missing" grenades in nq demos (gl).
    
    Actually, they were microscoping (scale 0!)

 nq/source/cl_parse.c |   18 +++++++++---------
 1 file changed, 9 insertions(+), 9 deletions(-)

commit e657390
Author: Bill Currie <bill@taniwha.org>
Date:   Fri Jul 13 18:14:50 2012 +0900

    Undo a mv -> cp change.
    
    Turns out it wasn't quite what I thought it was. *shrug* :)

 tools/build_scripts/qf-release |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit fe26a55
Author: Bill Currie <bill@taniwha.org>
Date:   Fri Jul 13 17:03:11 2012 +0900

    Package the mdl import/export addon.

 tools/build_scripts/qf-release  |    3 ++-
 tools/build_scripts/qf-win32.py |   10 ++++++++++
 2 files changed, 12 insertions(+), 1 deletion(-)

commit b1c1bf5
Author: Bill Currie <bill@taniwha.org>
Date:   Fri Jul 13 15:22:53 2012 +0900

    Unlimited signon buffers.
    
    Turns out it wasn't really necessary for qte2m1, but still, nice to nuke
    another limit.

 qw/include/server.h |    5 +++--
 qw/source/sv_init.c |   47 ++++++++++++++++++++++++++++++++++++-----------
 2 files changed, 39 insertions(+), 13 deletions(-)

commit 16520e4
Author: Bill Currie <bill@taniwha.org>
Date:   Fri Jul 13 14:41:10 2012 +0900

    Get "cancel" working correctly.
    
    First, it was segging due to closing the file handle prematurely, then it
    wasn't deleting the mvd (only the text).

 qw/source/sv_demo.c |   53 +++++++++++++++++++--------------------------------
 1 file changed, 20 insertions(+), 33 deletions(-)

commit 02de92a
Author: Bill Currie <bill@taniwha.org>
Date:   Fri Jul 13 11:43:37 2012 +0900

    Use "return" strings instead of temp strings for qwe.
    
    QF's temp strings have very different semantics. Return strings are the
    ones with the same semantics (only 16 slots instead of 8 in mvdsv:)

 qw/source/sv_pr_qwe.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2dea74c
Author: Bill Currie <bill@taniwha.org>
Date:   Fri Jul 13 11:12:31 2012 +0900

    Get the client entnum from the right place.
    
    When trying to get the client ent num from an entity's owner, it helps if
    the owner field is used :P Fixes a segfault firing nails (and sometimes
    rockets) in freewill's coop mod. Hopefully fixes his "trigger in clipping
    list" bug.

 qw/source/world.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a9adc94
Author: Bill Currie <bill@taniwha.org>
Date:   Fri Jul 13 10:22:25 2012 +0900

    Force builtin function descriptors to have a name.
    
    That is, the descriptors loaded from the progs file. Some compilers (eg,
    fteqcc :P) strip builtin names from the progs, which makes debugging
    difficult.

 libs/gamecode/pr_builtins.c |    2 ++
 libs/gamecode/pr_load.c     |    2 +-
 2 files changed, 3 insertions(+), 1 deletion(-)

commit 1100596
Author: Bill Currie <bill@taniwha.org>
Date:   Fri Jul 13 07:59:50 2012 +0900

    Include the mdl import/export addon in the distribution.
    
    A tad embarrasing...

 tools/Makefile.am |    4 ++++
 1 file changed, 4 insertions(+)

commit 6fe3210
Author: Bill Currie <bill@taniwha.org>
Date:   Thu Jul 12 19:33:51 2012 +0900

    Do a bit of bound() usage auditing.
    
    While these seem to be mostly harmless, having function calls in the
    bounded value can be nasty.

 libs/video/renderer/gl/gl_fog.c     |   47 +++++++++++++++++++---------------
 libs/video/renderer/glsl/glsl_fog.c |   48 ++++++++++++++++++++---------------
 qw/source/cl_pred.c                 |    7 ++---
 3 files changed, 58 insertions(+), 44 deletions(-)

commit a822a68
Author: Bill Currie <bill@taniwha.org>
Date:   Thu Jul 12 18:15:45 2012 +0900

    Fix the inverted lighting for sw32.
    
    LordHavoc had made lighting positive for sw32, but I had done something in
    the plugin code that broke that (probably something to do with the
    colormap loading). Going back to id's original code fixes the issue.

 libs/video/renderer/sw32/sw32_rsurf.c |   14 ++++++--------
 1 file changed, 6 insertions(+), 8 deletions(-)

commit 4a9d18a
Author: Bill Currie <bill@taniwha.org>
Date:   Wed Jul 11 14:42:50 2012 +0900

    Slight rpm package cleanup to match debian.

 RPM/quakeforge.spec.in |   40 +++++++++++++---------------------------
 1 file changed, 13 insertions(+), 27 deletions(-)

commit 1369e9e
Author: Bill Currie <bill@taniwha.org>
Date:   Wed Jul 11 14:32:36 2012 +0900

    Fix rpm package building.

 RPM/quakeforge.spec.in |  147 +++++++++++++-----------------------------------
 debian/Makefile.am     |    8 +--
 2 files changed, 44 insertions(+), 111 deletions(-)

commit f467e2d
Author: Bill Currie <bill@taniwha.org>
Date:   Wed Jul 11 13:38:27 2012 +0900

    Use sed's in-place option.

 tools/build_scripts/qf-release |    3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 00215f4
Author: Bill Currie <bill@taniwha.org>
Date:   Wed Jul 11 13:37:57 2012 +0900

    Debian package building fixes.

 debian/changelog                  |   16 +++++-----
 debian/control                    |   60 +++++++++++++++++--------------------
 debian/qfcc.install               |    2 +-
 debian/quakeforge-common.install  |    4 +--
 debian/quakeforge-dev.install     |    6 ++--
 debian/quakeforge-gl.install      |    1 +
 debian/quakeforge-glsl.install    |    1 +
 debian/quakeforge-glx.install     |    2 --
 debian/quakeforge-libs-gl.install |    2 --
 debian/quakeforge-libs-sw.install |    2 --
 debian/quakeforge-servers.install |    2 +-
 debian/quakeforge-sgl.install     |    2 --
 debian/quakeforge-sw.install      |    1 +
 debian/quakeforge-sw32.install    |    1 +
 debian/rules                      |   38 +++++++++++------------
 15 files changed, 64 insertions(+), 76 deletions(-)

commit 086d811
Author: Bill Currie <bill@taniwha.org>
Date:   Wed Jul 11 10:34:30 2012 +0900

    Update for 0.6.99 beta1.
    
    Yeah, I decided it's time to think about 0.7 :)

 NEWS |   50 +++++++++++++++++++++++++++++++++++++++++++++++---
 1 file changed, 47 insertions(+), 3 deletions(-)

commit 12319cf
Author: Bill Currie <bill@taniwha.org>
Date:   Wed Jul 11 08:12:57 2012 +0900

    Revert "Slightly reducde the number of calls to glUniformMatrix4fv."
    
    This reverts commit e170f4ee75ac8263336d1a0960b975fee1e42a03.
    
    It turns out I messed up something in the patch. I noticed the problem
    while playing digs04.bsp: many sub-model surfaces, particularly those with
    animated textures, were not being transformed correctly. As this patch did
    not make a large performance difference, it's probably better to just
    revert it. I might revisit it later.

 libs/video/renderer/glsl/glsl_bsp.c |   12 +++++-------
 1 file changed, 5 insertions(+), 7 deletions(-)

commit ede65fb
Author: Bill Currie <bill@taniwha.org>
Date:   Mon Jul 9 15:56:51 2012 +0900

    Use the correct source for the backtile width/height.
    
    Yay, no more garbage on the screen :)

 libs/video/renderer/glsl/glsl_draw.c |    6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 5014825
Author: Bill Currie <bill@taniwha.org>
Date:   Mon Jul 9 15:11:03 2012 +0900

    Fix the backtile for glsl.
    
    Since the backtile is loaded into a scrap and used as a subtexture, we
    can't use GL's texture wrapping, thus do the wrapping ourselves. There are
    some minor issues with the wrong part of the scrap being drawn: need to
    investigate where the bug is (vrect, make_quad, etc).

 libs/video/renderer/glsl/glsl_draw.c |   36 ++++++++++++++++++++++++++++++----
 1 file changed, 32 insertions(+), 4 deletions(-)

commit 99e050e
Author: Bill Currie <bill@taniwha.org>
Date:   Mon Jul 9 15:10:27 2012 +0900

    Found yet another build dependency (docs).

 INSTALL |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 6e0907a
Author: Bill Currie <bill@taniwha.org>
Date:   Mon Jul 9 15:07:34 2012 +0900

    Delay the "too many entities" check.
    
    Rather than checking the raw edict count in the entities file against the
    progs' max_edicts, check the allocated entity's number. This allows loading
    of sophisticated maps (eg, digs04) that prune many of their entities.

 libs/gamecode/pr_parse.c |    7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

commit ce16750
Author: Bill Currie <bill@taniwha.org>
Date:   Mon Jul 9 15:06:42 2012 +0900

    Cache the max_edicts value in the progs struct.
    
    Makes checks a little easier.

 include/QF/progs.h       |    1 +
 libs/gamecode/pr_edict.c |    3 +--
 libs/gamecode/pr_load.c  |    1 +
 3 files changed, 3 insertions(+), 2 deletions(-)

commit 0aac004
Author: Bill Currie <bill@taniwha.org>
Date:   Mon Jul 9 15:04:12 2012 +0900

    Rearrange the edict related fields of progs_t.

 include/QF/progs.h |   17 ++++++++++-------
 1 file changed, 10 insertions(+), 7 deletions(-)

commit e91b06a
Author: Bill Currie <bill@taniwha.org>
Date:   Mon Jul 9 15:02:49 2012 +0900

    Better name for the edict count parameter to PR_LoadProgsFile.

 include/QF/progs.h      |   11 ++++++-----
 libs/gamecode/pr_load.c |    8 ++++----
 2 files changed, 10 insertions(+), 9 deletions(-)

commit fc88c82
Author: Bill Currie <bill@taniwha.org>
Date:   Fri Jul 6 19:54:25 2012 +0900

    Disable fbdev for now.
    
    By default, anyway. It doesn't work and only distracts users.

 config.d/fbdev.m4 |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 3726001
Author: Bill Currie <bill@taniwha.org>
Date:   Sun Jul 8 16:52:13 2012 +0900

    Acutally use the vertex colors for alias models.
    
    Thanks to Spirit trying QF on nvidia drivers, the missing attributes were
    found. Now he shouldn't get gl errors :)

 libs/video/renderer/glsl/quakemdl.frag |    4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 7b32428
Author: Bill Currie <bill@taniwha.org>
Date:   Sun Jul 8 07:06:29 2012 +0000

    Add a missing dependency to INSTALL
    
    The joys of building a fresh system... :)

 INSTALL |    1 +
 1 file changed, 1 insertion(+)

commit a6d9f5d
Author: Bill Currie <bill@taniwha.org>
Date:   Fri Jul 6 12:35:50 2012 +0900

    Fix a parallel make issue.

 libs/video/targets/Makefile.am |    1 +
 1 file changed, 1 insertion(+)

commit 20ad504
Author: Bill Currie <bill@taniwha.org>
Date:   Fri Jul 6 10:53:24 2012 +0900

    Correct the size adjustment for qwe's newstr.
    
    It seems the correct interpretation is that the size parameter includes the
    trailing 0 (going by mvdsv source).

 qw/source/sv_pr_qwe.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d4f4e45
Author: Bill Currie <bill@taniwha.org>
Date:   Fri Jul 6 10:44:29 2012 +0900

    Fix the bogus loading plaque when disconnected (nq).

 nq/source/cl_main.c |    4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit a558f1b
Author: Bill Currie <bill@taniwha.org>
Date:   Fri Jul 6 10:39:28 2012 +0900

    Re-enable the location marker code.
    
    Drawing is controlled via the cl_draw_locs command. Entities are still
    drawn, but that might not be such a bad thing after all.

 qw/include/client.h |    1 +
 qw/source/cl_ents.c |    7 +++----
 qw/source/cl_main.c |    3 +++
 3 files changed, 7 insertions(+), 4 deletions(-)

commit dbbd6f4
Author: Bill Currie <bill@taniwha.org>
Date:   Fri Jul 6 10:18:05 2012 +0900

    Fix a couple of missing particle function pointers.
    
    Discovered while getting the location markers working again.

 libs/video/renderer/gl/gl_dyn_part.c      |    8 ++++++++
 libs/video/renderer/glsl/glsl_particles.c |    8 ++++++++
 libs/video/renderer/sw/sw_rpart.c         |    2 ++
 libs/video/renderer/sw32/sw32_rpart.c     |    2 ++
 4 files changed, 20 insertions(+)

commit 3519931
Author: Bill Currie <bill@taniwha.org>
Date:   Fri Jul 6 08:29:21 2012 +0900

    Limit beams to one per entity.
    
    Note that this is only a soft-limit and prevents excessive beams when only
    one is expected. If more beams are desirned, just use 0 for the entity
    number.

 nq/source/cl_tent.c |   18 +++++++++++++-----
 qw/source/cl_tent.c |   18 +++++++++++++-----
 2 files changed, 26 insertions(+), 10 deletions(-)

commit 66ef8e1
Author: Bill Currie <bill@taniwha.org>
Date:   Thu Jul 5 19:06:35 2012 +0900

    Fix the ghost entities in demo playback.
    
    Really, when cl_nodelta is in effect (eg, .qwd demo recording and thus
    playback). QW now uses the new shared entity state block as I'd intended.
    Thanks to the cleanup of ghost entities (ie, entities that have been
    removed but continue to be rendered), glsl overkill has gone from 157 to
    163 fps :)

 include/client/entities.h |    4 --
 include/qw/protocol.h     |    1 +
 nq/source/cl_ents.c       |    6 +-
 qw/include/client.h       |    3 +
 qw/source/cl_entparse.c   |   67 ++++++++++--------
 qw/source/cl_ents.c       |  172 ++++++++++++++++++++++++++++++++-------------
 6 files changed, 170 insertions(+), 83 deletions(-)

commit 428d57b
Author: Bill Currie <bill@taniwha.org>
Date:   Thu Jul 5 10:30:41 2012 +0900

    Don't attemt fullbright processing for an unavailable skin.
    
    In the end, it turns out this is the correct fix for the gl seg on
    overkill, because build_skin will correctly use the fully setup player skin
    if the glskin doesn't have a texture associated with it.

 libs/models/gl_skin.c |    3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 80bc0e9
Author: Bill Currie <bill@taniwha.org>
Date:   Sun Jul 1 11:36:47 2012 +0900

    Make nq and qw use the new entity state struct.
    
    This isn't really the best solution, but it does get things being shared
    with the minimum of fuss.

 include/client/entities.h |    2 ++
 libs/client/cl_entities.c |    4 ++--
 nq/include/client.h       |    1 -
 nq/source/cl_ents.c       |    8 ++++----
 nq/source/cl_parse.c      |    4 ++--
 qw/include/client.h       |    3 +--
 qw/source/cl_demo.c       |    2 +-
 qw/source/cl_entparse.c   |    5 +++--
 qw/source/cl_ents.c       |   10 ++++++----
 qw/source/cl_main.c       |    4 +---
 qw/source/cl_parse.c      |   15 ++++++++-------
 11 files changed, 30 insertions(+), 28 deletions(-)

commit dea2f48
Author: Bill Currie <bill@taniwha.org>
Date:   Thu Jun 28 19:18:14 2012 +0900

    Move entity_state_t into client/entities.h
    
    Also, start working on the shared entity manager.

 include/client/entities.h |   34 +++++++++++++++++++++++++++++++
 include/qw/protocol.h     |   26 +-----------------------
 libs/client/cl_entities.c |   49 +++++++++++++++++++++++++++++++++++++++++++++
 nq/include/protocol.h     |   19 +-----------------
 4 files changed, 85 insertions(+), 43 deletions(-)

commit b65c41e
Author: Bill Currie <bill@taniwha.org>
Date:   Thu Jun 28 09:33:23 2012 +0900

    Move the colormod lookup table into a new lib.
    
    libQFclient is now here :) The first shared code is the lookup table.

 config.d/ac_config_files.m4 |    1 +
 include/Makefile.am         |    2 +
 include/client/entities.h   |   38 ++++++
 libs/Makefile.am            |    2 +-
 libs/client/Makefile.am     |   11 ++
 libs/client/cl_entities.c   |  293 +++++++++++++++++++++++++++++++++++++++++++
 nq/include/client.h         |    3 +-
 nq/source/Makefile.am       |    3 +-
 nq/source/cl_ents.c         |  259 --------------------------------------
 qw/include/client.h         |    2 +
 qw/source/Makefile.am       |    3 +-
 qw/source/cl_ents.c         |   12 +-
 12 files changed, 355 insertions(+), 274 deletions(-)

commit 49f7d1a
Author: Bill Currie <bill@taniwha.org>
Date:   Tue Jul 3 20:07:18 2012 +0900

    Fix the bogus entity scales in the gl render.
    
    It seems none of the other renderers support entity scale...

 nq/source/cl_ents.c  |    2 +-
 nq/source/cl_parse.c |    3 +++
 2 files changed, 4 insertions(+), 1 deletion(-)

commit ef9e8d0
Author: Bill Currie <bill@taniwha.org>
Date:   Tue Jul 3 18:20:32 2012 +0900

    Avoid some unnecessary state changes.
    
    Doesn't make much difference but it doesn't hurt.

 libs/video/renderer/glsl/glsl_main.c      |   48 +++++++++++++----------------
 libs/video/renderer/glsl/glsl_particles.c |    2 +-
 2 files changed, 22 insertions(+), 28 deletions(-)

commit ee1cb24
Author: Bill Currie <bill@taniwha.org>
Date:   Tue Jul 3 16:08:12 2012 +0900

    Move the call to R_SetFrustum to gl_R_SetupFrame.
    
    This was meant to be part of the previous commit, but I forgot to write the
    file :P

 libs/video/renderer/gl/gl_rmain.c |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit a8e0bca
Author: Bill Currie <bill@taniwha.org>
Date:   Tue Jul 3 15:57:33 2012 +0900

    Call R_SetFrustum in all renderers.
    
    It turns out glsl, sw and sw32 weren't getting any benefit from R_CullBox
    because the frustum wasn't setup :P. Get another 8% out of bigass1
    (174->184fps). bigass1 now runs 2x as fast as it did before I started this
    optimisation run :)

 include/r_local.h                     |    1 +
 libs/video/renderer/gl/gl_rmain.c     |   40 ---------------------------------
 libs/video/renderer/glsl/glsl_alias.c |    5 +++--
 libs/video/renderer/glsl/glsl_main.c  |    1 +
 libs/video/renderer/r_main.c          |   40 +++++++++++++++++++++++++++++++++
 libs/video/renderer/sw/sw_rmisc.c     |    1 +
 libs/video/renderer/sw32/sw32_rmisc.c |    1 +
 7 files changed, 47 insertions(+), 42 deletions(-)

commit e58cd75
Author: Bill Currie <bill@taniwha.org>
Date:   Tue Jul 3 15:27:48 2012 +0900

    Bound r_maxdlights properly.
    
    QF's implementation doesn't support more than 32 dlights (32 bit int).

 libs/video/renderer/r_light.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit eefefb7
Author: Bill Currie <bill@taniwha.org>
Date:   Tue Jul 3 14:45:16 2012 +0900

    Rename char_queue to draw_queue.

 libs/video/renderer/glsl/glsl_draw.c |   24 +++++++++++-------------
 1 file changed, 11 insertions(+), 13 deletions(-)

commit b25de4d
Author: Bill Currie <bill@taniwha.org>
Date:   Tue Jul 3 13:38:35 2012 +0900

    Rewrite the 2d code to use a scrap.
    
    This severely reduces the calles to BindTexture, and more importantly,
    glUseProgram, EnableVertexAttribArray etc. The biggest changes are:
    
     o  icons and text are all in the one giant texture
     o  icons and text are mixed in the one queue
    
    This gave ~9% speedup for bigass1 (159->174fps).

 include/QF/GLSL/qf_draw.h              |    1 +
 libs/video/renderer/glsl/glsl_draw.c   |  332 ++++++++++++++------------------
 libs/video/renderer/glsl/glsl_screen.c |    1 +
 3 files changed, 151 insertions(+), 183 deletions(-)

commit df35b22
Author: Bill Currie <bill@taniwha.org>
Date:   Tue Jul 3 12:10:24 2012 +0900

    Parameterize the linear filtering of scrap textures.

 include/QF/GLSL/qf_textures.h            |    2 +-
 libs/video/renderer/glsl/glsl_lightmap.c |    2 +-
 libs/video/renderer/glsl/glsl_textures.c |   12 ++++++++----
 3 files changed, 10 insertions(+), 6 deletions(-)

commit e170f4e
Author: Bill Currie <bill@taniwha.org>
Date:   Tue Jul 3 10:57:35 2012 +0900

    Slightly reducde the number of calls to glUniformMatrix4fv.
    
    It doesn't make a big difference to bigass1 (yet ?), but it does clean up
    apitrace a little.

 libs/video/renderer/glsl/glsl_bsp.c |   12 +++++++-----
 1 file changed, 7 insertions(+), 5 deletions(-)

commit 1a1b406
Author: Bill Currie <bill@taniwha.org>
Date:   Mon Jul 2 20:59:03 2012 +0900

    Fix timedemo in qw.
    
    td_lastframe needs to be a float in qw. It seems the meaning changed from
    nq to qw, but that's rather bogus. I need to look further into juat what's
    going on, but at least now timedemo works.

 qw/include/client.h |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1a6b56b
Author: Bill Currie <bill@taniwha.org>
Date:   Mon Jul 2 20:01:28 2012 +0900

    Call glTexSubImage2D only once per frame.
    
    Instead of once per surface... ouch. Gives about 20% speed boost on demo1
    (154.7->185.7)

 include/QF/GLSL/qf_lightmap.h            |    1 +
 include/QF/GLSL/qf_textures.h            |    3 +-
 libs/video/renderer/glsl/glsl_bsp.c      |    1 +
 libs/video/renderer/glsl/glsl_draw.c     |   10 +++++-
 libs/video/renderer/glsl/glsl_lightmap.c |   10 ++++--
 libs/video/renderer/glsl/glsl_textures.c |   55 +++++++++++++++++++++++++-----
 6 files changed, 68 insertions(+), 12 deletions(-)

commit 602cd84
Author: Bill Currie <bill@taniwha.org>
Date:   Mon Jul 2 19:24:39 2012 +0900

    FIx some player color issues found by valgrind.

 nq/source/cl_ents.c  |    4 ++--
 nq/source/cl_parse.c |    2 ++
 2 files changed, 4 insertions(+), 2 deletions(-)

commit 8fa92bf
Author: Bill Currie <bill@taniwha.org>
Date:   Mon Jul 2 16:49:23 2012 +0900

    Add 32 button support to sdl and win as well.
    
    The world isn't x11 (much as I'd like it to be)

 libs/video/targets/in_sdl.c |    6 +++---
 libs/video/targets/in_win.c |   10 +++++-----
 2 files changed, 8 insertions(+), 8 deletions(-)

commit 7cd8806
Author: Bill Currie <bill@taniwha.org>
Date:   Mon Jul 2 16:33:57 2012 +0900

    Add support for up to 32 mouse buttons.
    
    My new mouse reports only up to 9 (skipping 6 and 9, it seems), but I
    /have/ seen 32 button mice...

 include/QF/keys.h           |   25 +++++++++++++++++++++++++
 libs/video/targets/in_x11.c |   10 ++++------
 libs/video/targets/keys.c   |   25 +++++++++++++++++++++++++
 3 files changed, 54 insertions(+), 6 deletions(-)

commit 3d56084
Author: Bill Currie <bill@taniwha.org>
Date:   Sun Jul 1 08:15:54 2012 +0900

    Fix a memory leak.
    
    Entity/Edict leafs weren't being freed when the entity was freed.

 qw/source/world.c |    1 +
 1 file changed, 1 insertion(+)

commit 7573c38
Author: Bill Currie <bill@taniwha.org>
Date:   Sat Jun 30 20:20:15 2012 +0900

    Create qfspritegen based on id's sprgen.
    
    No guarantees it works, but it should be able to convert a bunch of pcx
    images into a sprite.

 config.d/ac_config_files.m4   |    1 +
 config.d/build_control.m4     |   15 +-
 tools/Makefile.am             |    2 +-
 tools/qfspritegen/Makefile.am |   14 ++
 tools/qfspritegen/spritegen.c |  530 +++++++++++++++++++++++++++++++++++++++++
 5 files changed, 558 insertions(+), 4 deletions(-)

commit 4da3be5
Author: Bill Currie <bill@taniwha.org>
Date:   Fri Jun 29 22:13:20 2012 +0900

    Get a minor speed gain in glsl bsp rendering.
    
    About 4% (99.5 to 104.4) from not calling VertexAttrib4fv or BindTexture
    when not necessary.

 libs/video/renderer/glsl/glsl_bsp.c |   27 +++++++++++++++++----------
 1 file changed, 17 insertions(+), 10 deletions(-)

commit 249eb8e
Author: Bill Currie <bill@taniwha.org>
Date:   Fri Jun 29 20:26:27 2012 +0900

    Bah, more segfaults :P

 qw/source/cl_cam.c |    6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit cf48d5a
Author: Bill Currie <bill@taniwha.org>
Date:   Fri Jun 29 18:44:42 2012 +0900

    Make "playdemo" without args replay the last demo.

 nq/source/cl_demo.c |    9 ++++++++-
 qw/source/cl_demo.c |    8 +++++++-
 2 files changed, 15 insertions(+), 2 deletions(-)

commit 7eaa6b7
Author: Bill Currie <bill@taniwha.org>
Date:   Fri Jun 29 17:59:30 2012 +0900

    Spawn a green dlight for chatting players.
    
    It's not very big, and shows as green only in gl, but at least there's some
    indication until I sort out icons etc.

 qw/include/client.h  |    1 +
 qw/source/cl_ents.c  |   12 ++++++++++--
 qw/source/cl_parse.c |    2 ++
 3 files changed, 13 insertions(+), 2 deletions(-)

commit 891500a
Author: Bill Currie <bill@taniwha.org>
Date:   Fri Jun 29 17:58:15 2012 +0900

    Fix yet another segfault.
    
    Yet more bugs related to the change to using info key direct access :P

 qw/source/cl_main.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 3924186
Author: Bill Currie <bill@taniwha.org>
Date:   Fri Jun 29 17:56:36 2012 +0900

    Pass the chat info key onto clients.
    
    The server's info key filtering is "explicit permit".

 qw/source/sv_main.c |    1 +
 1 file changed, 1 insertion(+)

commit baa0948
Author: Bill Currie <bill@taniwha.org>
Date:   Fri Jun 29 17:16:51 2012 +0900

    Set the chat info key to the appropriate value on key_dest change.

 qw/include/cl_chat.h |    1 -
 qw/source/cl_chat.c  |   44 +++++++++++++++++++++++++++++++++-----------
 2 files changed, 33 insertions(+), 12 deletions(-)

commit 603fe92
Author: Bill Currie <bill@taniwha.org>
Date:   Fri Jun 29 17:16:19 2012 +0900

    Add a callback for when key_dest is set.

 include/QF/keys.h         |    1 +
 libs/video/targets/keys.c |    3 +++
 2 files changed, 4 insertions(+)

commit 5214694
Author: Bill Currie <bill@taniwha.org>
Date:   Fri Jun 29 14:40:57 2012 +0900

    First part of chat info support.
    
    The idea is to allow other clients know when the player is chatting,
    fiddling with the console, etc.

 qw/include/cl_chat.h |    1 +
 qw/include/client.h  |    1 +
 qw/source/cl_chat.c  |   18 ++++++++++++++++--
 3 files changed, 18 insertions(+), 2 deletions(-)

commit a3fe8d5
Author: Bill Currie <bill@taniwha.org>
Date:   Fri Jun 29 15:13:03 2012 +0900

    Don't broadcast name changes for spectators.
    
    At the request of freewill. There might be a better mechanism, though...

 qw/source/sv_main.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0d9d777
Author: Bill Currie <bill@taniwha.org>
Date:   Fri Jun 29 11:15:11 2012 +0900

    Fix Win32 package building for recent changes.

 tools/build_scripts/qf-release  |    2 ++
 tools/build_scripts/qf-win32.py |   59 +++++++++------------------------------
 2 files changed, 15 insertions(+), 46 deletions(-)

commit 3406cad
Author: Bill Currie <bill@taniwha.org>
Date:   Fri Jun 29 10:49:21 2012 +0900

    Many distcheck fixes.
    
    Yay, bitrot :P

 include/Makefile.am                  |   23 +++++++++++++----------
 include/QF/Makefile.am               |    8 ++++----
 libs/video/renderer/gl/Makefile.am   |    2 +-
 libs/video/renderer/glsl/Makefile.am |    2 +-
 libs/video/renderer/sw32/Makefile.am |    2 +-
 libs/video/targets/Makefile.am       |    2 +-
 qw/include/Makefile.am               |    2 +-
 7 files changed, 22 insertions(+), 19 deletions(-)

commit edf4ea8
Author: Bill Currie <bill@taniwha.org>
Date:   Thu Jun 28 18:01:17 2012 +0900

    Update the doxygen config for 1.8

 doc/quakeforge.dox.conf.in |  570 +++++++++++++++++++++++++++++++++-----------
 1 file changed, 432 insertions(+), 138 deletions(-)

commit bf00009
Author: Bill Currie <bill@taniwha.org>
Date:   Thu Jun 28 16:12:06 2012 +0900

    A touch of whitespace cleanup.

 qw/source/sv_user.c |    5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 276b6f9
Author: Bill Currie <bill@taniwha.org>
Date:   Thu Jun 28 16:03:56 2012 +0900

    Add support for sv_antilag (from fteqw).
    
    I'm not 100% certain it actually works, but it doesn't seem to have broken
    anything :)

 include/world.h        |    5 +++
 qw/include/server.h    |   48 ++++++++++++++++--------
 qw/source/sv_phys.c    |   21 ++++++++---
 qw/source/sv_pr_cmds.c |    3 ++
 qw/source/sv_pr_cpqw.c |    3 ++
 qw/source/sv_user.c    |   27 +++++++++++++
 qw/source/world.c      |   98 +++++++++++++++++++++++++++++++++++++++++++-----
 7 files changed, 175 insertions(+), 30 deletions(-)

commit 40da338
Author: Bill Currie <bill@taniwha.org>
Date:   Thu Jun 28 15:09:49 2012 +0900

    Change SV_ClipToLinks's clip.type to be flags.
    
    More feature swiping from fte: the flags are needed for antilag, but I
    thought I'd grab the related features (mainly linking) while I was at it.

 include/world.h        |    6 +++++
 qw/include/server.h    |    6 -----
 qw/source/sv_pr_cpqw.c |   57 ++++++++++++++++++++++++++++++++++++++++++++++++
 qw/source/world.c      |   26 ++++++++++++++--------
 4 files changed, 80 insertions(+), 15 deletions(-)

commit 64bfde7
Author: Bill Currie <bill@taniwha.org>
Date:   Thu Jun 28 15:07:03 2012 +0900

    Allow extension builins to override standard builtins.

 qw/source/sv_progs.c |   11 +++++++++--
 1 file changed, 9 insertions(+), 2 deletions(-)

commit 3626f34
Author: Bill Currie <bill@taniwha.org>
Date:   Thu Jun 28 14:43:29 2012 +0900

    Add entnum to edict_t for faster edict->num.
    
    Swiped from fte :)

 include/QF/progs.h   |    3 ++-
 nq/source/sv_progs.c |    1 +
 qw/source/sv_progs.c |    1 +
 3 files changed, 4 insertions(+), 1 deletion(-)

commit 0d8cd72
Author: Bill Currie <bill@taniwha.org>
Date:   Thu Jun 28 14:36:05 2012 +0900

    Fix colormap and colormod.
    
    Fitzquake doesn't support colormod, so it needs to be copied from baseline
    at all times.
    
    colormap was just a thinko/typo.

 nq/source/cl_ents.c  |    6 +++---
 nq/source/cl_parse.c |    1 +
 2 files changed, 4 insertions(+), 3 deletions(-)

commit e41d269
Author: Bill Currie <bill@taniwha.org>
Date:   Tue Jun 26 20:46:46 2012 +0900

    Fix the messed up smoke trails.

 nq/source/cl_ents.c |    3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit d15ec2c
Author: Bill Currie <bill@taniwha.org>
Date:   Tue Jun 26 20:45:47 2012 +0900

    Fix the funny angle lerp for grenades etc.

 nq/source/cl_ents.c  |    6 ++++++
 nq/source/cl_parse.c |    4 ++--
 2 files changed, 8 insertions(+), 2 deletions(-)

commit 53212de
Author: Bill Currie <bill@taniwha.org>
Date:   Tue Jun 26 20:38:15 2012 +0900

    Fix the funky roll angle glitch.
    
    Introduced in the cl_view merging :/

 nq/source/cl_view.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f962db1
Author: Bill Currie <bill@taniwha.org>
Date:   Tue Jun 26 15:12:17 2012 +0900

    Nuke cl_entity_state_t.
    
    It was a hack to help with cleaning up the renderer, but is now in the way
    of merging the clients.
    
    This happens to fix the position/angle lerping, though angles behave a
    little oddly.

 nq/include/client.h  |   27 +---
 nq/source/cl_ents.c  |  365 +++++++++++++++++++++++++++++++++++++++++++++-----
 nq/source/cl_parse.c |  191 ++++++++++----------------
 3 files changed, 407 insertions(+), 176 deletions(-)

commit 6e5bc62
Author: Bill Currie <bill@taniwha.org>
Date:   Tue Jun 26 15:03:04 2012 +0900

    More client.h cleanup.

 include/qw/protocol.h |    2 +-
 nq/include/client.h   |   12 ++++------
 qw/include/client.h   |   62 +++++++++++++++++++++++--------------------------
 3 files changed, 34 insertions(+), 42 deletions(-)

commit 56f68cf
Author: Bill Currie <bill@taniwha.org>
Date:   Tue Jun 26 09:06:19 2012 +0900

    Nuke looptrack from nq's client_state_t.
    
    It's never actually used. The byte is still read from the network packet,
    of course.

 nq/include/client.h  |    2 +-
 nq/source/cl_parse.c |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 8584021
Author: Bill Currie <bill@taniwha.org>
Date:   Tue Jun 26 09:05:02 2012 +0900

    More client.h tidyup.
    
    Whitespace and shuffling fields around. Now diffing the two headers makes
    sense in client_static_t and client_state_t.

 nq/include/client.h |  138 ++++++++++++++++++------------------
 qw/include/client.h |  193 +++++++++++++++++++++++++--------------------------
 2 files changed, 160 insertions(+), 171 deletions(-)

commit f128aca
Author: Bill Currie <bill@taniwha.org>
Date:   Sun Jun 24 21:13:51 2012 +0900

    Nuke a FIXME.
    
    That was a rather evil hack, but what's worse is when I finally fixed the
    problem, I didn't fix the fixme :P

 nq/source/cl_main.c  |    2 +-
 nq/source/cl_parse.c |    3 ---
 qw/source/cl_main.c  |    2 +-
 qw/source/cl_parse.c |    4 ----
 4 files changed, 2 insertions(+), 9 deletions(-)

commit bcc1de3
Author: Bill Currie <bill@taniwha.org>
Date:   Tue Jun 26 11:06:59 2012 +0900

    Fix the missing health pickup sound on aerowalk.
    
    Caused by an out-by-one error thanks to the insane way the sound list is
    built. Came about when doing the model/sound list sanitation during the
    GLSL project, but this one was sneakier as it resulted only in a missing
    sound rather than a segfault.

 qw/source/cl_parse.c |    1 +
 1 file changed, 1 insertion(+)

commit 9b3f390
Author: Bill Currie <bill@taniwha.org>
Date:   Tue Jun 26 10:51:11 2012 +0900

    Make CL_ParseStartSoundPacket easier to read.
    
    Really just add a "bits" var from which to extract the info rather than
    overloading "channel".

 qw/source/cl_parse.c |   12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit 9cb7e00
Author: Bill Currie <bill@taniwha.org>
Date:   Sun Jun 24 11:22:37 2012 +0900

    FIx the segfault on changing levels caused by ca_active changes.
    
    Host_Reconnect_f only set cls.signon to 0, so finding it as a place to
    tweak was not so trivial :P Now it calls CL_SetState to do the job properly
    :)

 nq/source/cl_main.c  |    2 ++
 nq/source/host_cmd.c |    4 +---
 nq/source/sv_ded.c   |    5 +++++
 3 files changed, 8 insertions(+), 3 deletions(-)

commit 415decb
Author: Bill Currie <bill@taniwha.org>
Date:   Sat Jun 23 20:54:55 2012 +0900

    Use memmove instead of strcpy when deleting chars.
    
    It seems recent(?) 64-bit strcpy implementations of strcpy don't work
    properly for overlapping regions even when moving down. Quite the
    surprise, as I thought that would always work. *shrug*

 libs/console/inputline.c |   11 ++++++-----
 1 file changed, 6 insertions(+), 5 deletions(-)

commit 7b231bc
Author: Bill Currie <bill@taniwha.org>
Date:   Sat Jun 23 19:43:22 2012 +0900

    Add support for /*..*/ comments to idparse

 libs/util/idparse.c |   10 ++++++++++
 1 file changed, 10 insertions(+)

commit 409604e
Author: Bill Currie <bill@taniwha.org>
Date:   Sat Jun 23 19:39:24 2012 +0900

    Fix some build errors that snuck in.

 nq/source/cl_ents.c |    2 +-
 qw/source/cl_ents.c |    3 +--
 2 files changed, 2 insertions(+), 3 deletions(-)

commit c7a6293
Author: Bill Currie <bill@taniwha.org>
Date:   Wed Jun 20 20:41:26 2012 +0900

    Make the logic around the call to CL_ModelEffects more sensible.

 nq/source/cl_ents.c |    3 ++-
 qw/source/cl_ents.c |    8 +++-----
 2 files changed, 5 insertions(+), 6 deletions(-)

commit 0dbdf6e
Author: Bill Currie <bill@taniwha.org>
Date:   Wed Jun 20 19:53:14 2012 +0900

    Factor out the extra entity effects code.
    
    NQ only (not applicable to QW). Makes the entity loop a little easier to
    read.

 nq/source/cl_ents.c |   46 ++++++++++++++++++++++++++--------------------
 1 file changed, 26 insertions(+), 20 deletions(-)

commit 2295c1e
Author: Bill Currie <bill@taniwha.org>
Date:   Wed Jun 20 08:03:57 2012 +0900

    Remove a dead field.

 nq/include/client.h |    1 -
 1 file changed, 1 deletion(-)

commit 608c309
Author: Bill Currie <bill@taniwha.org>
Date:   Wed Jun 20 08:02:29 2012 +0900

    Factor out model based particle effects.
    
    Moving them into a separate function both cleans up entity linking and
    makes things easier for csqc when it comes.

 nq/source/cl_ents.c |   61 ++++++++++++++++++++++-----------------
 qw/source/cl_ents.c |   79 ++++++++++++++++++++++++++++-----------------------
 2 files changed, 79 insertions(+), 61 deletions(-)

commit 8612696
Author: Bill Currie <bill@taniwha.org>
Date:   Wed Jun 20 08:01:32 2012 +0900

    Clean up entity_state_t diffs.

 include/qw/protocol.h |   15 +++++++--------
 nq/include/protocol.h |   22 ++++++++++++----------
 2 files changed, 19 insertions(+), 18 deletions(-)

commit ca1a5df
Author: Bill Currie <bill@taniwha.org>
Date:   Sat Jun 16 16:05:24 2012 +0900

    Fix the missing console prompt on demo stop.
    
    CL_StopPlayback was incorrectly calling Key_SetKeyDest with key_game. As
    CL_SetState calls Key_SetKeyDest with the appropriate parameter,
    CL_StopPlayback calling Key_SetKeyDest is actually redundate, so just
    change key_game_target back to IMT_0.

 nq/source/cl_demo.c |    3 +--
 qw/source/cl_demo.c |    3 +--
 2 files changed, 2 insertions(+), 4 deletions(-)

commit b0b07d0
Author: Bill Currie <bill@taniwha.org>
Date:   Sat Jun 16 13:15:48 2012 +0900

    Support demos recorded by qizmo.
    
    I guess it's just part of how qizmo works, but a few extra packets get into
    the demo before the packet with the serverdata svc :/ More checking needs
    to be done (only the initial connect packet is checked), but this works for
    now.

 qw/source/cl_demo.c |   11 +++++++++++
 1 file changed, 11 insertions(+)

commit 2897dc5
Author: Bill Currie <bill@taniwha.org>
Date:   Mon Jun 11 21:01:45 2012 +0900

    Frame-rate independent cshift fades.
    
    As per mh's post on inside3d.com. I don't see any difference, but it still
    fades well, so... :)
    http://forums.inside3d.com/viewtopic.php?f=12&t=4899

 include/QF/render.h |    2 ++
 nq/source/cl_view.c |   52 ++++++++++++++++++++++++++++++++-------------------
 qw/source/cl_view.c |   52 ++++++++++++++++++++++++++++++++-------------------
 3 files changed, 68 insertions(+), 38 deletions(-)

commit fc67f8c
Author: Bill Currie <bill@taniwha.org>
Date:   Fri Jun 8 20:07:31 2012 +0900

    Fix up some comments.
    
    Lowsy grammar and inaccurate info...

 nq/source/cl_demo.c |    3 +--
 qw/source/cl_demo.c |    2 +-
 2 files changed, 2 insertions(+), 3 deletions(-)

commit 3a1e065
Author: Bill Currie <bill@taniwha.org>
Date:   Fri Jun 8 20:06:32 2012 +0900

    Use Sys_DoubleTime instead of realtime for timedemos.
    
    Currently, realtime is not really real time thanks to demo_speed.

 nq/source/cl_demo.c |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 01466e4
Author: Bill Currie <bill@taniwha.org>
Date:   Thu Jun 7 08:14:47 2012 +0900

    Factor out the next packet check code.

 nq/source/cl_demo.c |   38 +++++++++++++++----------
 qw/source/cl_demo.c |   77 +++++++++++++++++++++++++++++----------------------
 2 files changed, 67 insertions(+), 48 deletions(-)

commit e047775
Author: Bill Currie <bill@taniwha.org>
Date:   Wed Jun 6 22:34:17 2012 +0900

    Factor out the demo packet reading.

 nq/source/cl_demo.c |   39 ++++++++++++++++++++++-----------------
 qw/source/cl_demo.c |   35 +++++++++++++++++++++--------------
 2 files changed, 43 insertions(+), 31 deletions(-)

commit cc1bf68
Author: Bill Currie <bill@taniwha.org>
Date:   Mon Jun 4 08:20:49 2012 +0900

    Dead code nukage.
    
    Commented out even in q1source :P

 nq/source/cl_demo.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1a9fca5
Author: Bill Currie <bill@taniwha.org>
Date:   Mon Jun 4 08:20:00 2012 +0900

    Factor out the demotime get/rewind code.
    
    One step towards a tidier CL_GetDemoMessage :)

 qw/source/cl_demo.c |   76 +++++++++++++++++++++++++++------------------------
 1 file changed, 41 insertions(+), 35 deletions(-)

commit aa2a8e8
Author: Bill Currie <bill@taniwha.org>
Date:   Sun Jun 3 09:30:31 2012 +0900

    Mostly "merge" cl_screen.c.
    
    Down to protocol/networking differences.

 include/QF/screen.h            |    1 -
 libs/video/renderer/r_screen.c |    2 --
 nq/include/client.h            |    1 +
 nq/source/cl_main.c            |    1 +
 nq/source/cl_screen.c          |   24 ++++++++++++++++--------
 qw/include/client.h            |    2 ++
 qw/source/cl_screen.c          |   36 ++++++++++++++++++++++++------------
 7 files changed, 44 insertions(+), 23 deletions(-)

commit d37b85f
Author: Bill Currie <bill@taniwha.org>
Date:   Sun Jun 3 09:28:10 2012 +0900

    Split out the rss code into its own file.

 qw/source/Makefile.am |    6 ++--
 qw/source/cl_rss.c    |   93 +++++++++++++++++++++++++++++++++++++++++++++++++
 qw/source/cl_screen.c |   46 ------------------------
 3 files changed, 96 insertions(+), 49 deletions(-)

commit b2290d9
Author: Bill Currie <bill@taniwha.org>
Date:   Sat Jun 2 20:32:36 2012 +0900

    Nuke UNALIGNED_OK.
    
    It's not really necessary (and was effectively dead anyway).

 include/qw/bothdefs.h            |   10 +---------
 libs/video/renderer/sw/sw_rsky.c |   16 ----------------
 nq/include/game.h                |    6 ------
 3 files changed, 1 insertion(+), 31 deletions(-)

commit 8dc1961
Author: Bill Currie <bill@taniwha.org>
Date:   Sat Jun 2 19:46:57 2012 +0900

    Yet more diff noise reduction.

 nq/source/cl_view.c |   13 +++++++++----
 qw/source/cl_view.c |   16 ++++++++++------
 2 files changed, 19 insertions(+), 10 deletions(-)

commit c8e3cf0
Author: Bill Currie <bill@taniwha.org>
Date:   Sat Jun 2 14:14:07 2012 +0900

    Finish the "merge" of V_CalcBob.
    
    qw now uses cl.onground instead of pmove's onground (d'oh). nq now has a
    dummy spectator flag.

 nq/include/client.h |    2 ++
 nq/source/cl_view.c |    6 ++++++
 qw/source/cl_view.c |    3 +--
 3 files changed, 9 insertions(+), 2 deletions(-)

commit 84b5869
Author: Bill Currie <bill@taniwha.org>
Date:   Sat Jun 2 13:55:26 2012 +0900

    Make the view offsets make sense.
    
    Now the gun doesn't move around strangely when looking up and down with
    view offsets set.

 nq/source/cl_view.c |    8 +-------
 1 file changed, 1 insertion(+), 7 deletions(-)

commit c4d7b65
Author: Bill Currie <bill@taniwha.org>
Date:   Sat Jun 2 13:45:52 2012 +0900

    Much diff noise reduction in V_CalcRefdef.
    
    NQ's client-side onground now works similarly to QW's: -1 = not on ground,
    0+ = on ground (plane num?) but only 0 is used in NQ as the necessary
    information is not sent over the network.

 nq/include/client.h  |    2 +-
 nq/source/cl_parse.c |    4 ++--
 nq/source/cl_view.c  |    9 +++++----
 qw/source/cl_view.c  |    9 +++++----
 4 files changed, 13 insertions(+), 11 deletions(-)

commit 86ecab4
Author: Bill Currie <bill@taniwha.org>
Date:   Sat Jun 2 13:44:29 2012 +0900

    "Merge" V_ParseDamage

 nq/source/cl_view.c |    4 +---
 1 file changed, 1 insertion(+), 3 deletions(-)

commit 7dd400d
Author: Bill Currie <bill@taniwha.org>
Date:   Sat Jun 2 13:43:25 2012 +0900

    "Merge" V_CalcRoll.

 nq/source/cl_view.c |   19 +++++++++++--------
 qw/source/cl_view.c |   16 ++++++++--------
 2 files changed, 19 insertions(+), 16 deletions(-)

commit 301a643
Author: Bill Currie <bill@taniwha.org>
Date:   Sat Jun 2 13:22:02 2012 +0900

    Correct a comment, and more diff reduction.
    
    It turns out NQ "never" sent coordinats at 1/16 resolution: even q1source
    sends coords at 1/8 resolution. This gets rid of an annoying difference.

 nq/source/cl_view.c |    8 ++++----
 qw/source/cl_view.c |    6 +++---
 2 files changed, 7 insertions(+), 7 deletions(-)

commit 5bae5b3
Author: Bill Currie <bill@taniwha.org>
Date:   Fri Jun 1 08:20:09 2012 +0900

    Much diff noise reduction.

 nq/source/cl_view.c |   91 ++++++++++++++++++++++++---------------------------
 qw/source/cl_view.c |   48 ++++++++++++---------------
 2 files changed, 63 insertions(+), 76 deletions(-)

commit 81dc750
Author: Bill Currie <bill@taniwha.org>
Date:   Fri Jun 1 08:19:22 2012 +0900

    Pretend to allow screen offsets.
    
    Because qw's maxclients is always > 1, they'll never work, though :)

 qw/include/client.h |    1 +
 qw/source/cl_main.c |    2 ++
 qw/source/cl_view.c |   41 +++++++++++++++++++++++++++++++++++++++++
 3 files changed, 44 insertions(+)

commit e6ce44f
Author: Bill Currie <bill@taniwha.org>
Date:   Fri Jun 1 08:17:24 2012 +0900

    Change qw's punchangle to a vector.
    
    Consistency with nq :) (however, only pitch works in qw).

 qw/include/client.h  |    2 +-
 qw/source/cl_parse.c |    4 ++--
 qw/source/cl_view.c  |    9 +++++----
 3 files changed, 8 insertions(+), 7 deletions(-)

commit d561d55
Author: Bill Currie <bill@taniwha.org>
Date:   Fri Jun 1 08:14:41 2012 +0900

    Move the simangles hack out of cl_view.
    
    The places that will need to be fixed are now three, but cl_view.c now
    doesn't mess with values it shouldn't alter.

 qw/source/cl_cam.c   |    1 +
 qw/source/cl_parse.c |    1 +
 qw/source/cl_pred.c  |    1 +
 qw/source/cl_view.c  |    2 --
 4 files changed, 3 insertions(+), 2 deletions(-)

commit 4225602
Author: Bill Currie <bill@taniwha.org>
Date:   Thu May 31 19:40:56 2012 +0900

    Fix nq's idle swaying to match qw's.
    
    In nq, the gun would sway strangly relative to the player's view, but in
    qw, the gun is fixed. Now it is in both.

 nq/source/cl_view.c |   17 +++++++----------
 1 file changed, 7 insertions(+), 10 deletions(-)

commit a49c123
Author: Bill Currie <bill@taniwha.org>
Date:   Thu May 31 08:14:05 2012 +0900

    Shuffle some fields around in cient_state_t.

 nq/include/client.h |    7 ++-----
 qw/include/client.h |   41 ++++++++++++++++++-----------------------
 2 files changed, 20 insertions(+), 28 deletions(-)

commit 83d6dd7
Author: Bill Currie <bill@taniwha.org>
Date:   Thu May 31 08:11:39 2012 +0900

    Fix idealpitch and viewheight in qw.
    
    For certain values of "fix" ;). Both are brought back to life but
    idealpitch is never set (always 0) and veiwheight is set in V_RenderView().
    However, this brings the rest of the code in cl_view.c just that little bit
    closer to merged :)

 include/qw/protocol.h |    2 ++
 qw/include/client.h   |    2 ++
 qw/source/cl_view.c   |   27 +++++++++++++--------------
 3 files changed, 17 insertions(+), 14 deletions(-)

commit 3fd279e
Author: Bill Currie <bill@taniwha.org>
Date:   Sat May 26 12:53:03 2012 +0900

    Use info strings for scoreboard names in nq.
    
    Nukes a strcpy and a buffer, and is one step closer to merged client data.

 nq/include/client.h  |    3 ++-
 nq/source/cl_main.c  |    7 +++++++
 nq/source/cl_parse.c |    7 ++++++-
 nq/source/sbar.c     |    8 ++++----
 qw/include/client.h  |    3 +--
 5 files changed, 20 insertions(+), 8 deletions(-)

commit bf751ca
Author: Bill Currie <bill@taniwha.org>
Date:   Sat May 26 12:04:23 2012 +0900

    Split nq's colors into topcolor/bottomcolor.
    
    The protocol is not affected: the incoming colors byte is split into the
    two fields when read from the packet. This simplifies a lot of code
    elsewhere.

 nq/include/client.h  |    3 ++-
 nq/source/cl_parse.c |   15 +++++++++------
 nq/source/sbar.c     |   18 ++++++------------
 3 files changed, 17 insertions(+), 19 deletions(-)

commit afec630
Author: Bill Currie <bill@taniwha.org>
Date:   Sat May 26 11:52:09 2012 +0900

    Nuke some obsolete fields.
    
    scoreboard_t and player_info_t haven't used the
    _color/_topcolor/_bottomcolor fields for a while (since glsl).

 nq/include/client.h  |    1 -
 qw/include/client.h  |    2 --
 qw/source/cl_parse.c |    1 -
 3 files changed, 4 deletions(-)

commit fd78d90
Author: Bill Currie <bill@taniwha.org>
Date:   Sat May 26 11:31:23 2012 +0900

    Complete all stuff commands when getting server info/data.
    
    When the stufftext buffering was implemented, we forgot about
    svc_serverdata...
    
    While nq might normally not have the issue, I thought it best to implement
    in nq, too.

 nq/source/cl_parse.c |    9 +++++++--
 qw/source/cl_parse.c |    4 ++++
 2 files changed, 11 insertions(+), 2 deletions(-)

commit 28d16b6
Author: Bill Currie <bill@taniwha.org>
Date:   Sat May 26 11:15:05 2012 +0900

    Implement qw's safe stufftext buffering in nq.
    
    Avoid stuffing incomplete commands.

 nq/source/cl_parse.c |   19 ++++++++++++++++++-
 1 file changed, 18 insertions(+), 1 deletion(-)

commit 17b43ba
Author: Bill Currie <bill@taniwha.org>
Date:   Sat May 26 11:13:57 2012 +0900

    Clean up svc_disconnect differences.
    
    Now that nq has distinct ca_active and ca_connected, this will work :)

 nq/source/cl_parse.c |    6 +++++-
 qw/source/cl_parse.c |    3 +--
 2 files changed, 6 insertions(+), 3 deletions(-)

commit e730608
Author: Bill Currie <bill@taniwha.org>
Date:   Sat May 26 11:06:21 2012 +0900

    Implement r_flatlightstyles from fitzquake.

 include/QF/render.h           |    2 ++
 include/r_cvar.h              |    1 +
 libs/video/renderer/r_cvar.c  |    4 ++++
 libs/video/renderer/r_light.c |   13 +++++++++----
 nq/source/cl_parse.c          |   15 +++++++++++++++
 qw/source/cl_parse.c          |   15 +++++++++++++++
 6 files changed, 46 insertions(+), 4 deletions(-)

commit 7299ca7
Author: Bill Currie <bill@taniwha.org>
Date:   Sat May 26 10:39:42 2012 +0900

    More cl_parse tidyup.
    
    svcs are now in order: makes it even easier to see what's different between
    nq and qw.

 nq/source/cl_parse.c |  172 ++++++++++++++++++++++++++++---------------------
 qw/source/cl_parse.c |  175 ++++++++++++++++++++++++++++----------------------
 2 files changed, 197 insertions(+), 150 deletions(-)

commit 476ad75
Author: Bill Currie <bill@taniwha.org>
Date:   Thu May 24 22:10:41 2012 +0900

    Add a fixme to remove skin from qw's entity_state_t.

 include/qw/protocol.h |    4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 9c440ad
Author: Bill Currie <bill@taniwha.org>
Date:   Thu May 24 21:13:33 2012 +0900

    Rename entity_state_t's skln to skinnum in nq.
    
    Also some whitespace and comment corrections.

 include/qw/protocol.h |    1 +
 nq/include/client.h   |    5 ++---
 nq/include/protocol.h |    7 ++++---
 nq/source/cl_parse.c  |    6 +++---
 nq/source/sv_main.c   |    6 +++---
 qw/include/client.h   |    7 +++----
 6 files changed, 16 insertions(+), 16 deletions(-)

commit 25cb618
Author: Bill Currie <bill@taniwha.org>
Date:   Thu May 24 20:32:41 2012 +0900

    Clean up client_static_t a little more.

 nq/include/client.h |   20 ++++++--------------
 qw/include/client.h |   14 +++++---------
 2 files changed, 11 insertions(+), 23 deletions(-)

commit b20daaf
Author: Bill Currie <bill@taniwha.org>
Date:   Thu May 24 20:17:41 2012 +0900

    Nuke mapstring and spawnparms from client_static_t.
    
    They're completely useless. Even though spawnparms was sent over the
    network, the server ignored it. mapstring was never read anywhere.

 nq/include/client.h  |    4 ----
 nq/source/cl_main.c  |    5 +----
 nq/source/host_cmd.c |   15 ---------------
 3 files changed, 1 insertion(+), 23 deletions(-)

commit 1aa2c22
Author: Bill Currie <bill@taniwha.org>
Date:   Mon May 21 23:04:47 2012 +0900

    Nuke MAX_SCOREBOARDNAME from qw.
    
    It was different from nq's MAX_SCOREBOARDNAME, and not really necessary,
    what with being able to uuse info_key_t caches.

 qw/include/client.h  |    5 +----
 qw/source/cl_cam.c   |    8 ++++----
 qw/source/cl_ents.c  |    2 +-
 qw/source/cl_main.c  |    8 ++++----
 qw/source/cl_parse.c |   18 ++++++++++--------
 qw/source/cl_skin.c  |    4 ++--
 qw/source/sbar.c     |   36 ++++++++++++++++++------------------
 7 files changed, 40 insertions(+), 41 deletions(-)

commit b4ad695
Author: Bill Currie <bill@taniwha.org>
Date:   Mon May 21 22:50:59 2012 +0900

    Make info_t opaque.
    
    I didn't like the way client/server code was poking around at the
    implementation. Instead, provide a couple of accessor functions for the
    same information.

 include/QF/info.h    |    9 ++++-----
 libs/util/info.c     |   23 +++++++++++++++++++++++
 qtv/source/client.c  |    3 ++-
 qw/source/cl_parse.c |    5 ++---
 qw/source/sv_gib.c   |    4 +---
 qw/source/sv_main.c  |    2 +-
 qw/source/sv_qtv.c   |    2 +-
 7 files changed, 34 insertions(+), 14 deletions(-)

commit da8355a
Author: Bill Currie <bill@taniwha.org>
Date:   Mon May 21 22:26:29 2012 +0900

    Remove some commented code.

 nq/source/cl_view.c |    2 --
 1 file changed, 2 deletions(-)

commit 65bb355
Author: Bill Currie <bill@taniwha.org>
Date:   Mon May 21 22:08:54 2012 +0900

    Rearrange the offset cheat prevention.
    
    Rather than (expensively) setting the cvars to 0 every frame, just ignore
    their values in multiplayer mode.

 nq/source/cl_view.c |   18 +++++++-----------
 1 file changed, 7 insertions(+), 11 deletions(-)

commit e7c3ae9
Author: Bill Currie <bill@taniwha.org>
Date:   Mon May 21 22:00:58 2012 +0900

    Clean up some diff noise.

 nq/source/cl_screen.c |    2 +-
 nq/source/cl_view.c   |    6 ++----
 qw/source/cl_view.c   |    7 ++-----
 3 files changed, 5 insertions(+), 10 deletions(-)

commit 96785cc
Author: Bill Currie <bill@taniwha.org>
Date:   Sun May 20 19:17:41 2012 +0900

    Clean up chase/spectator camera stuff.
    
     o  Rename nq's cl_cam.c to cl_chase.c.
     o  Split out the chase cam stuff from qw's cl_cam.c to cl_chase.c

 nq/source/Makefile.am |    2 +-
 nq/source/cl_cam.c    |  253 -----------------------------------------------
 nq/source/cl_chase.c  |  260 ++++++++++++++++++++++++++++++++++++++++++++++++
 qw/include/chase.h    |   37 +++++++
 qw/include/cl_cam.h   |    3 -
 qw/source/Makefile.am |    3 +-
 qw/source/cl_cam.c    |  196 +------------------------------------
 qw/source/cl_chase.c  |  261 +++++++++++++++++++++++++++++++++++++++++++++++++
 qw/source/cl_input.c  |    1 +
 qw/source/cl_view.c   |    3 +-
 10 files changed, 565 insertions(+), 454 deletions(-)

commit ac1bf2a
Author: Bill Currie <bill@taniwha.org>
Date:   Sun Jun 10 20:54:40 2012 +0900

    Don't save unnamed fields.
    
    There will normally be only one unnamed field (if any), and it's always the
    null field. This will put an eventual end to the "'' is not a field"
    messages.

 libs/gamecode/pr_parse.c |    2 ++
 1 file changed, 2 insertions(+)

commit cf2377e
Author: Bill Currie <bill@taniwha.org>
Date:   Sun Jun 10 16:45:35 2012 +0900

    Fix view angles when loading saved games.
    
    As per mh's post on inside3d.com.

 nq/source/host_cmd.c |    6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit 2dfa871
Author: Bill Currie <bill@taniwha.org>
Date:   Sun Jun 3 20:12:34 2012 +0900

    Try mvd before qwd when no extension is given.

 qw/source/cl_demo.c |   10 ++++++++--
 1 file changed, 8 insertions(+), 2 deletions(-)

commit 93e35d7
Author: Bill Currie <bill@taniwha.org>
Date:   Sun Jun 3 19:51:43 2012 +0900

    Add demo format auto-detection.
    
    nq now rejects anything that doesn't look like a .dem, and qw not only
    rejects anything that looks like neither a .qwd nor a .mvd, but even
    detects which one is being played by the contents rather than the file name
    (foo.mvd.gz would be mis-detected as a qwd!!).

 nq/source/cl_demo.c |   61 ++++++++++++++++++++++++++++++++++++
 qw/source/cl_demo.c |   85 +++++++++++++++++++++++++++++++++++++++++++++++++--
 2 files changed, 143 insertions(+), 3 deletions(-)

commit dfc8f8b
Author: Bill Currie <bill@taniwha.org>
Date:   Sun Jun 3 15:14:29 2012 +0900

    Minor cleanup of CL_Record() and give nq default demo names.

 nq/source/cl_demo.c |   64 ++++++++++++++++++++-----
 qw/source/cl_demo.c |  133 +++++++++++++++++++++++++--------------------------
 2 files changed, 119 insertions(+), 78 deletions(-)

commit 82a4101
Author: Bill Currie <bill@taniwha.org>
Date:   Wed May 23 21:38:25 2012 +0900

    Create a proper ca_active state.
    
    Yay, no more ugly "SIGNONS" hack for whether to render :)

 nq/include/client.h   |   19 +++++++++-------
 nq/source/cl_cmd.c    |    2 +-
 nq/source/cl_demo.c   |    4 ++--
 nq/source/cl_input.c  |    2 +-
 nq/source/cl_main.c   |   58 ++++++++++++++++++++++++++++++-------------------
 nq/source/cl_parse.c  |   13 ++++++-----
 nq/source/cl_screen.c |    2 +-
 nq/source/cl_view.c   |    2 +-
 nq/source/host.c      |    6 ++---
 nq/source/host_cmd.c  |    2 +-
 10 files changed, 64 insertions(+), 46 deletions(-)

commit 7d84800
Author: Bill Currie <bill@taniwha.org>
Date:   Mon May 28 07:58:11 2012 +0900

    Remove an unnecessary if.
    
    It needed during initial development of the patch, but with the refactoring
    of s_init, it became redundant.

 libs/audio/renderer/snd_jack.c |    7 +++----
 1 file changed, 3 insertions(+), 4 deletions(-)

commit 01fb4f2
Author: Bill Currie <bill@taniwha.org>
Date:   Mon May 28 07:46:22 2012 +0900

    Attempt to reconnect to jack on loss of connection.

 libs/audio/renderer/snd_jack.c |   44 +++++++++++++++++++++++++---------------
 1 file changed, 28 insertions(+), 16 deletions(-)

commit dbc203b
Author: Bill Currie <bill@taniwha.org>
Date:   Wed May 23 08:20:56 2012 +0900

    And a few more bits of whitespace.

 libs/video/targets/fbset_modes_y.y |    4 ++--
 tools/qfcc/source/qc-parse.y       |    2 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

commit 23a3873
Author: Bill Currie <bill@taniwha.org>
Date:   Tue May 22 08:23:22 2012 +0900

    Massive whitespace cleanup.
    
    Lots of trailing whitespace and otherwise blank lines.

 include/QF/GL/ati.h                        |   26 +-
 include/QF/GL/defines.h                    |    2 +-
 include/QF/cbuf.h                          |    8 +-
 include/QF/classes/List.h                  |    2 +-
 include/QF/classes/String.h                |    2 +-
 include/QF/cvar.h                          |    2 +-
 include/QF/dstring.h                       |    2 +-
 include/QF/hash.h                          |    2 +-
 include/QF/keys.h                          |    2 +-
 include/QF/modelgen.h                      |    4 +-
 include/QF/pcx.h                           |    2 +-
 include/QF/plugin/snd_render.h             |    2 +-
 include/QF/pr_comp.h                       |   24 +-
 include/QF/progs.h                         |    2 +-
 include/QF/qfplist.h                       |    2 +-
 include/QF/quakefs.h                       |    2 +-
 include/QF/render.h                        |    4 +-
 include/QF/screen.h                        |    2 +-
 include/QF/vid.h                           |    2 +-
 include/QF/view.h                          |    2 +-
 include/anorm_dots.h                       |    2 +-
 include/anorms.h                           |  324 +++++++--------
 include/asm_draw.h                         |    2 +-
 include/d_iface.h                          |    4 +-
 include/exp.h                              |    2 +-
 include/gib_buffer.h                       |    2 +-
 include/mod_internal.h                     |    2 +-
 include/netmain.h                          |    2 +-
 include/quakeasm.h                         |    2 +-
 include/qw/protocol.h                      |    2 +-
 include/regex.h                            |   36 +-
 include/skin_stencil.h                     |    2 +-
 include/snd_internal.h                     |    4 +-
 include/vgamodes.h                         |   16 +-
 include/win32/dirent.h                     |    8 +-
 include/win32/resources/resource.h         |    2 +-
 include/winquake.h                         |    2 +-
 libs/audio/cd_file.c                       |    4 +-
 libs/audio/cd_linux.c                      |    2 +-
 libs/audio/cd_sdl.c                        |    2 +-
 libs/audio/cd_win.c                        |   10 +-
 libs/audio/cd_xmms.c                       |    8 +-
 libs/audio/renderer/flac.c                 |    2 +-
 libs/audio/renderer/midi.c                 |   12 +-
 libs/audio/renderer/snd_channels.c         |    6 +-
 libs/audio/renderer/snd_dma.c              |    2 +-
 libs/audio/renderer/vorbis.c               |    4 +-
 libs/audio/renderer/wav.c                  |    2 +-
 libs/audio/targets/snd_disk.c              |    6 +-
 libs/audio/targets/snd_oss.c               |    2 +-
 libs/audio/targets/snd_win.c               |   28 +-
 libs/console/bi_inputline.c                |    2 +-
 libs/console/client.c                      |    6 +-
 libs/console/complete.c                    |   22 +-
 libs/console/console.c                     |    4 +-
 libs/console/pr_keys.c                     |   12 +-
 libs/console/server.c                      |    4 +-
 libs/gamecode/pr_debug.c                   |    2 +-
 libs/gamecode/pr_edict.c                   |    2 +-
 libs/gamecode/pr_exec.c                    |    4 +-
 libs/gamecode/pr_opcode.c                  |    4 +-
 libs/gamecode/pr_strings.c                 |    4 +-
 libs/gib/gib_buffer.c                      |    4 +-
 libs/gib/gib_builtin.c                     |   28 +-
 libs/gib/gib_classes.c                     |   46 +--
 libs/gib/gib_execute.c                     |    8 +-
 libs/gib/gib_function.c                    |   18 +-
 libs/gib/gib_object.c                      |   22 +-
 libs/gib/gib_parse.c                       |    4 +-
 libs/gib/gib_semantics.c                   |   10 +-
 libs/gib/gib_vars.c                        |    8 +-
 libs/gib/regex.c                           |  596 ++++++++++++++--------------
 libs/image/image.c                         |    2 +-
 libs/image/pcx.c                           |    4 +-
 libs/image/tga.c                           |    2 +-
 libs/models/alias/gl_mesh.c                |   14 +-
 libs/models/brush/gl_model_brush.c         |    2 +-
 libs/models/gl_model_fullbright.c          |    2 +-
 libs/models/iqm/model_iqm.c                |    2 +-
 libs/models/test/testclip.c                |    4 +-
 libs/models/test/trace-id.c                |   14 +-
 libs/models/trace.c                        |    2 +-
 libs/net/net_chan.c                        |    4 +-
 libs/net/nm/net_dgrm.c                     |    2 +-
 libs/ruamoko/pr_cmds.c                     |    2 +-
 libs/ruamoko/rua_math.c                    |    2 +-
 libs/ruamoko/rua_obj.c                     |   10 +-
 libs/ruamoko/rua_plist.c                   |   18 +-
 libs/util/bspfile.c                        |   12 +-
 libs/util/cbuf.c                           |    6 +-
 libs/util/checksum.c                       |    2 +-
 libs/util/cmd.c                            |    6 +-
 libs/util/cvar.c                           |   12 +-
 libs/util/dirent.c                         |    4 +-
 libs/util/dstring.c                        |    2 +-
 libs/util/getopt.c                         |   10 +-
 libs/util/getopt1.c                        |    4 +-
 libs/util/hash.c                           |    6 +-
 libs/util/idparse.c                        |    4 +-
 libs/util/pakfile.c                        |    2 +-
 libs/util/plugin.c                         |   30 +-
 libs/util/qfplist.c                        |    6 +-
 libs/util/quakefs.c                        |    4 +-
 libs/util/sys.c                            |    2 +-
 libs/util/wadfile.c                        |    4 +-
 libs/util/zone.c                           |   32 +-
 libs/video/renderer/gl/gl_draw.c           |    8 +-
 libs/video/renderer/gl/gl_dyn_part.c       |    8 +-
 libs/video/renderer/gl/gl_mod_alias.c      |   32 +-
 libs/video/renderer/gl/gl_rmain.c          |    8 +-
 libs/video/renderer/gl/gl_rmisc.c          |    2 +-
 libs/video/renderer/gl/gl_textures.c       |   58 +--
 libs/video/renderer/gl/vid_common_gl.c     |   10 +-
 libs/video/renderer/glsl/glsl_particles.c  |    8 +-
 libs/video/renderer/glsl/vid_common_glsl.c |    2 +-
 libs/video/renderer/r_cvar.c               |    2 +-
 libs/video/renderer/r_light.c              |    2 +-
 libs/video/renderer/r_screen.c             |    2 +-
 libs/video/renderer/sw/d_edge.c            |    4 +-
 libs/video/renderer/sw/d_scan.c            |    2 +-
 libs/video/renderer/sw/d_sprite.c          |    2 +-
 libs/video/renderer/sw/fpu.c               |    4 +-
 libs/video/renderer/sw/sw_redge.c          |    4 +-
 libs/video/renderer/sw/sw_riqm.c           |    6 +-
 libs/video/renderer/sw/sw_rmain.c          |    6 +-
 libs/video/renderer/sw/sw_rsprite.c        |    2 +-
 libs/video/renderer/sw/sw_rsurf.c          |    2 +-
 libs/video/renderer/sw32/d_edge.c          |    4 +-
 libs/video/renderer/sw32/d_sprite.c        |    2 +-
 libs/video/renderer/sw32/draw.c            |    2 +-
 libs/video/renderer/sw32/sw32_graph.c      |    2 +-
 libs/video/renderer/sw32/sw32_redge.c      |    4 +-
 libs/video/renderer/sw32/sw32_riqm.c       |    6 +-
 libs/video/renderer/sw32/sw32_rmain.c      |    8 +-
 libs/video/renderer/sw32/sw32_rpart.c      |   16 +-
 libs/video/renderer/sw32/sw32_rsprite.c    |    2 +-
 libs/video/renderer/sw32/sw32_rsurf.c      |    2 +-
 libs/video/renderer/sw32/vid_common_sw32.c |    4 +-
 libs/video/targets/context_sdl.c           |    2 +-
 libs/video/targets/context_x11.c           |   12 +-
 libs/video/targets/fbset.c                 |    2 +-
 libs/video/targets/in_win.c                |    2 +-
 libs/video/targets/keys.c                  |    6 +-
 libs/video/targets/old_keys.c              |    2 +-
 libs/video/targets/vid.c                   |    2 +-
 libs/video/targets/vid_3dfxsvga.c          |    6 +-
 libs/video/targets/vid_sgl.c               |    2 +-
 libs/video/targets/vid_wgl.c               |   10 +-
 nq/include/client.h                        |   16 +-
 nq/include/protocol.h                      |    6 +-
 nq/include/server.h                        |    8 +-
 nq/source/cl_demo.c                        |    2 +-
 nq/source/cl_ents.c                        |    8 +-
 nq/source/cl_input.c                       |    2 +-
 nq/source/cl_main.c                        |   10 +-
 nq/source/cl_parse.c                       |    6 +-
 nq/source/cl_view.c                        |    4 +-
 nq/source/host.c                           |    2 +-
 nq/source/host_cmd.c                       |    2 +-
 nq/source/sv_cl_phys.c                     |    2 +-
 nq/source/sv_ded.c                         |    2 +-
 nq/source/sv_main.c                        |    8 +-
 nq/source/sv_move.c                        |    4 +-
 nq/source/sv_pr_cmds.c                     |    2 +-
 nq/source/sv_user.c                        |    6 +-
 qtv/source/client.c                        |    6 +-
 qtv/source/qtv.c                           |    6 +-
 qw/include/cl_cam.h                        |    2 +-
 qw/include/client.h                        |   12 +-
 qw/include/server.h                        |   16 +-
 qw/include/sv_demo.h                       |    2 +-
 qw/source/cl_chat.c                        |    4 +-
 qw/source/cl_demo.c                        |    4 +-
 qw/source/cl_input.c                       |    6 +-
 qw/source/cl_main.c                        |    6 +-
 qw/source/cl_slist.c                       |   32 +-
 qw/source/cl_view.c                        |    6 +-
 qw/source/locs.c                           |   20 +-
 qw/source/master.c                         |   12 +-
 qw/source/net_packetlog.c                  |    2 +-
 qw/source/pmove.c                          |    4 +-
 qw/source/sv_ccmds.c                       |    6 +-
 qw/source/sv_demo.c                        |    6 +-
 qw/source/sv_ents.c                        |    2 +-
 qw/source/sv_gib.c                         |   20 +-
 qw/source/sv_init.c                        |    2 +-
 qw/source/sv_main.c                        |   14 +-
 qw/source/sv_move.c                        |    4 +-
 qw/source/sv_pr_cmds.c                     |    8 +-
 qw/source/sv_pr_cpqw.c                     |    6 +-
 qw/source/sv_progs.c                       |    2 +-
 qw/source/sv_qtv.c                         |    2 +-
 qw/source/sv_send.c                        |    2 +-
 qw/source/sv_user.c                        |   22 +-
 ruamoko/include/Array.h                    |   24 +-
 ruamoko/include/AutoreleasePool.h          |   22 +-
 ruamoko/include/gui/InputLine.h            |    4 +-
 ruamoko/include/message.h                  |    2 +-
 ruamoko/lib/Array+Private.h                |    6 +-
 ruamoko/scheme/CompiledCode.h              |    4 +-
 tools/3dfx_stub/3dfxstub.h                 |   10 +-
 tools/3dfx_stub/gl_stub.c                  |    8 +-
 tools/3dfx_stub/gls_norm.c                 |   16 +-
 tools/3dfx_stub/gls_trace.c                |   10 +-
 tools/Forge/Bundles/MainPrefs/MainPrefs.m  |    2 +-
 tools/Forge/PrefsController.m              |    2 +-
 tools/Forge/main.m                         |    2 +-
 tools/bsp2img/bsp2img.c                    |    8 +-
 tools/carne/main.c                         |   22 +-
 tools/pak/pak.c                            |    2 +-
 tools/pak/pak.h                            |    2 +-
 tools/qfcc/include/function.h              |    4 +-
 tools/qfcc/include/obj_file.h              |    8 +-
 tools/qfcc/source/class.c                  |    6 +-
 tools/qfcc/source/cpp.c                    |    2 +-
 tools/qfcc/source/defspace.c               |    2 +-
 tools/qfcc/source/expr.c                   |   14 +-
 tools/qfcc/source/function.c               |    2 +-
 tools/qfcc/source/linker.c                 |    4 +-
 tools/qfcc/source/method.c                 |    6 +-
 tools/qfcc/source/qfcc.c                   |    4 +-
 tools/qfcc/source/reloc.c                  |   14 +-
 tools/qfcc/source/struct.c                 |    2 +-
 tools/qfcc/test/defs.h                     |   12 +-
 tools/qfcc/test/libfrikbot.h               |   12 +-
 tools/qflight/source/entities.c            |    6 +-
 tools/qflight/source/ltface.c              |   24 +-
 tools/qflight/source/noise.c               |    2 +-
 tools/qflight/source/options.c             |    2 +-
 tools/qflight/source/properties.c          |    4 +-
 tools/qflight/source/qflight.c             |    4 +-
 tools/qflmp/lmp.c                          |    8 +-
 tools/qflmp/lmp.h                          |    2 +-
 tools/qfmodelgen/source/modelgen.c         |   28 +-
 tools/qfmodelgen/source/trilib.c           |    4 +-
 tools/qfvis/include/vis.h                  |    8 +-
 tools/qfvis/source/flow.c                  |   14 +-
 tools/qfvis/source/options.c               |    6 +-
 tools/qfvis/source/qfvis.c                 |   22 +-
 tools/qfvis/source/soundphs.c              |    2 +-
 tools/quaketoascii/quaketoascii.c          |    6 +-
 tools/qwaq/builtins.c                      |    2 +-
 tools/texpaint/main.c                      |   74 ++--
 tools/texpaint/model.h                     |    6 +-
 tools/texpaint/model1.c                    |   54 +--
 tools/texpaint/model2.c                    |   52 +--
 tools/texpaint/open.c                      |   24 +-
 tools/texpaint/pack.c                      |   30 +-
 tools/texpaint/q1pal.h                     |  510 ++++++++++++------------
 tools/texpaint/texturepaint.c              |  182 ++++-----
 tools/texpaint/texturepaint.h              |   22 +-
 tools/wad/script.c                         |    2 +-
 tools/wad/wad.c                            |    2 +-
 tools/wad/wad.h                            |    2 +-
 254 files changed, 1792 insertions(+), 1792 deletions(-)

commit 01773c7
Author: Bill Currie <bill@taniwha.org>
Date:   Sun May 20 22:45:30 2012 +0900

    Fix the infinite think loop when playing honey.
    
    The change to nq SV_RunThink to match that in qw finally bit my bum. I
    suspect it's really a bug in the honey progs (using ltime on a non-pusher),
    but QF locking up is not very friendly. I want to keep the option of having
    a think loop in the same frame for progs that expect it (using
    self.nextthink = time), but also NQ's original method of running think
    every frame.  Hopefully no progs expect "self.nextthink = time" to run
    every frame rather than loop within the current frame.

 nq/source/sv_phys.c |    2 +-
 qw/source/sv_phys.c |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 85da69a
Author: Bill Currie <bill@taniwha.org>
Date:   Sun May 20 15:21:25 2012 +0900

    Transform normals wrt bones in sw and sw32.
    
    Better lighting :), though any scaling/shearing will produce funny results,
    and sw32's lighting is broken in general.

 libs/video/renderer/sw/sw_riqm.c     |   10 ++++++----
 libs/video/renderer/sw32/sw32_riqm.c |   10 ++++++----
 2 files changed, 12 insertions(+), 8 deletions(-)

commit b5add68
Author: Bill Currie <bill@taniwha.org>
Date:   Sun May 20 15:20:18 2012 +0900

    Add Mat4as3MultVec.
    
    to transform a vertex without the translation (eg, for normals) without
    having to have separate matrices.

 include/QF/mathlib.h |    1 +
 libs/util/mathlib.c  |   11 +++++++++++
 2 files changed, 12 insertions(+)

commit 0fbaa2a
Author: Bill Currie <bill@taniwha.org>
Date:   Sun May 20 14:23:41 2012 +0900

    Add sw32 support for iqm models.
    
    That was easy :)

 include/r_local.h                      |    2 +-
 libs/video/renderer/sw32/Makefile.am   |    4 +-
 libs/video/renderer/sw32/namehack.h    |    2 +
 libs/video/renderer/sw32/sw32_ralias.c |    2 +-
 libs/video/renderer/sw32/sw32_riqm.c   |  319 ++++++++++++++++++++++++++++++++
 libs/video/renderer/sw32/sw32_rmain.c  |   10 +-
 6 files changed, 333 insertions(+), 6 deletions(-)

commit 3087e68
Author: Bill Currie <bill@taniwha.org>
Date:   Sun May 20 10:02:44 2012 +0900

    Convert texcoords to fixed point.
    
    Bah, another weekend wasted on an oversight :( However, Mr. Fixit looks
    quite alright in the quake palette.

 libs/models/iqm/sw_model_iqm.c |   10 ++++++++--
 1 file changed, 8 insertions(+), 2 deletions(-)

commit f0285e5
Author: Bill Currie <bill@taniwha.org>
Date:   Sun May 20 08:51:15 2012 +0900

    Correct the texcoord conversion.
    
    1.0 is to represent the last pixel, not one past it.

 libs/models/iqm/sw_model_iqm.c |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit e2db2dc
Author: Bill Currie <bill@taniwha.org>
Date:   Sat May 19 21:26:11 2012 +0900

    Support static iqm models.
    
    Segging on a model with no animations is not nice :P

 libs/video/renderer/r_iqm.c |   51 ++++++++++++++++++++++++++++---------------
 1 file changed, 34 insertions(+), 17 deletions(-)

commit 6ace105
Author: Bill Currie <bill@taniwha.org>
Date:   Sat May 19 21:25:58 2012 +0900

    Fix some macro parenthesis issues.

 include/QF/mathlib.h |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit d25f39c
Author: Bill Currie <bill@taniwha.org>
Date:   Sat May 19 09:28:02 2012 +0900

    Remove pskindesc from affinetridesc_t.
    
    It's never used after being set.

 include/d_iface.h                      |    1 -
 include/d_ifacea.h                     |   17 ++++++++---------
 libs/video/renderer/sw/sw_ralias.c     |    1 -
 libs/video/renderer/sw/sw_riqm.c       |    2 --
 libs/video/renderer/sw32/sw32_ralias.c |    1 -
 5 files changed, 8 insertions(+), 14 deletions(-)

commit c1eb3e7
Author: Bill Currie <bill@taniwha.org>
Date:   Sat May 19 09:15:26 2012 +0900

    Process each vertex texcoord only once.
    
    Double converting texcoords results in 0,0 for all affected texcoords. Mr
    Fixit was looking rather ill. Now he looks weird (something wrong in the
    renderer?).

 libs/models/iqm/sw_model_iqm.c |   14 ++++++++++++--
 1 file changed, 12 insertions(+), 2 deletions(-)

commit d41bf32
Author: Bill Currie <bill@taniwha.org>
Date:   Sat May 19 09:14:07 2012 +0900

    Hopefully fix color conversion.
    
    Hard to tell because the triangle rendering is still messed up. However,
    storing negative values in bytes doesn't work :)

 libs/models/iqm/sw_model_iqm.c |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit be9c069
Author: Bill Currie <bill@taniwha.org>
Date:   Sat May 19 00:43:26 2012 +0900

    Give sw iqm its own transform setup.
    
    IQMs don't need to be scaled or offset. This fixes iqms not rendering,
    though they actually were: just super tiny.

 libs/video/renderer/sw/sw_riqm.c |   55 +++++++++++++++++++++++++++++++++++++-
 1 file changed, 54 insertions(+), 1 deletion(-)

commit c0517b1
Author: Bill Currie <bill@taniwha.org>
Date:   Sat May 19 00:34:15 2012 +0900

    Factor out the blend palette creation.
    
    gl, sw and sw32 use blend palettes, so share the code. This also abandons
    the optimization for transforming verts in sw (had all sorts of problems
    anyway). sw still doesn't work, though.

 include/r_local.h                   |    3 ++
 libs/video/renderer/gl/gl_mod_iqm.c |   21 ++----------
 libs/video/renderer/r_iqm.c         |   26 ++++++++++++++
 libs/video/renderer/sw/sw_riqm.c    |   64 ++++++++---------------------------
 4 files changed, 47 insertions(+), 67 deletions(-)

commit e069757
Author: Bill Currie <bill@taniwha.org>
Date:   Sat May 19 00:18:03 2012 +0900

    Refactor the skin setup code.

 libs/video/renderer/sw/sw_riqm.c |   61 +++++++++++++++++---------------------
 1 file changed, 27 insertions(+), 34 deletions(-)

commit fb10f38
Author: Bill Currie <bill@taniwha.org>
Date:   Fri May 18 23:31:14 2012 +0900

    SW now tries (but fails miserably) to render iqm models.
    
    Something seems to be very wrong with the transforms.

 include/r_local.h                      |    4 +
 libs/models/iqm/sw_model_iqm.c         |   18 ++
 libs/video/renderer/sw/Makefile.am     |    4 +-
 libs/video/renderer/sw/sw_ralias.c     |   12 +-
 libs/video/renderer/sw/sw_riqm.c       |  317 ++++++++++++++++++++++++++++++++
 libs/video/renderer/sw/sw_rmain.c      |   10 +-
 libs/video/renderer/sw32/namehack.h    |    2 +
 libs/video/renderer/sw32/sw32_ralias.c |   67 +++----
 8 files changed, 392 insertions(+), 42 deletions(-)

commit da87ac0
Author: Bill Currie <bill@taniwha.org>
Date:   Thu May 17 21:33:22 2012 +0900

    Remove some unused parameters.

 include/r_local.h                      |    4 ++--
 libs/video/renderer/sw/sw_ralias.c     |   17 ++++++++---------
 libs/video/renderer/sw32/sw32_ralias.c |   16 ++++++++--------
 3 files changed, 18 insertions(+), 19 deletions(-)

commit da313cf
Author: Bill Currie <bill@taniwha.org>
Date:   Thu May 17 21:17:48 2012 +0900

    Load iqm models in the sw renderers.
    
    sw32 loses 32 bit textures :/
    loading is /slow/ (converting rgb(a) to 8bit palette... ouch.

 include/QF/image.h                    |    4 +-
 include/d_iface.h                     |   11 +++
 libs/models/iqm/sw_model_iqm.c        |  145 +++++++++++++++++++++++++++++++++
 libs/video/renderer/vid_render_sw.c   |    2 +-
 libs/video/renderer/vid_render_sw32.c |    2 +-
 5 files changed, 160 insertions(+), 4 deletions(-)

commit 7637f35
Author: Bill Currie <bill@taniwha.org>
Date:   Thu May 17 16:02:13 2012 +0900

    Remove the test scaling.
    
    Heh, forgot to remove it again :)

 libs/video/renderer/gl/gl_mod_iqm.c |    1 -
 1 file changed, 1 deletion(-)

commit c3801d4
Author: Bill Currie <bill@taniwha.org>
Date:   Thu May 17 15:58:29 2012 +0900

    Render iqm models in GL.
    
    There are still many issues to sort out, but the basics are working.
    
    Problems:
    	rendered fullbright (no lighting done)
    	normals are ignored
    	extra textures (glow etc) not used/loaded
    
    4 models on the screen don't seem to be a problem.

 include/QF/GL/qf_iqm.h              |    8 +++
 libs/models/iqm/gl_model_iqm.c      |   13 ++++
 libs/video/renderer/gl/Makefile.am  |    4 +-
 libs/video/renderer/gl/gl_mod_iqm.c |  130 +++++++++++++++++++++++++++++++++++
 libs/video/renderer/gl/gl_rmain.c   |   14 +++-
 5 files changed, 165 insertions(+), 4 deletions(-)

commit f958afa
Author: Bill Currie <bill@taniwha.org>
Date:   Thu May 17 15:57:07 2012 +0900

    Optionally allocate extra data for iqm blend frames.
    
    Also, correct the blend parameter type (int->float. oops).

 include/r_local.h                   |    2 +-
 libs/video/renderer/glsl/glsl_iqm.c |    2 +-
 libs/video/renderer/r_iqm.c         |    5 +++--
 3 files changed, 5 insertions(+), 4 deletions(-)

commit 02f8aa6
Author: Bill Currie <bill@taniwha.org>
Date:   Thu May 17 15:56:01 2012 +0900

    Add Mat4MultAdd macro.

 include/QF/mathlib.h |    7 +++++++
 1 file changed, 7 insertions(+)

commit c0df07b
Author: Bill Currie <bill@taniwha.org>
Date:   Thu May 17 15:55:38 2012 +0900

    Enable loading of iqm models in gl.
    
    They don't render yet, but the engine doesn't segfault.
    The vertex blend indices are rewritten with blend palette indices.

 include/QF/GL/qf_iqm.h              |   41 +++++++++++
 include/QF/Makefile.am              |    2 +-
 include/QF/iqm.h                    |    5 ++
 include/mod_internal.h              |    1 +
 libs/models/iqm/gl_model_iqm.c      |   63 +++++++++++++++--
 libs/models/iqm/model_iqm.c         |  128 ++++++++++++++++++++++++++++++++++-
 libs/video/renderer/vid_render_gl.c |    2 +-
 7 files changed, 234 insertions(+), 8 deletions(-)

commit e722352
Author: Bill Currie <bill@taniwha.org>
Date:   Thu May 17 13:39:45 2012 +0900

    Add SYS_MODEL developer flag (8192)

 include/QF/sys.h |    1 +
 1 file changed, 1 insertion(+)

commit 2328453
Author: Bill Currie <bill@taniwha.org>
Date:   Wed May 16 18:09:44 2012 +0900

    Move IQM freeing into common code.

 include/mod_internal.h           |    2 ++
 libs/models/iqm/glsl_model_iqm.c |   15 +--------------
 libs/models/iqm/model_iqm.c      |   19 +++++++++++++++++++
 3 files changed, 22 insertions(+), 14 deletions(-)

commit 041d63c
Author: Bill Currie <bill@taniwha.org>
Date:   Wed May 16 17:44:18 2012 +0900

    Move the frame blending into common code.

 include/r_local.h                   |    2 ++
 libs/video/renderer/glsl/glsl_iqm.c |   21 +--------------------
 libs/video/renderer/r_iqm.c         |   29 +++++++++++++++++++++++++++++
 3 files changed, 32 insertions(+), 20 deletions(-)

commit 8ada7c0
Author: Bill Currie <bill@taniwha.org>
Date:   Wed May 16 08:13:59 2012 +0900

    Remove the vertex scaling.
    
    It was there only because mrfixit is rather small (8qu?) and it made
    finding him easier :). Anyway, any scaling should be done in the engine.

 libs/video/renderer/glsl/iqm.vert |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9984925
Author: Bill Currie <bill@taniwha.org>
Date:   Tue May 15 20:24:02 2012 +0900

    Correct a comment.

 libs/video/renderer/r_light.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 31772af
Author: Bill Currie <bill@taniwha.org>
Date:   Tue May 15 19:15:51 2012 +0900

    Add in some ambient light for iqm models.
    
    Though the bsp loader doesn't yet support colored lighting, the ambient
    light will be colored when it does. With this, I guess iqm model support is
    done for glsl until I figure out how I want to do dual quaternion support.

 libs/video/renderer/glsl/glsl_iqm.c |    6 ++++++
 libs/video/renderer/glsl/iqm.frag   |    4 +++-
 2 files changed, 9 insertions(+), 1 deletion(-)

commit 111377f
Author: Bill Currie <bill@taniwha.org>
Date:   Tue May 15 08:22:31 2012 +0900

    Use buffer objects for iqm vertex arrays and elements.

 include/QF/iqm.h                    |    2 ++
 libs/models/iqm/glsl_model_iqm.c    |   36 +++++++++++++++++++++++++++++++++--
 libs/models/iqm/model_iqm.c         |    2 ++
 libs/video/renderer/glsl/glsl_iqm.c |    2 ++
 4 files changed, 40 insertions(+), 2 deletions(-)

commit 5740dba
Author: Bill Currie <bill@taniwha.org>
Date:   Tue May 15 08:21:23 2012 +0900

    Mark iqm models as need-load when clearing.
    
    This fixes the segfault on map change.

 libs/models/iqm/glsl_model_iqm.c |    2 ++
 1 file changed, 2 insertions(+)

commit 0fd2b01
Author: Bill Currie <bill@taniwha.org>
Date:   Mon May 14 23:54:01 2012 +0900

    Update the shader to work as it should :)
    
    I always thought it whould be "light - point" :P. Also, in normal maps, 127
    is 0.

 libs/video/renderer/glsl/iqm.frag |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit c454b96
Author: Bill Currie <bill@taniwha.org>
Date:   Mon May 14 23:51:49 2012 +0900

    Translate lights into entity space.
    
    Finally, lights work "properly". Probably the nicest lighting we've ever
    had :) (still have to put in ambient, though).

 libs/video/renderer/glsl/glsl_iqm.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1375c3c
Author: Bill Currie <bill@taniwha.org>
Date:   Mon May 14 23:02:06 2012 +0900

    Finally, load textures for iqm :)

 include/QF/GLSL/qf_iqm.h                 |    7 +++
 include/QF/GLSL/qf_textures.h            |    2 +
 include/QF/iqm.h                         |    1 +
 include/QF/plugin/vid_render.h           |    3 +-
 include/mod_internal.h                   |    9 ++--
 libs/models/iqm/glsl_model_iqm.c         |   81 +++++++++++++++++++++++++++++-
 libs/models/iqm/model_iqm.c              |    1 +
 libs/video/renderer/glsl/glsl_iqm.c      |   13 +++++
 libs/video/renderer/glsl/glsl_textures.c |   28 +++++++++--
 libs/video/renderer/vid_render_gl.c      |    1 +
 libs/video/renderer/vid_render_glsl.c    |    1 +
 libs/video/renderer/vid_render_sw.c      |    1 +
 libs/video/renderer/vid_render_sw32.c    |    1 +
 13 files changed, 139 insertions(+), 10 deletions(-)

commit a032aa5
Author: Bill Currie <bill@taniwha.org>
Date:   Mon May 14 20:29:36 2012 +0900

    Get the lights working (as such).
    
    They work nicely now when the normal map and texture are bypassed (don't
    know what texture is getting used currently).

 libs/video/renderer/glsl/iqm.frag |    7 +++++--
 libs/video/renderer/glsl/iqm.vert |    5 +++--
 2 files changed, 8 insertions(+), 4 deletions(-)

commit 8c5e278
Author: Bill Currie <bill@taniwha.org>
Date:   Mon May 14 07:58:54 2012 +0900

    Implement frame blending for iqm.
    
    Now that I have things working... :)

 libs/video/renderer/glsl/glsl_iqm.c |    6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit c694b9f
Author: Bill Currie <bill@taniwha.org>
Date:   Mon May 14 07:57:22 2012 +0900

    Add Mat4Blend macro.

 include/QF/mathlib.h |   15 +++++++++++----
 1 file changed, 11 insertions(+), 4 deletions(-)

commit a938c7f
Author: Bill Currie <bill@taniwha.org>
Date:   Sun May 13 21:44:20 2012 +0900

    Almost fix the animations.
    
    There's still a problem with his finger tips and feet, but the rest of his
    limbs seem to be working well. Much thanks to Spike for encouraging me to
    do a dump of the matices that are actually sent to the card.
    
    It turns out that animated joints remain relative right up to the last
    moment.

 libs/video/renderer/glsl/glsl_iqm.c |   11 +++++++++--
 libs/video/renderer/glsl/iqm.vert   |    2 +-
 2 files changed, 10 insertions(+), 3 deletions(-)

commit 4ba69b5
Author: Bill Currie <bill@taniwha.org>
Date:   Sun May 13 07:06:30 2012 +0900

    Make quat_origin the right type.
    
    It's quat_t, not vec3_t :P.

 libs/util/mathlib.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 202ab04
Author: Bill Currie <bill@taniwha.org>
Date:   Sat May 12 23:25:21 2012 +0900

    Ensure the rotation quats are normalized.
    
    Doesn't make any noticeable difference, but it doesn't hurt.

 libs/models/iqm/model_iqm.c |    9 ++++++++-
 1 file changed, 8 insertions(+), 1 deletion(-)

commit 31d8978
Author: Bill Currie <bill@taniwha.org>
Date:   Sat May 12 20:02:05 2012 +0900

    Use the correct index variable when byteswapping the arrays.
    
    Not the cause of the broken animations :(

 libs/models/iqm/model_iqm.c |    8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 7cda91a
Author: Bill Currie <bill@taniwha.org>
Date:   Sat May 12 19:14:07 2012 +0900

    Temporarily disable dual quaternions.
    
    The animation data isn't getting loaded or used properly (not sure yet).
    This helps ensure it's not something I've done wrong with dual quats.

 libs/models/iqm/model_iqm.c         |    6 +++++-
 libs/video/renderer/glsl/glsl_iqm.c |    6 +++++-
 libs/video/renderer/glsl/iqm.vert   |    6 ++++++
 3 files changed, 16 insertions(+), 2 deletions(-)

commit 4b38048
Author: Bill Currie <bill@taniwha.org>
Date:   Sat May 12 08:19:15 2012 +0900

    Create functions for rotation and translation.

 libs/video/renderer/glsl/iqm.vert |   33 ++++++++++++++++++++++++---------
 1 file changed, 24 insertions(+), 9 deletions(-)

commit 5b4fdd2
Author: Bill Currie <bill@taniwha.org>
Date:   Fri May 11 21:56:34 2012 +0900

    Use the correct position for light calcs.
    
    I should have remembered that gl_FragCoord wasn't right.

 libs/video/renderer/glsl/iqm.frag |    5 +++--
 libs/video/renderer/glsl/iqm.vert |    4 +++-
 2 files changed, 6 insertions(+), 3 deletions(-)

commit 2080c33
Author: Bill Currie <bill@taniwha.org>
Date:   Fri May 11 21:53:16 2012 +0900

    Avoid using malloc/free every model/frame.

 include/r_internal.h                |    2 +-
 libs/video/renderer/glsl/glsl_iqm.c |    8 +++-----
 libs/video/renderer/r_light.c       |   11 +++++------
 3 files changed, 9 insertions(+), 12 deletions(-)

commit c2e0674
Author: Bill Currie <bill@taniwha.org>
Date:   Fri May 11 21:22:10 2012 +0900

    Implement R_IQMGetLerpedFrames().
    
    Like R_AliasGetLerpedFrames, but for IQM. It calcualtes the current frame
    number and blend between the previous and current frames.

 include/r_local.h                   |    4 ++-
 libs/video/renderer/Makefile.am     |    4 +--
 libs/video/renderer/glsl/glsl_iqm.c |    2 +-
 libs/video/renderer/r_iqm.c         |   67 +++++++++++++++++++++++++++++++++++
 4 files changed, 73 insertions(+), 4 deletions(-)

commit 8387d98
Author: Bill Currie <bill@taniwha.org>
Date:   Fri May 11 19:17:21 2012 +0900

    Change position to vposition.

 libs/video/renderer/glsl/glsl_iqm.c |    8 ++++----
 libs/video/renderer/glsl/iqm.vert   |    4 ++--
 2 files changed, 6 insertions(+), 6 deletions(-)

commit 099ef34
Author: Bill Currie <bill@taniwha.org>
Date:   Fri May 11 17:42:49 2012 +0900

    Advance the vertex attrib index.
    
    Disabling the array right after enabling it was causing things to just not
    work :P

 libs/video/renderer/glsl/glsl_iqm.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d1d4c61
Author: Bill Currie <bill@taniwha.org>
Date:   Fri May 11 17:15:20 2012 +0900

    Get the frame data from the right places.
    
    Always using joint[0] of the frames wasn't very useful.

 libs/video/renderer/glsl/glsl_iqm.c |    5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

commit 74cb49e
Author: Bill Currie <bill@taniwha.org>
Date:   Fri May 11 16:43:29 2012 +0900

    Free the blended frame data.

 libs/video/renderer/glsl/glsl_iqm.c |    3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 551dfc4
Author: Bill Currie <bill@taniwha.org>
Date:   Fri May 11 15:40:28 2012 +0900

    Build the iqm vertex arrays in the correct order.
    
    They need to be built in ascending type order (makes life easier in the
    renderer).

 libs/models/iqm/model_iqm.c |   22 +++++++++++-----------
 1 file changed, 11 insertions(+), 11 deletions(-)

commit bea8f8f
Author: Bill Currie <bill@taniwha.org>
Date:   Fri May 11 15:39:41 2012 +0900

    Fix a segfault when searching for dlights.
    
    Uninitialized var bites my bum :P

 libs/video/renderer/r_light.c |    1 +
 1 file changed, 1 insertion(+)

commit 2e98c31
Author: Bill Currie <bill@taniwha.org>
Date:   Fri May 11 15:31:40 2012 +0900

    Check the corrent bits when reading scale frame data.
    
    Fixes the invalid reads when loading an iqm (at least for mrfixit).

 libs/models/iqm/model_iqm.c |   20 ++++++++++----------
 1 file changed, 10 insertions(+), 10 deletions(-)

commit 9c69404
Author: Bill Currie <bill@taniwha.org>
Date:   Fri May 11 15:26:34 2012 +0900

    Attempt to render iqm models.
    
    Things are a right mess (segfaults, invalid accesses on load, etc), but
    hey, it's a start :)

 libs/video/renderer/glsl/glsl_iqm.c |   93 ++++++++++++++++++++++++++++++++++-
 libs/video/renderer/glsl/iqm.frag   |   31 +++++++-----
 libs/video/renderer/glsl/iqm.vert   |    6 +--
 3 files changed, 113 insertions(+), 17 deletions(-)

commit 15fd3be
Author: Bill Currie <bill@taniwha.org>
Date:   Fri May 11 15:25:57 2012 +0900

    Allow iqm models when storing efrags.

 libs/video/renderer/r_efrag.c |    1 +
 1 file changed, 1 insertion(+)

commit a880f33
Author: Bill Currie <bill@taniwha.org>
Date:   Fri May 11 15:25:22 2012 +0900

    Set the model type for iqm.
    
    Forgot this rather important step :P

 libs/models/iqm/model_iqm.c |    1 +
 1 file changed, 1 insertion(+)

commit 41e7a6c
Author: Bill Currie <bill@taniwha.org>
Date:   Fri May 11 14:28:16 2012 +0900

    Search for the "nearest" dlights.
    
    Nearness is a function of both distance and intensity: distant bright
    lights can take priority over close dim lights.

 include/r_internal.h          |    1 +
 libs/video/renderer/r_light.c |   53 +++++++++++++++++++++++++++++++++++++++++
 2 files changed, 54 insertions(+)

commit 0becd35
Author: Bill Currie <bill@taniwha.org>
Date:   Fri May 11 12:49:14 2012 +0900

    Begin work on rendering iqm models.
    
    No chance of working yet, but the shaders compile :)

 include/QF/GLSL/qf_iqm.h             |   40 +++++++
 include/QF/Makefile.am               |    2 +-
 libs/video/renderer/glsl/Makefile.am |    4 +-
 libs/video/renderer/glsl/glsl_iqm.c  |  191 ++++++++++++++++++++++++++++++++++
 libs/video/renderer/glsl/glsl_main.c |   11 ++
 libs/video/renderer/glsl/iqm.frag    |   56 ++++++++++
 libs/video/renderer/glsl/iqm.vert    |    2 +-
 7 files changed, 303 insertions(+), 3 deletions(-)

commit 078cb10
Author: Bill Currie <bill@taniwha.org>
Date:   Fri May 11 12:47:20 2012 +0900

    Add a stride field to iqm_t.
    
    Since iqm vertex arrays are variable, and I don't want to calculate the
    stride every time I render a model, cached the value used when building the
    arrays.

 include/QF/iqm.h            |    1 +
 libs/models/iqm/model_iqm.c |    1 +
 2 files changed, 2 insertions(+)

commit 15d35fb
Author: Bill Currie <bill@taniwha.org>
Date:   Thu May 10 22:06:49 2012 +0900

    Add mvp_mat and some comments.

 libs/video/renderer/glsl/iqm.vert |   13 ++++++++-----
 1 file changed, 8 insertions(+), 5 deletions(-)

commit 59c5bf2
Author: Bill Currie <bill@taniwha.org>
Date:   Thu May 10 20:39:24 2012 +0900

    Code up an initial version of the iqm vertex shader.
    
    Probably more bugs than an old kitchen cupboard :P

 libs/video/renderer/glsl/iqm.vert |   55 +++++++++++++++++++++++++++++++++++++
 1 file changed, 55 insertions(+)

commit 6ab3bd4
Author: Bill Currie <bill@taniwha.org>
Date:   Thu May 10 20:38:39 2012 +0900

    Implement IQM animation loading.
    
    Bone poses are converted to dual quaternions + shear + scale for nice
    skinning. Will likely be slow for software skinning, but too bad.

 include/QF/iqm.h            |    5 ++
 libs/models/iqm/model_iqm.c |  112 ++++++++++++++++++++++++++++++++++++++++++-
 2 files changed, 116 insertions(+), 1 deletion(-)

commit 9a32067
Author: Bill Currie <bill@taniwha.org>
Date:   Thu May 10 17:23:26 2012 +0900

    Add VectorUnshear().
    
    VectorUnshear uses the exact same shear vector to remove shear from a
    sheared vector. ie with:
      VectorShear (shear, v, w);
      VectorUnshear (shear, w, x);
    x == v within fp math limits.

 include/QF/mathlib.h |    6 ++++++
 1 file changed, 6 insertions(+)

commit bf38e60
Author: Bill Currie <bill@taniwha.org>
Date:   Thu May 10 14:47:46 2012 +0900

    Implement iqm joint loading.

 include/QF/iqm.h            |   13 ++++++++++++-
 libs/models/iqm/model_iqm.c |   21 +++++++++++++++++++++
 2 files changed, 33 insertions(+), 1 deletion(-)

commit 9f25345
Author: Bill Currie <bill@taniwha.org>
Date:   Thu May 10 14:42:40 2012 +0900

    Implement and test Mat4Inverse().

 include/QF/mathlib.h      |    3 +-
 libs/util/mathlib.c       |   67 +++++++++++++++++++++++++++++++++++++++++++++
 libs/util/test/test-mat.c |   49 +++++++++++++++++++++++++++++++++
 3 files changed, 118 insertions(+), 1 deletion(-)

commit fa62703
Author: Bill Currie <bill@taniwha.org>
Date:   Thu May 10 13:04:50 2012 +0900

    Make Mat4Decompose a little more intuitive.
    
    Params are now in application order (good thing not much code uses it yet).

 include/QF/mathlib.h      |   14 ++++++++++++--
 libs/util/mathlib.c       |    6 +++---
 libs/util/test/test-mat.c |    4 ++--
 3 files changed, 17 insertions(+), 7 deletions(-)

commit 1473dbd
Author: Bill Currie <bill@taniwha.org>
Date:   Thu May 10 11:40:29 2012 +0900

    Add a comment about the evaluation order in VectorShear.

 include/QF/mathlib.h |    3 +++
 1 file changed, 3 insertions(+)

commit de131c1
Author: Bill Currie <bill@taniwha.org>
Date:   Wed May 9 22:28:22 2012 +0900

    Add VectorShear and really test Mat4Decompose.
    
    And the tests really exercised VectorShear (first attempt had things
    messed up when more than one shear value was non-zero). Also,
    Mat4Decompose wasn't orthogonalizing the z axis row. Oops. Anyway,
    Mat4Decompose is now known to work well, and the usage of its output is
    understood :)

 include/QF/mathlib.h      |   16 +++++++++++++++
 libs/util/mathlib.c       |    6 ++++--
 libs/util/test/test-mat.c |   50 +++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 70 insertions(+), 2 deletions(-)

commit 8cea6b0
Author: Bill Currie <bill@taniwha.org>
Date:   Wed May 9 21:07:44 2012 +0900

    Fix a scaling snafu in Mat4Decompose.
    
    Found when checking how rotation affects non-uniform scaling (haven't
    written proper tests yet: need to figure out how).

 libs/util/mathlib.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 82abd5e
Author: Bill Currie <bill@taniwha.org>
Date:   Wed May 9 19:07:27 2012 +0900

    More matrix tests.

 include/QF/mathlib.h      |    2 ++
 libs/util/mathlib.c       |   10 ++++++
 libs/util/test/test-mat.c |   83 ++++++++++++++++++++++++++++++++++++++++-----
 3 files changed, 86 insertions(+), 9 deletions(-)

commit 730f966
Author: Bill Currie <bill@taniwha.org>
Date:   Wed May 9 12:17:52 2012 +0900

    Add support for mat4 * vec3

 include/QF/mathlib.h |    1 +
 libs/util/mathlib.c  |   11 +++++++++++
 2 files changed, 12 insertions(+)

commit 50af8a5
Author: Bill Currie <bill@taniwha.org>
Date:   Wed May 9 12:06:17 2012 +0900

    Add tests for matrix decomposition and fix the bugs.

 include/QF/mathlib.h       |    9 +++--
 libs/util/mathlib.c        |   38 ++++++++++----------
 libs/util/test/Makefile.am |    6 +++-
 libs/util/test/test-mat.c  |   84 ++++++++++++++++++++++++++++++++++++++++++++
 libs/util/test/test-quat.c |    3 ++
 5 files changed, 118 insertions(+), 22 deletions(-)

commit 52ab4f6
Author: Bill Currie <bill@taniwha.org>
Date:   Wed May 9 09:51:59 2012 +0900

    Add code for loading vertex colors.
    
    And correct an oopsie in bledweights.

 libs/models/iqm/model_iqm.c |   23 ++++++++++++++++++++++-
 1 file changed, 22 insertions(+), 1 deletion(-)

commit 724427a
Author: Bill Currie <bill@taniwha.org>
Date:   Wed May 9 09:50:42 2012 +0900

    Add component-wise vector and quaternion division.
    
    Mostly for non-uniform scaling.

 include/QF/mathlib.h |   13 +++++++++++++
 1 file changed, 13 insertions(+)

commit 215d2e9
Author: Bill Currie <bill@taniwha.org>
Date:   Wed May 9 09:45:17 2012 +0900

    Add a function to decompose a matrix.
    
    The function gives rotation(quaternion), scale, shear, and translation (all
    three as vectors), shear is (XY, XZ, YZ).

 include/QF/mathlib.h |    3 ++
 libs/util/mathlib.c  |   76 ++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 79 insertions(+)

commit 1be9384
Author: Bill Currie <bill@taniwha.org>
Date:   Tue May 1 21:54:08 2012 +0900

    Load the iqm vertex and triangle data.
    
    Still have the meshes, joints and animations to go.

 include/QF/iqm.h            |   10 ++
 libs/models/iqm/model_iqm.c |  301 +++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 311 insertions(+)

commit 890223e
Author: Bill Currie <bill@taniwha.org>
Date:   Tue May 1 21:46:09 2012 +0900

    Correct the definition of DualQuatNorm.
    
    I'd gotten the norm and magnitude mixed up (partly because the document I
    was following got the names mixed up), and then munged the formulas
    together.

 include/QF/mathlib.h |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8aabb70
Author: Bill Currie <bill@taniwha.org>
Date:   Tue May 1 14:50:29 2012 +0900

    Add tests for inverting a dual quad transform.

 libs/util/test/test-dq.c |   22 +++++++++++++++++++++-
 1 file changed, 21 insertions(+), 1 deletion(-)

commit f874aeb
Author: Bill Currie <bill@taniwha.org>
Date:   Tue May 1 14:19:38 2012 +0900

    Add support for duals and dual quaternions.
    
    Not everything is unit-tested, but the currently important stuff is.

 include/QF/mathlib.h       |  151 ++++++++++++++++++++++++++++++++++++++++++++
 include/QF/qtypes.h        |    8 +++
 libs/util/test/Makefile.am |    6 +-
 libs/util/test/test-dq.c   |  112 ++++++++++++++++++++++++++++++++
 4 files changed, 276 insertions(+), 1 deletion(-)

commit 3b93859
Author: Bill Currie <bill@taniwha.org>
Date:   Sun Apr 29 21:15:27 2012 +0900

    Dump some gl limits.

 libs/video/renderer/glsl/vid_common_glsl.c |   23 +++++++++++++++++++++++
 1 file changed, 23 insertions(+)

commit 26a878d
Author: Bill Currie <bill@taniwha.org>
Date:   Fri Apr 27 14:40:06 2012 +0900

    Stub out the iqm loader.

 config.d/ac_config_files.m4           |    1 +
 config.d/build_control.m4             |    6 ++
 include/QF/Makefile.am                |   14 ++--
 include/QF/iqm.h                      |  117 +++++++++++++++++++++++++++++++++
 include/QF/model.h                    |    2 +-
 include/QF/plugin/vid_render.h        |    1 +
 include/mod_internal.h                |    1 +
 libs/models/Makefile.am               |    5 +-
 libs/models/iqm/Makefile.am           |   20 ++++++
 libs/models/iqm/gl_model_iqm.c        |   53 +++++++++++++++
 libs/models/iqm/glsl_model_iqm.c      |   51 ++++++++++++++
 libs/models/iqm/model_iqm.c           |   56 ++++++++++++++++
 libs/models/iqm/sw_model_iqm.c        |   47 +++++++++++++
 libs/models/model.c                   |    7 ++
 libs/video/renderer/vid_render_gl.c   |    1 +
 libs/video/renderer/vid_render_glsl.c |    1 +
 libs/video/renderer/vid_render_sw.c   |    1 +
 libs/video/renderer/vid_render_sw32.c |    1 +
 18 files changed, 376 insertions(+), 9 deletions(-)

commit e6c0512
Author: Bill Currie <bill@taniwha.org>
Date:   Thu May 10 12:50:44 2012 +0900

    Ensure dstring has space for terminating 0.
    
    It seems (some versions of) windows vsnprintf don't count the terminating 0
    when limiting the number of chars written to the buffer. Nor do they
    guarantee the output string will be terminated.

 libs/util/dstring.c |    8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

commit 0036a5e
Author: Bill Currie <bill@taniwha.org>
Date:   Sun May 6 21:35:42 2012 +0900

    Ensure edict_size is never 0.
    
    Avoids division by / in NUM_FOR_EDICT

 libs/gamecode/pr_load.c     |    3 ++-
 tools/qfcc/source/qfprogs.c |    3 ++-
 2 files changed, 4 insertions(+), 2 deletions(-)

commit 1dd5ccc
Author: Bill Currie <bill@taniwha.org>
Date:   Sun May 6 18:52:05 2012 +0900

    Correct some more error messages.

 tools/qfcc/source/constfold.c |   30 +++++++++++++++---------------
 1 file changed, 15 insertions(+), 15 deletions(-)

commit a0788c6
Author: Bill Currie <bill@taniwha.org>
Date:   Sun May 6 18:45:30 2012 +0900

    Implement constant folding for unary operators.
    
    Including conversions between float and int :)

 tools/qfcc/source/constfold.c |  309 ++++++++++++++++++++++++++++++++++++++++-
 1 file changed, 306 insertions(+), 3 deletions(-)

commit f781e90
Author: Bill Currie <bill@taniwha.org>
Date:   Sun May 6 18:43:18 2012 +0900

    Correct some typos in error messages.

 tools/qfcc/source/expr.c |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 954e03c
Author: Bill Currie <bill@taniwha.org>
Date:   Sun May 6 13:02:11 2012 +0900

    Report the correct function name for the largest locals.
    
    I must have been tired when I adapted that code.
    
    * taniwha dons brown paper bag

 tools/qfcc/source/obj_file.c |    5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 95a06c2
Author: Bill Currie <bill@taniwha.org>
Date:   Sat May 5 19:34:35 2012 +0900

    Move qfcc's libs and headers to ${prefix}/share
    
    On discussion with Despair, share makes more sense than lib as they are
    really cross-platform (though qfcc itself is not).

 config.d/qfcc.m4            |    8 ++++----
 pkg-config/qfcc.pc.in       |    4 ++--
 ruamoko/gui/Makefile.am     |    2 +-
 ruamoko/include/Makefile.am |    2 +-
 ruamoko/lib/Makefile.am     |    2 +-
 ruamoko/scheme/Makefile.am  |    2 +-
 6 files changed, 10 insertions(+), 10 deletions(-)

commit 9b07f9a
Author: Bill Currie <bill@taniwha.org>
Date:   Sat May 5 18:39:25 2012 +0900

    Change the default renderer to gl.
    
    Until glsl starts looking good, anyway.

 config.d/build_control.m4 |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 55ecf94
Author: Bill Currie <bill@taniwha.org>
Date:   Sat May 5 18:04:10 2012 +0900

    Don't draw arrows leaving return statements.
    
    Return statements never flow to the next block (or any other block, for
    that matter), so drawing arrows leaving them not only messes up dot's
    graphs, but is quite missleading.

 tools/qfcc/source/dot_flow.c |   11 ++++++++++-
 1 file changed, 10 insertions(+), 1 deletion(-)

commit 099d9ec
Author: Bill Currie <bill@taniwha.org>
Date:   Sat May 5 18:01:00 2012 +0900

    Move the increment of order out of the loop.
    
    I don't know what gcc's optimizations would do with it, but it seems quite
    reasonable to pull the code out of the loop by hand.

 libs/video/renderer/gl/gl_mod_alias.c |    3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit cf5c9f0
Author: Bill Currie <bill@taniwha.org>
Date:   Sat May 5 17:55:30 2012 +0900

    Make GL_DrawAliasShadow const correct.
    
    Despair's having troubles with segfaults that I can't reproduce. If it's a
    strict aliasing problem, this might help.

 libs/video/renderer/gl/gl_mod_alias.c |    6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 56410dd
Author: Bill Currie <bill@taniwha.org>
Date:   Fri May 4 22:35:20 2012 +0900

    Prevent merged if/goto losing its way.
    
    When mering if/goto (ie, if skipping a goto), the rest of the dead code
    remover is used to delete the goto. That part of the code unuses the goto's
    label. The if was getting the goto's label without the lable's used count
    being incremented (the usaged temporarily increases by one). I have no idea
    why the problem showed up randomly, but this seems to fix it (it fixes /a/
    bug, anyway).

 tools/qfcc/source/statements.c |    4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 953e789
Author: Bill Currie <bill@taniwha.org>
Date:   Fri May 4 19:48:32 2012 +0900

    Handle movement of the final block.
    
    Moving a final block caused segfaults and weird flow graph corruptions.

 tools/qfcc/source/statements.c |    7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

commit e8c17c6
Author: Bill Currie <bill@taniwha.org>
Date:   Fri May 4 18:13:11 2012 +0900

    Fix a segfault when the switch expression errors.

 tools/qfcc/source/switch.c |    2 ++
 1 file changed, 2 insertions(+)

commit 5df2513
Author: Bill Currie <bill@taniwha.org>
Date:   Fri May 4 18:00:05 2012 +0900

    Implement code movement for unconditional jumps.
    
    That is, when the destination of the jump is reachable via only the jump.

 tools/qfcc/source/statements.c |   88 +++++++++++++++++++++++++++++++++++++++-
 1 file changed, 86 insertions(+), 2 deletions(-)

commit 33bfac0
Author: Bill Currie <bill@taniwha.org>
Date:   Fri May 4 14:10:30 2012 +0900

    Process all basic blocks for jump threading.
    
    I'd copied the for loop from the dead block removal code, but jump
    threading doesn't need to look at the following block...

 tools/qfcc/source/statements.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f169a77
Author: Bill Currie <bill@taniwha.org>
Date:   Fri May 4 14:01:39 2012 +0900

    Factor out label unuse.
    
    I expect to need this more often in the future.

 tools/qfcc/source/statements.c |   16 ++++++++++------
 1 file changed, 10 insertions(+), 6 deletions(-)

commit d2da3b8
Author: Bill Currie <bill@taniwha.org>
Date:   Fri May 4 11:04:58 2012 +0900

    Update old test for new syntax.

 tools/qfcc/test/switch.r |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 75aa28c
Author: Bill Currie <bill@taniwha.org>
Date:   Fri May 4 10:58:18 2012 +0900

    Mark all subsequent blocks as reachable after if/goto merge.
    
    If an if/goto merge is done in the first dead block pass, no blocks after
    the merge have their rechable flag set because they've never been tested.

 tools/qfcc/source/statements.c |    3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 8ddd58f
Author: Bill Currie <bill@taniwha.org>
Date:   Fri May 4 10:02:02 2012 +0900

    Fix the dropping of the block after the merged if/goto.
    
    The naive implementation of the if/goto merging was letting the old target
    of the if get dropped because the block would lose its label and thus be
    judged unreachable because the preceeding goto block was still in the list.
    Instead, when the if/goto are "merged", mark the goto block as unreachable,
    the following block as reachable, and break out of the analysis loop to
    force the removal of the goto block. Since the dead block removal function
    loops until no action is taken, all other dead blocks will be removed.

 tools/qfcc/source/statements.c |    5 +++++
 1 file changed, 5 insertions(+)

commit e866619
Author: Bill Currie <bill@taniwha.org>
Date:   Fri May 4 09:45:51 2012 +0900

    Output basic block flow diagrams to files.
    
    The output can be controlled via --block-dot (not yet documented). The
    files a named <sourcefile>.<function>.<stage>.dot. Currently, stage will be
    one of "initial" (after expression to statement conversion), "thread"
    (after jump threading), "dead" (after dead block removal), "final" (final
    state before actual code emission).

 tools/qfcc/include/options.h    |    8 ++++
 tools/qfcc/include/statements.h |    2 +-
 tools/qfcc/source/dot_flow.c    |   81 +++++++++++++++++++++++----------------
 tools/qfcc/source/options.c     |   33 ++++++++++++++++
 tools/qfcc/source/statements.c  |   23 +++++++++--
 5 files changed, 109 insertions(+), 38 deletions(-)

commit 3da44ac
Author: Bill Currie <bill@taniwha.org>
Date:   Thu May 3 22:21:32 2012 +0900

    Merge if and goto blocks when if only skips over the goto.

 tools/qfcc/source/statements.c |   26 +++++++++++++++++++++++++-
 1 file changed, 25 insertions(+), 1 deletion(-)

commit 6afdfb5
Author: Bill Currie <bill@taniwha.org>
Date:   Thu May 3 22:20:00 2012 +0900

    Unuse label expressions that are no longer necessary.

 tools/qfcc/source/statements.c |    2 ++
 1 file changed, 2 insertions(+)

commit 402a578
Author: Bill Currie <bill@taniwha.org>
Date:   Thu May 3 22:13:50 2012 +0900

    Add some more helper functions.
    
    Things were getting messy with the strcmps.

 tools/qfcc/source/statements.c |   36 ++++++++++++++++++++++++++----------
 1 file changed, 26 insertions(+), 10 deletions(-)

commit 88bed36
Author: Bill Currie <bill@taniwha.org>
Date:   Thu May 3 22:11:52 2012 +0900

    Rename some helper functions.

 tools/qfcc/source/statements.c |   12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit 159f1ba
Author: Bill Currie <bill@taniwha.org>
Date:   Thu May 3 22:09:49 2012 +0900

    Add a little more info to statement flow diagrams.
    
    The relative block number and the label user count are printed now.

 tools/qfcc/source/dot_flow.c |   12 +++++++-----
 1 file changed, 7 insertions(+), 5 deletions(-)

commit 6900907
Author: Bill Currie <bill@taniwha.org>
Date:   Thu May 3 19:32:44 2012 +0900

    Remove dead labels when jump threading.
    
    This lets the dead block removal do a better job.

 tools/qfcc/source/statements.c |   22 ++++++++++++----------
 1 file changed, 12 insertions(+), 10 deletions(-)

commit ab73a26
Author: Bill Currie <bill@taniwha.org>
Date:   Thu May 3 19:22:57 2012 +0900

    Do not unconditionally remove labels from blocks.
    
    Labels can be shared between multiple flow-control instructions, so use the
    label's used counter to determine when to remove the label. This was
    causing problems with the jump threading.

 tools/qfcc/source/statements.c |    3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit c79620f
Author: Bill Currie <bill@taniwha.org>
Date:   Thu May 3 19:10:44 2012 +0900

    Make statement blocks more identifiable.

 tools/qfcc/source/dot_flow.c |    8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

commit 43b5edf
Author: Bill Currie <bill@taniwha.org>
Date:   Thu May 3 17:42:58 2012 +0900

    Implement jump threading.
    
    First real optimization :)

 tools/qfcc/source/statements.c |   33 +++++++++++++++++++++++++++++++++
 tools/qfcc/test/thread-jumps.r |   16 ++++++++++++++++
 2 files changed, 49 insertions(+)

commit 78a9ba2
Author: Bill Currie <bill@taniwha.org>
Date:   Thu May 3 13:57:31 2012 +0900

    Make expression alias chains not-a-bug.
    
    The common cause seems to be casting a cast (very common, and I'm not sure
    just realiasing the expression would be right). It does't cause any harm
    (particularly, it doesn't trigger alias def chains), so I won't worry about
    it.

 tools/qfcc/source/expr.c |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 0068824
Author: Bill Currie <bill@taniwha.org>
Date:   Thu May 3 13:28:16 2012 +0900

    Fix the source of alias def chains.
    
    The actual bug might still be elsewhere, but at least now I know the alias
    chains were coming from accessing .return and .param_N, which are unions
    (not directly usable by the progs engine). Emitting a reference to a union
    (or struct) would create an alias def, but an alias expression was created
    in the expression tree to simplify return/param access. The double layer
    (sometimes 3 or 4) alias isn't really neaded, so rather than layering the
    aliases, just re-alias the alaised def.

 tools/qfcc/source/emit.c |    8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit ec98e3e
Author: Bill Currie <bill@taniwha.org>
Date:   Thu May 3 13:27:30 2012 +0900

    Mark alias def chains as a bug.

 tools/qfcc/source/def.c  |    9 +++++++++
 tools/qfcc/source/emit.c |   11 +++++++++++
 tools/qfcc/source/expr.c |    4 ++++
 3 files changed, 24 insertions(+)

commit 5f676c3
Author: Bill Currie <bill@taniwha.org>
Date:   Thu May 3 13:24:24 2012 +0900

    Add a non-error diagnostic that can't be silenced.
    
    It is inteded for flagging buggy conditions in the compiler, particularly
    after having fixed the original bug (in case something comes back from the
    dead).

 tools/qfcc/include/diagnostic.h |    2 ++
 tools/qfcc/source/diagnostic.c  |   20 ++++++++++++++++++++
 2 files changed, 22 insertions(+)

commit 3306039
Author: Bill Currie <bill@taniwha.org>
Date:   Thu May 3 11:55:19 2012 +0900

    Print the destination type for alias expression bubbles.

 tools/qfcc/source/dot_expr.c |   10 ++++++++--
 1 file changed, 8 insertions(+), 2 deletions(-)

commit cb8fe4e
Author: Bill Currie <bill@taniwha.org>
Date:   Thu May 3 11:54:36 2012 +0900

    Correct a "spelling" error.

 tools/qfcc/include/diagnostic.h |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e267e0a
Author: Bill Currie <bill@taniwha.org>
Date:   Thu May 3 00:22:24 2012 +0900

    Allow control of progdefs.h CRC writing.
    
    CRC writing defaults to off for non-v6 progs, but on for v6 progs. The
    --progdefs option forces CRC writing.

 tools/qfcc/doc/man/qfcc.1    |    7 ++++++-
 tools/qfcc/include/options.h |    1 +
 tools/qfcc/source/options.c  |   12 +++++++++++-
 tools/qfcc/source/qfcc.c     |    8 ++++++--
 4 files changed, 24 insertions(+), 4 deletions(-)

commit 44fcd76
Author: Bill Currie <bill@taniwha.org>
Date:   Thu May 3 00:03:13 2012 +0900

    Add some missing command line option docs.

 tools/qfcc/doc/man/qfcc.1   |    3 +++
 tools/qfcc/source/options.c |    5 ++++-
 2 files changed, 7 insertions(+), 1 deletion(-)

commit 15de69d
Author: Bill Currie <bill@taniwha.org>
Date:   Wed May 2 23:39:49 2012 +0900

    Use dstring for progdefs.h writing.
    
    And finally get qfcc into the thing :P

 tools/qfcc/source/idstuff.c |   66 +++++++++++++++++++++++--------------------
 1 file changed, 36 insertions(+), 30 deletions(-)

commit 04b9b3a
Author: Bill Currie <bill@taniwha.org>
Date:   Wed May 2 22:44:45 2012 +0900

    Fix progdefs.h writing.

 tools/qfcc/source/idstuff.c |   29 ++++++++++++++++++-----------
 1 file changed, 18 insertions(+), 11 deletions(-)

commit ce278b2
Author: Bill Currie <bill@taniwha.org>
Date:   Wed May 2 22:29:17 2012 +0900

    Ensure .zero does not get a vector field for v6 progs.
    
    v6 progs expects .zero to be only 1 word. The code actually tried to keep
    vector out of .zero, but it seems I'd rearranged the structure defintion
    without updating the code that kills the vector field. Problem spotted by
    divVerent.

 tools/qfcc/source/type.c |    3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 4fe7efb
Author: Bill Currie <bill@taniwha.org>
Date:   Mon Apr 30 20:27:24 2012 +0900

    Add a test for end of function conditional return.
    
    divVerent was telling Spike about such a bug in fteqcc and I though I'd
    better get in an explicit test for qfcc.

 tools/qfcc/test/void-return.qc |    6 ++++++
 1 file changed, 6 insertions(+)

commit 5923746
Author: Bill Currie <bill@taniwha.org>
Date:   Sat Apr 28 15:02:17 2012 +0900

    Add jump to news.

 NEWS |    3 +++
 1 file changed, 3 insertions(+)

commit f9a384f
Author: Bill Currie <bill@taniwha.org>
Date:   Sat Apr 28 14:53:15 2012 +0900

    Make simple gravity acceleration framerate independent.
    
    Now it doesn't matter if you get 22 fps or 72, you jump the same height,
    which actually happens to be slightly higher than the previous 72fps jump.
    Effectively, you jump the height you would if you got infinite fps ;)

 include/qw/pmove.h     |    1 +
 nq/include/server.h    |    1 +
 nq/include/sv_progs.h  |    1 +
 nq/source/sv_cl_phys.c |    4 +++-
 nq/source/sv_phys.c    |   32 ++++++++++++++++++++++++++++----
 qw/include/server.h    |    1 +
 qw/include/sv_progs.h  |    1 +
 qw/source/pmove.c      |    9 ++++++++-
 qw/source/sv_phys.c    |   32 ++++++++++++++++++++++++++++----
 9 files changed, 72 insertions(+), 10 deletions(-)

commit a43bd75
Author: Bill Currie <bill@taniwha.org>
Date:   Sat Apr 28 13:02:36 2012 +0900

    Fix the 32-bit x86 build of the software renderer.
    
    I really need to remove the sledge-hammer approach, but this at least gets
    QF working out-of-the-box on 32-bit x86 systems.

 libs/video/renderer/sw/d_copy.S     |    4 ++++
 libs/video/renderer/sw/sw_raclip.c  |    4 ++++
 libs/video/renderer/sw/sw_raclipa.S |    4 ++++
 libs/video/renderer/sw/sw_rsurf.c   |    8 ++++----
 libs/video/renderer/sw/sw_rvarsa.S  |    4 ++++
 5 files changed, 20 insertions(+), 4 deletions(-)

commit 8791b35
Author: Bill Currie <bill@taniwha.org>
Date:   Thu Apr 26 20:55:11 2012 +0900

    Add support for half floats.
    
    iqm and OpenGL use them, so they might come in handy. The tests use values
    from wikipedia and a couple extra.

 include/QF/mathlib.h       |    2 ++
 libs/util/mathlib.c        |   74 ++++++++++++++++++++++++++++++++++++++++++++
 libs/util/test/Makefile.am |    6 +++-
 libs/util/test/test-half.c |   52 +++++++++++++++++++++++++++++++
 4 files changed, 133 insertions(+), 1 deletion(-)

commit e06ee34
Author: Bill Currie <bill@taniwha.org>
Date:   Thu Apr 26 11:53:21 2012 +0900

    Allow quat * vec in ruamoko.

 tools/qfcc/source/constfold.c |   24 +++++++++++++++++++++++-
 tools/qfcc/test/quattest.r    |   16 ++++++++++++++++
 2 files changed, 39 insertions(+), 1 deletion(-)

commit 1a0ccf6
Author: Bill Currie <bill@taniwha.org>
Date:   Thu Apr 26 10:29:21 2012 +0900

    Add vec = quat * vec to the progs engine.

 include/QF/pr_comp.h      |    3 ++-
 libs/gamecode/pr_exec.c   |    3 +++
 libs/gamecode/pr_opcode.c |    4 ++++
 3 files changed, 9 insertions(+), 1 deletion(-)

commit 0a22a98
Author: Bill Currie <bill@taniwha.org>
Date:   Thu Apr 26 10:26:43 2012 +0900

    Fix some mis-versioned opcodes.
    
    Many of the quaternion opcodes were marked as being available for id progs.
    oops

 libs/gamecode/pr_opcode.c |   24 ++++++++++++------------
 1 file changed, 12 insertions(+), 12 deletions(-)

commit efaef89
Author: Bill Currie <bill@taniwha.org>
Date:   Thu Apr 26 09:24:05 2012 +0900

    Add a shortcut function for quaterion/vector multiplication.
    
    I got the idea from blender when I discovered by accident that quat * vect
    produces the same result as quat * qvect * quat* and looked up the code to
    check what was going on. While matrix/vector multiplication still beats the
    pants off quaternion/vector multiplication, QuatMultVec is a slight
    optimization over quat * qvect * quat* (17+,24* vs 24+,32*, plus no need to
    to generate quat*).

 include/QF/mathlib.h       |    1 +
 libs/util/mathlib.c        |   14 ++++++++++++
 libs/util/test/test-quat.c |   51 ++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 66 insertions(+)

commit 7b0d483
Author: Bill Currie <bill@taniwha.org>
Date:   Thu Apr 26 07:28:22 2012 +0900

    Fix a signed type mixup.
    
    I mis-applied calim's patch, and gcc failed to tell me :(

 libs/util/sys.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 20b7a46
Author: Bill Currie <bill@taniwha.org>
Date:   Wed Apr 25 11:50:20 2012 +0900

    Remove a bogus model type check.
    
    This allows 16-bit alias models to render when viewd straight on.

 libs/video/renderer/sw32/sw32_ralias.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ba7046e
Author: Bill Currie <bill@taniwha.org>
Date:   Wed Apr 25 10:47:44 2012 +0900

    Allow large skins in sw32.
    
    Dirty rotten magic numbers :P

 libs/video/renderer/sw32/d_polyse.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 866c56c
Author: Bill Currie <bill@taniwha.org>
Date:   Wed Apr 25 10:09:23 2012 +0900

    Do not try to lerp entities when their model changes.
    
    This avoids sending invalid pose data to the renderer. The symptom was a
    vertex array offset higher than the vertex array size. Discovered by calim
    of nouveau while he was debugging a driver problem found by QF. Many
    thanks.

 include/QF/render.h                   |    1 +
 libs/video/renderer/glsl/glsl_alias.c |   13 +++++++++++++
 libs/video/renderer/r_ent.c           |    6 ++++++
 3 files changed, 20 insertions(+)

commit a7870a9
Author: Bill Currie <bill@taniwha.org>
Date:   Wed Apr 25 08:48:46 2012 +0900

    Apply a couple of patches from calim of nouveau.
    
    One's an actual bug, the other a bit of error checking (not sure how
    necessary it is, but it's in code that we don't /want/ to run, so it can't
    hurt :)

 libs/util/sys.c       |    5 ++++-
 qw/source/sv_pr_qwe.c |    2 +-
 2 files changed, 5 insertions(+), 2 deletions(-)

commit e167300
Author: Bill Currie <bill@taniwha.org>
Date:   Tue Apr 24 22:02:20 2012 +0900

    Fix a segfault in the sw32 renderer on entering e1m7
    
    While this particular tigger of the real bug was caused by 659d95221ee
    (hopefully fix both the "get stuck waiting for 3d" bug and the null
    worldmode bug.), the real bug was lurking in the code since the dawn of
    time (from sw32's perspective). This fix is as per LordHavoc's suggestion
    (heh, despite the years, he knows his code), but I spent the time hunting
    down the trigger to understand just what was going on.
    
    It turns out that (0,0,0) is too close to a wall (probably on, but the
    slight default offset is too close) and the above commit changed the first
    rendered frame to be before the player origin was set rather than after.
    This fix feels correct to me because noclipping around with the sw32
    renderer would probably hit the same bug with a bit of bad luck. Thus
    ensure the index resulting from zi never exceeds 65535.

 libs/video/renderer/sw32/d_scan.c |   24 ++++++++++++------------
 1 file changed, 12 insertions(+), 12 deletions(-)

commit 3788a1a
Author: Bill Currie <bill@taniwha.org>
Date:   Tue Apr 24 14:13:29 2012 +0900

    Correct the output of 16-bit vertex data.
    
    The order is high (unscaled) low (scaled by 1/256) rather than low
    (unscaled) high (scaled by 256).

 tools/io_mesh_qfmdl/mdl.py |   10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 95cef4a
Author: Bill Currie <bill@taniwha.org>
Date:   Tue Apr 24 14:12:54 2012 +0900

    Correct a spelling error.

 libs/models/alias/sw_model_alias.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c2712e6
Author: Bill Currie <bill@taniwha.org>
Date:   Tue Apr 24 11:04:45 2012 +0900

    Track recent api change in svn blender.
    
    Bah, I'm looking forward to the bmesh api stabilizing.

 tools/io_mesh_qfmdl/export_mdl.py |    2 +-
 tools/io_mesh_qfmdl/import_mdl.py |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit efd3485
Author: Bill Currie <bill@taniwha.org>
Date:   Sun Apr 22 22:13:17 2012 +0900

    Updates for the next release.
    
    I haven't decided on the version number yet.

 NEWS |   11 +++++++++++
 1 file changed, 11 insertions(+)

commit 99c58cc
Author: Bill Currie <bill@taniwha.org>
Date:   Sun Apr 22 22:11:41 2012 +0900

    Make exporting md16 files possible.
    
    Not sure if it actually works as the clients don't render the result
    properly (can't see anything where the model should be), but the output
    model does import back into blender properly.

 tools/io_mesh_qfmdl/__init__.py   |    4 ++++
 tools/io_mesh_qfmdl/export_mdl.py |    2 ++
 tools/io_mesh_qfmdl/import_mdl.py |    1 +
 tools/io_mesh_qfmdl/mdl.py        |    6 +++---
 4 files changed, 10 insertions(+), 3 deletions(-)

commit 87e56e0
Author: Bill Currie <bill@taniwha.org>
Date:   Sun Apr 22 22:20:45 2012 +0900

    Fix some doxygen issues.

 include/QF/vrect.h     |    6 +++---
 include/snd_internal.h |    2 ++
 2 files changed, 5 insertions(+), 3 deletions(-)

commit bc1b483
Author: Bill Currie <bill@taniwha.org>
Date:   Sun Apr 22 10:56:32 2012 +0900

    Nuke the rcsid stuff.
    
    It's pretty useless in git.

 doc/template.c                             |    2 --
 doc/template.h                             |    1 -
 include/QF/GL/defines.h                    |    1 -
 include/QF/GL/extensions.h                 |    1 -
 include/QF/GL/funcs.h                      |    1 -
 include/QF/GL/qf_draw.h                    |    1 -
 include/QF/GL/qf_explosions.h              |    1 -
 include/QF/GL/qf_funcs_list.h              |    1 -
 include/QF/GL/qf_lightmap.h                |    1 -
 include/QF/GL/qf_rlight.h                  |    1 -
 include/QF/GL/qf_rmain.h                   |    1 -
 include/QF/GL/qf_rsurf.h                   |    1 -
 include/QF/GL/qf_sky.h                     |    1 -
 include/QF/GL/qf_textures.h                |    1 -
 include/QF/GL/qf_vid.h                     |    1 -
 include/QF/GL/types.h                      |    1 -
 include/QF/GLSL/funcs.h                    |    1 -
 include/QF/GLSL/qf_alias.h                 |    1 -
 include/QF/GLSL/qf_bsp.h                   |    1 -
 include/QF/GLSL/qf_draw.h                  |    1 -
 include/QF/GLSL/qf_lightmap.h              |    1 -
 include/QF/GLSL/qf_particles.h             |    1 -
 include/QF/GLSL/qf_textures.h              |    1 -
 include/QF/GLSL/qf_vid.h                   |    1 -
 include/QF/bspfile.h                       |    1 -
 include/QF/cbuf.h                          |    1 -
 include/QF/cdaudio.h                       |    1 -
 include/QF/checksum.h                      |    1 -
 include/QF/classes/ArrayList.h             |    1 -
 include/QF/classes/Collection.h            |    1 -
 include/QF/classes/Double.h                |    1 -
 include/QF/classes/Exception.h             |    1 -
 include/QF/classes/Integer.h               |    1 -
 include/QF/classes/Iterator.h              |    1 -
 include/QF/classes/List.h                  |    1 -
 include/QF/classes/Number.h                |    1 -
 include/QF/classes/String.h                |    1 -
 include/QF/clip_hull.h                     |    1 -
 include/QF/cmd.h                           |    1 -
 include/QF/console.h                       |    1 -
 include/QF/crc.h                           |    1 -
 include/QF/csqc.h                          |    1 -
 include/QF/cvar.h                          |    1 -
 include/QF/draw.h                          |    1 -
 include/QF/dstring.h                       |    1 -
 include/QF/gib.h                           |    1 -
 include/QF/hash.h                          |    1 -
 include/QF/hl.h                            |    1 -
 include/QF/in_event.h                      |    1 -
 include/QF/info.h                          |    1 -
 include/QF/input.h                         |    1 -
 include/QF/joystick.h                      |    1 -
 include/QF/keys.h                          |    1 -
 include/QF/link.h                          |    1 -
 include/QF/llist.h                         |    1 -
 include/QF/locs.h                          |    1 -
 include/QF/mathlib.h                       |    1 -
 include/QF/mdfour.h                        |    1 -
 include/QF/model.h                         |    1 -
 include/QF/modelgen.h                      |    1 -
 include/QF/msg.h                           |    1 -
 include/QF/object.h                        |    1 -
 include/QF/pak.h                           |    1 -
 include/QF/pakfile.h                       |    1 -
 include/QF/plugin.h                        |    1 -
 include/QF/plugin/cd.h                     |    1 -
 include/QF/plugin/console.h                |    1 -
 include/QF/plugin/general.h                |    1 -
 include/QF/plugin/input.h                  |    1 -
 include/QF/plugin/snd_output.h             |    1 -
 include/QF/plugin/snd_render.h             |    1 -
 include/QF/plugin/vid_render.h             |    1 -
 include/QF/png.h                           |    1 -
 include/QF/pr_debug.h                      |    1 -
 include/QF/pr_obj.h                        |    1 -
 include/QF/progs.h                         |    1 -
 include/QF/qargs.h                         |    1 -
 include/QF/qdefs.h                         |    1 -
 include/QF/qendian.h                       |    1 -
 include/QF/qfplist.h                       |    1 -
 include/QF/qtypes.h                        |    1 -
 include/QF/quakefs.h                       |    1 -
 include/QF/quakeio.h                       |    1 -
 include/QF/render.h                        |    1 -
 include/QF/riff.h                          |    1 -
 include/QF/ruamoko.h                       |    1 -
 include/QF/screen.h                        |    1 -
 include/QF/sizebuf.h                       |    1 -
 include/QF/skin.h                          |    1 -
 include/QF/sound.h                         |    1 -
 include/QF/spritegn.h                      |    1 -
 include/QF/sys.h                           |    1 -
 include/QF/teamplay.h                      |    1 -
 include/QF/tga.h                           |    1 -
 include/QF/uint32.h                        |    1 -
 include/QF/va.h                            |    1 -
 include/QF/ver_check.h                     |    1 -
 include/QF/vid.h                           |    1 -
 include/QF/view.h                          |    1 -
 include/QF/vrect.h                         |    1 -
 include/QF/wad.h                           |    1 -
 include/QF/wadfile.h                       |    1 -
 include/QF/winding.h                       |    1 -
 include/QF/zone.h                          |    1 -
 include/adivtab.h                          |    1 -
 include/alsa_funcs_list.h                  |    1 -
 include/anorm_dots.h                       |    1 -
 include/anorms.h                           |    1 -
 include/asm_draw.h                         |    1 -
 include/asm_i386.h                         |    1 -
 include/block16.h                          |    1 -
 include/block8.h                           |    1 -
 include/buildnum.h                         |    1 -
 include/clview.h                           |    1 -
 include/compat.h                           |    1 -
 include/context_sdl.h                      |    1 -
 include/context_x11.h                      |    1 -
 include/d_iface.h                          |    1 -
 include/d_ifacea.h                         |    1 -
 include/d_local.h                          |    1 -
 include/dga_check.h                        |    1 -
 include/garbage.h                          |    1 -
 include/gib_buffer.h                       |    1 -
 include/gib_builtin.h                      |    1 -
 include/gib_classes.h                      |    1 -
 include/gib_execute.h                      |    1 -
 include/gib_function.h                     |    1 -
 include/gib_handle.h                       |    1 -
 include/gib_object.h                       |    1 -
 include/gib_parse.h                        |    1 -
 include/gib_process.h                      |    1 -
 include/gib_regex.h                        |    1 -
 include/gib_semantics.h                    |    1 -
 include/gib_thread.h                       |    1 -
 include/gib_tree.h                         |    1 -
 include/gib_vars.h                         |    1 -
 include/gl_warp_sin.h                      |    1 -
 include/logos.h                            |    1 -
 include/net_dgrm.h                         |    1 -
 include/net_loop.h                         |    1 -
 include/net_udp.h                          |    1 -
 include/net_vcr.h                          |    1 -
 include/net_wins.h                         |    1 -
 include/netchan.h                          |    1 -
 include/netmain.h                          |    1 -
 include/noisetextures.h                    |    1 -
 include/old_keys.h                         |    1 -
 include/qstring.h                          |    1 -
 include/quakeasm.h                         |    1 -
 include/qw/bothdefs.h                      |    1 -
 include/qw/msg_backbuf.h                   |    1 -
 include/qw/msg_ucmd.h                      |    1 -
 include/qw/pmove.h                         |    1 -
 include/qw/protocol.h                      |    1 -
 include/r_dynamic.h                        |    1 -
 include/r_local.h                          |    1 -
 include/r_screen.h                         |    1 -
 include/r_shared.h                         |    1 -
 include/rua_internal.h                     |    1 -
 include/sbar.h                             |    1 -
 include/skin_stencil.h                     |    1 -
 include/snd_internal.h                     |    1 -
 include/varrays.h                          |    1 -
 include/vgamodes.h                         |    1 -
 include/vregset.h                          |    1 -
 include/winquake.h                         |    1 -
 include/world.h                            |    1 -
 libs/audio/cd.c                            |    3 ---
 libs/audio/cd_file.c                       |    3 ---
 libs/audio/cd_linux.c                      |    3 ---
 libs/audio/cd_sdl.c                        |    3 ---
 libs/audio/cd_sgi.c                        |    3 ---
 libs/audio/cd_win.c                        |    3 ---
 libs/audio/cd_xmms.c                       |    3 ---
 libs/audio/renderer/flac.c                 |    3 ---
 libs/audio/renderer/midi.c                 |    3 ---
 libs/audio/renderer/snd_channels.c         |    3 ---
 libs/audio/renderer/snd_dma.c              |    3 ---
 libs/audio/renderer/snd_jack.c             |    3 ---
 libs/audio/renderer/snd_mem.c              |    3 ---
 libs/audio/renderer/snd_mix.c              |    3 ---
 libs/audio/renderer/snd_resample.c         |    3 ---
 libs/audio/renderer/snd_sfx.c              |    3 ---
 libs/audio/renderer/vorbis.c               |    3 ---
 libs/audio/renderer/wav.c                  |    3 ---
 libs/audio/snd.c                           |    3 ---
 libs/audio/snd_progs.c                     |    3 ---
 libs/audio/targets/snd_alsa.c              |    3 ---
 libs/audio/targets/snd_disk.c              |    3 ---
 libs/audio/targets/snd_dx.c                |    4 ----
 libs/audio/targets/snd_oss.c               |    3 ---
 libs/audio/targets/snd_sdl.c               |    3 ---
 libs/audio/targets/snd_sgi.c               |    3 ---
 libs/audio/targets/snd_sun.c               |    3 ---
 libs/audio/targets/snd_win.c               |    3 ---
 libs/audio/test/testsound.c                |    3 ---
 libs/console/bi_inputline.c                |    2 --
 libs/console/buffer.c                      |    3 ---
 libs/console/client.c                      |    3 ---
 libs/console/complete.c                    |    3 ---
 libs/console/console.c                     |    3 ---
 libs/console/filelist.c                    |    3 ---
 libs/console/inputline.c                   |    3 ---
 libs/console/list.c                        |    3 ---
 libs/console/menu.c                        |    3 ---
 libs/console/pr_keys.c                     |    3 ---
 libs/console/server.c                      |    3 ---
 libs/console/view.c                        |    3 ---
 libs/gamecode/pr_builtins.c                |    3 ---
 libs/gamecode/pr_debug.c                   |    3 ---
 libs/gamecode/pr_edict.c                   |    3 ---
 libs/gamecode/pr_exec.c                    |    3 ---
 libs/gamecode/pr_load.c                    |    3 ---
 libs/gamecode/pr_opcode.c                  |    3 ---
 libs/gamecode/pr_parse.c                   |    3 ---
 libs/gamecode/pr_resolve.c                 |    3 ---
 libs/gamecode/pr_resource.c                |    3 ---
 libs/gamecode/pr_strings.c                 |    3 ---
 libs/gamecode/pr_zone.c                    |    3 ---
 libs/gib/bi_gib.c                          |    3 ---
 libs/gib/gib_buffer.c                      |    3 ---
 libs/gib/gib_builtin.c                     |    4 ----
 libs/gib/gib_execute.c                     |    4 ----
 libs/gib/gib_function.c                    |    4 ----
 libs/gib/gib_handle.c                      |    3 ---
 libs/gib/gib_init.c                        |    2 --
 libs/gib/gib_object.c                      |    3 ---
 libs/gib/gib_parse.c                       |    3 ---
 libs/gib/gib_process.c                     |    3 ---
 libs/gib/gib_regex.c                       |    4 ----
 libs/gib/gib_thread.c                      |    3 ---
 libs/gib/gib_tree.c                        |    3 ---
 libs/gib/gib_vars.c                        |    3 ---
 libs/image/image.c                         |    3 ---
 libs/image/pcx.c                           |    3 ---
 libs/image/png.c                           |    2 --
 libs/image/tga.c                           |    3 ---
 libs/models/alias/floodfill.c              |    2 --
 libs/models/alias/gl_mesh.c                |    3 ---
 libs/models/alias/gl_model_alias.c         |    2 --
 libs/models/alias/glsl_model_alias.c       |    2 --
 libs/models/alias/model_alias.c            |    3 ---
 libs/models/alias/sw_model_alias.c         |    2 --
 libs/models/brush/gl_model_brush.c         |    3 ---
 libs/models/brush/glsl_model_brush.c       |    2 --
 libs/models/brush/model_brush.c            |    3 ---
 libs/models/brush/sw_model_brush.c         |    3 ---
 libs/models/clip_hull.c                    |    3 ---
 libs/models/gl_model_fullbright.c          |    3 ---
 libs/models/gl_skin.c                      |    2 --
 libs/models/glsl_skin.c                    |    2 --
 libs/models/model.c                        |    3 ---
 libs/models/null_model.c                   |    3 ---
 libs/models/portal.c                       |    2 --
 libs/models/skin.c                         |    2 --
 libs/models/sprite/gl_model_sprite.c       |    3 ---
 libs/models/sprite/glsl_model_sprite.c     |    2 --
 libs/models/sprite/model_sprite.c          |    3 ---
 libs/models/sprite/sw_model_sprite.c       |    3 ---
 libs/models/sw_skin.c                      |    2 --
 libs/models/test/trace-qf-bad.c            |    3 ---
 libs/models/trace.c                        |    3 ---
 libs/models/winding.c                      |    3 ---
 libs/net/nc/net_udp.c                      |    3 ---
 libs/net/nc/net_udp6.c                     |    3 ---
 libs/net/net_chan.c                        |    3 ---
 libs/net/net_main.c                        |    3 ---
 libs/net/nm/net_bsd.c                      |    3 ---
 libs/net/nm/net_dgrm.c                     |    3 ---
 libs/net/nm/net_loop.c                     |    3 ---
 libs/net/nm/net_udp.c                      |    3 ---
 libs/net/nm/net_vcr.c                      |    3 ---
 libs/net/nm/net_win.c                      |    3 ---
 libs/net/nm/net_wins.c                     |    3 ---
 libs/qw/msg_backbuf.c                      |    3 ---
 libs/qw/msg_ucmd.c                         |    3 ---
 libs/ruamoko/pr_cmds.c                     |    3 ---
 libs/ruamoko/rua_cbuf.c                    |    3 ---
 libs/ruamoko/rua_cmd.c                     |    3 ---
 libs/ruamoko/rua_cvar.c                    |    3 ---
 libs/ruamoko/rua_file.c                    |    3 ---
 libs/ruamoko/rua_hash.c                    |    3 ---
 libs/ruamoko/rua_init.c                    |    3 ---
 libs/ruamoko/rua_math.c                    |    3 ---
 libs/ruamoko/rua_obj.c                     |    3 ---
 libs/ruamoko/rua_plist.c                   |    3 ---
 libs/ruamoko/rua_qfile.c                   |    3 ---
 libs/ruamoko/rua_qfs.c                     |    3 ---
 libs/ruamoko/rua_script.c                  |    3 ---
 libs/ruamoko/rua_string.c                  |    3 ---
 libs/util/bspfile.c                        |    3 ---
 libs/util/buildnum.c                       |    3 ---
 libs/util/cbuf.c                           |    3 ---
 libs/util/checksum.c                       |    3 ---
 libs/util/cmd.c                            |    3 ---
 libs/util/crc.c                            |    3 ---
 libs/util/cvar.c                           |    3 ---
 libs/util/dirent.c                         |    3 ---
 libs/util/dstring.c                        |    3 ---
 libs/util/fendian.c                        |    3 ---
 libs/util/fnmatch.c                        |    3 ---
 libs/util/hash.c                           |    3 ---
 libs/util/idparse.c                        |    3 ---
 libs/util/info.c                           |    3 ---
 libs/util/link.c                           |    3 ---
 libs/util/llist.c                          |    3 ---
 libs/util/mathlib.c                        |    3 ---
 libs/util/mdfour.c                         |    3 ---
 libs/util/msg.c                            |    3 ---
 libs/util/pakfile.c                        |    3 ---
 libs/util/plugin.c                         |    3 ---
 libs/util/qargs.c                          |    2 --
 libs/util/qendian.c                        |    3 ---
 libs/util/qfplist.c                        |    3 ---
 libs/util/quakefs.c                        |    3 ---
 libs/util/quakeio.c                        |    3 ---
 libs/util/riff.c                           |    3 ---
 libs/util/script.c                         |    3 ---
 libs/util/sizebuf.c                        |    3 ---
 libs/util/string.c                         |    3 ---
 libs/util/sys.c                            |    3 ---
 libs/util/va.c                             |    3 ---
 libs/util/ver_check.c                      |    3 ---
 libs/util/vrect.c                          |    2 --
 libs/util/wad.c                            |    3 ---
 libs/util/wadfile.c                        |    3 ---
 libs/util/zone.c                           |    3 ---
 libs/video/renderer/crosshair.c            |    2 --
 libs/video/renderer/gl/gl_draw.c           |    2 --
 libs/video/renderer/gl/gl_dyn_lights.c     |    2 --
 libs/video/renderer/gl/gl_dyn_part.c       |    2 --
 libs/video/renderer/gl/gl_dyn_textures.c   |    2 --
 libs/video/renderer/gl/gl_fog.c            |    2 --
 libs/video/renderer/gl/gl_graph.c          |    2 --
 libs/video/renderer/gl/gl_lightmap.c       |    2 --
 libs/video/renderer/gl/gl_mod_alias.c      |    2 --
 libs/video/renderer/gl/gl_mod_sprite.c     |    2 --
 libs/video/renderer/gl/gl_rmain.c          |    2 --
 libs/video/renderer/gl/gl_rmisc.c          |    2 --
 libs/video/renderer/gl/gl_rsurf.c          |    2 --
 libs/video/renderer/gl/gl_screen.c         |    2 --
 libs/video/renderer/gl/gl_sky.c            |    2 --
 libs/video/renderer/gl/gl_sky_clip.c       |    2 --
 libs/video/renderer/gl/gl_textures.c       |    2 --
 libs/video/renderer/gl/gl_warp.c           |    2 --
 libs/video/renderer/gl/qfgl_ext.c          |    2 --
 libs/video/renderer/gl/vid_common_gl.c     |    2 --
 libs/video/renderer/glsl/glsl_alias.c      |    2 --
 libs/video/renderer/glsl/glsl_bsp.c        |    2 --
 libs/video/renderer/glsl/glsl_draw.c       |    2 --
 libs/video/renderer/glsl/glsl_fog.c        |    2 --
 libs/video/renderer/glsl/glsl_lightmap.c   |    2 --
 libs/video/renderer/glsl/glsl_main.c       |    2 --
 libs/video/renderer/glsl/glsl_particles.c  |    2 --
 libs/video/renderer/glsl/glsl_screen.c     |    2 --
 libs/video/renderer/glsl/glsl_sprite.c     |    2 --
 libs/video/renderer/glsl/glsl_textures.c   |    2 --
 libs/video/renderer/glsl/qfglsl.c          |    3 ---
 libs/video/renderer/glsl/vid_common_glsl.c |    2 --
 libs/video/renderer/noisetextures.c        |    3 ---
 libs/video/renderer/r_alias.c              |    2 --
 libs/video/renderer/r_bsp.c                |    2 --
 libs/video/renderer/r_cvar.c               |    3 ---
 libs/video/renderer/r_dyn_textures.c       |    2 --
 libs/video/renderer/r_efrag.c              |    3 ---
 libs/video/renderer/r_ent.c                |    3 ---
 libs/video/renderer/r_graph.c              |    3 ---
 libs/video/renderer/r_init.c               |    2 --
 libs/video/renderer/r_light.c              |    3 ---
 libs/video/renderer/r_main.c               |    2 --
 libs/video/renderer/r_part.c               |    3 ---
 libs/video/renderer/r_progs.c              |    3 ---
 libs/video/renderer/r_screen.c             |    2 --
 libs/video/renderer/sw/d_edge.c            |    3 ---
 libs/video/renderer/sw/d_fill.c            |    3 ---
 libs/video/renderer/sw/d_init.c            |    3 ---
 libs/video/renderer/sw/d_modech.c          |    3 ---
 libs/video/renderer/sw/d_part.c            |    3 ---
 libs/video/renderer/sw/d_polyse.c          |    3 ---
 libs/video/renderer/sw/d_scan.c            |    3 ---
 libs/video/renderer/sw/d_sky.c             |    3 ---
 libs/video/renderer/sw/d_sprite.c          |    3 ---
 libs/video/renderer/sw/d_surf.c            |    3 ---
 libs/video/renderer/sw/d_vars.c            |    3 ---
 libs/video/renderer/sw/d_zpoint.c          |    3 ---
 libs/video/renderer/sw/draw.c              |    2 --
 libs/video/renderer/sw/fpu.c               |    3 ---
 libs/video/renderer/sw/nonintel.c          |    3 ---
 libs/video/renderer/sw/screen.c            |    2 --
 libs/video/renderer/sw/sw_graph.c          |    3 ---
 libs/video/renderer/sw/sw_raclip.c         |    3 ---
 libs/video/renderer/sw/sw_ralias.c         |    3 ---
 libs/video/renderer/sw/sw_rbsp.c           |    3 ---
 libs/video/renderer/sw/sw_rdraw.c          |    3 ---
 libs/video/renderer/sw/sw_redge.c          |    3 ---
 libs/video/renderer/sw/sw_rmain.c          |    3 ---
 libs/video/renderer/sw/sw_rmisc.c          |    3 ---
 libs/video/renderer/sw/sw_rpart.c          |    3 ---
 libs/video/renderer/sw/sw_rsky.c           |    3 ---
 libs/video/renderer/sw/sw_rsprite.c        |    3 ---
 libs/video/renderer/sw/sw_rsurf.c          |    3 ---
 libs/video/renderer/sw/vid_common_sw.c     |    2 --
 libs/video/renderer/sw32/d_edge.c          |    2 --
 libs/video/renderer/sw32/d_fill.c          |    2 --
 libs/video/renderer/sw32/d_init.c          |    2 --
 libs/video/renderer/sw32/d_modech.c        |    2 --
 libs/video/renderer/sw32/d_part.c          |    2 --
 libs/video/renderer/sw32/d_polyse.c        |    2 --
 libs/video/renderer/sw32/d_scan.c          |    2 --
 libs/video/renderer/sw32/d_sky.c           |    2 --
 libs/video/renderer/sw32/d_sprite.c        |    2 --
 libs/video/renderer/sw32/d_surf.c          |    2 --
 libs/video/renderer/sw32/d_vars.c          |    2 --
 libs/video/renderer/sw32/d_zpoint.c        |    2 --
 libs/video/renderer/sw32/draw.c            |    2 --
 libs/video/renderer/sw32/screen.c          |    2 --
 libs/video/renderer/sw32/sw32_graph.c      |    2 --
 libs/video/renderer/sw32/sw32_raclip.c     |    2 --
 libs/video/renderer/sw32/sw32_ralias.c     |    2 --
 libs/video/renderer/sw32/sw32_rbsp.c       |    2 --
 libs/video/renderer/sw32/sw32_rdraw.c      |    2 --
 libs/video/renderer/sw32/sw32_redge.c      |    2 --
 libs/video/renderer/sw32/sw32_rmain.c      |    2 --
 libs/video/renderer/sw32/sw32_rmisc.c      |    2 --
 libs/video/renderer/sw32/sw32_rpart.c      |    2 --
 libs/video/renderer/sw32/sw32_rsky.c       |    2 --
 libs/video/renderer/sw32/sw32_rsprite.c    |    2 --
 libs/video/renderer/sw32/sw32_rsurf.c      |    2 --
 libs/video/renderer/sw32/vid_common_sw32.c |    2 --
 libs/video/targets/context_sdl.c           |    3 ---
 libs/video/targets/context_x11.c           |    3 ---
 libs/video/targets/dga_check.c             |    3 ---
 libs/video/targets/in_common.c             |    2 --
 libs/video/targets/in_event.c              |    3 ---
 libs/video/targets/in_fbdev.c              |    3 ---
 libs/video/targets/in_sdl.c                |    3 ---
 libs/video/targets/in_svgalib.c            |    3 ---
 libs/video/targets/in_win.c                |    3 ---
 libs/video/targets/in_x11.c                |    3 ---
 libs/video/targets/joy.c                   |    3 ---
 libs/video/targets/joy_linux.c             |    3 ---
 libs/video/targets/joy_null.c              |    3 ---
 libs/video/targets/joy_win.c               |    3 ---
 libs/video/targets/keys.c                  |    3 ---
 libs/video/targets/old_keys.c              |    3 ---
 libs/video/targets/vid.c                   |    3 ---
 libs/video/targets/vid_3dfxsvga.c          |    3 ---
 libs/video/targets/vid_fbdev.c             |    3 ---
 libs/video/targets/vid_glx.c               |    3 ---
 libs/video/targets/vid_sdl.c               |    3 ---
 libs/video/targets/vid_sdl32.c             |    3 ---
 libs/video/targets/vid_sgl.c               |    3 ---
 libs/video/targets/vid_svgalib.c           |    3 ---
 libs/video/targets/vid_wgl.c               |    3 ---
 libs/video/targets/vid_x11.c               |    2 --
 nq/include/chase.h                         |    1 -
 nq/include/cl_skin.h                       |    1 -
 nq/include/client.h                        |    1 -
 nq/include/game.h                          |    1 -
 nq/include/host.h                          |    1 -
 nq/include/protocol.h                      |    1 -
 nq/include/server.h                        |    1 -
 nq/include/sv_pr_cmds.h                    |    1 -
 nq/include/sv_progs.h                      |    1 -
 nq/source/cl_cam.c                         |    3 ---
 nq/source/cl_cmd.c                         |    2 --
 nq/source/cl_demo.c                        |    2 --
 nq/source/cl_ents.c                        |    2 --
 nq/source/cl_input.c                       |    3 ---
 nq/source/cl_main.c                        |    3 ---
 nq/source/cl_parse.c                       |    3 ---
 nq/source/cl_screen.c                      |    3 ---
 nq/source/cl_tent.c                        |    3 ---
 nq/source/cl_view.c                        |    3 ---
 nq/source/host.c                           |    2 --
 nq/source/host_cmd.c                       |    3 ---
 nq/source/sbar.c                           |    3 ---
 nq/source/sdl_link.c                       |    3 ---
 nq/source/sv_cl_phys.c                     |    3 ---
 nq/source/sv_ded.c                         |    2 --
 nq/source/sv_main.c                        |    3 ---
 nq/source/sv_move.c                        |    3 ---
 nq/source/sv_phys.c                        |    3 ---
 nq/source/sv_pr_cmds.c                     |    3 ---
 nq/source/sv_progs.c                       |    3 ---
 nq/source/sv_user.c                        |    3 ---
 nq/source/sys_sdl.c                        |    3 ---
 nq/source/sys_unix.c                       |    3 ---
 nq/source/sys_unixd.c                      |    3 ---
 nq/source/sys_win.c                        |    3 ---
 nq/source/sys_wind.c                       |    3 ---
 nq/source/world.c                          |    3 ---
 qtv/include/client.h                       |    1 -
 qtv/include/connection.h                   |    1 -
 qtv/include/qtv.h                          |    1 -
 qtv/include/server.h                       |    1 -
 qtv/source/client.c                        |    3 ---
 qtv/source/connection.c                    |    3 ---
 qtv/source/qtv.c                           |    3 ---
 qtv/source/sbar.c                          |    3 ---
 qtv/source/server.c                        |    3 ---
 qtv/source/sv_parse.c                      |    3 ---
 qw/include/cl_cam.h                        |    1 -
 qw/include/cl_chat.h                       |    1 -
 qw/include/cl_demo.h                       |    1 -
 qw/include/cl_ents.h                       |    1 -
 qw/include/cl_http.h                       |    1 -
 qw/include/cl_input.h                      |    1 -
 qw/include/cl_main.h                       |    1 -
 qw/include/cl_parse.h                      |    1 -
 qw/include/cl_pred.h                       |    1 -
 qw/include/cl_skin.h                       |    1 -
 qw/include/cl_slist.h                      |    1 -
 qw/include/cl_tent.h                       |    1 -
 qw/include/client.h                        |    1 -
 qw/include/crudefile.h                     |    1 -
 qw/include/game.h                          |    1 -
 qw/include/host.h                          |    1 -
 qw/include/map_cfg.h                       |    1 -
 qw/include/server.h                        |    1 -
 qw/include/sv_gib.h                        |    1 -
 qw/include/sv_pr_cmds.h                    |    1 -
 qw/include/sv_pr_cpqw.h                    |    1 -
 qw/include/sv_pr_qwe.h                     |    1 -
 qw/include/sv_progs.h                      |    1 -
 qw/include/sv_qtv.h                        |    1 -
 qw/include/sv_recorder.h                   |    1 -
 qw/source/cl_cam.c                         |    3 ---
 qw/source/cl_chat.c                        |    3 ---
 qw/source/cl_cmd.c                         |    2 --
 qw/source/cl_cvar.c                        |    3 ---
 qw/source/cl_demo.c                        |    2 --
 qw/source/cl_entparse.c                    |    3 ---
 qw/source/cl_ents.c                        |    2 --
 qw/source/cl_http.c                        |    3 ---
 qw/source/cl_input.c                       |    3 ---
 qw/source/cl_main.c                        |    3 ---
 qw/source/cl_ngraph.c                      |    3 ---
 qw/source/cl_parse.c                       |    3 ---
 qw/source/cl_pred.c                        |    3 ---
 qw/source/cl_screen.c                      |    3 ---
 qw/source/cl_skin.c                        |    3 ---
 qw/source/cl_slist.c                       |    3 ---
 qw/source/cl_sys_sdl.c                     |    3 ---
 qw/source/cl_sys_unix.c                    |    3 ---
 qw/source/cl_sys_win.c                     |    3 ---
 qw/source/cl_tent.c                        |    3 ---
 qw/source/cl_view.c                        |    3 ---
 qw/source/crudefile.c                      |    3 ---
 qw/source/locs.c                           |    3 ---
 qw/source/map_cfg.c                        |    3 ---
 qw/source/master.c                         |    3 ---
 qw/source/net_packetlog.c                  |    3 ---
 qw/source/pmove.c                          |    3 ---
 qw/source/pmovetst.c                       |    3 ---
 qw/source/sbar.c                           |    3 ---
 qw/source/sdl_link.c                       |    3 ---
 qw/source/sv_ccmds.c                       |    3 ---
 qw/source/sv_demo.c                        |    3 ---
 qw/source/sv_ents.c                        |    3 ---
 qw/source/sv_gib.c                         |    3 ---
 qw/source/sv_init.c                        |    3 ---
 qw/source/sv_main.c                        |    3 ---
 qw/source/sv_move.c                        |    3 ---
 qw/source/sv_phys.c                        |    3 ---
 qw/source/sv_pr_cmds.c                     |    3 ---
 qw/source/sv_pr_cpqw.c                     |    3 ---
 qw/source/sv_pr_qwe.c                      |    3 ---
 qw/source/sv_progs.c                       |    3 ---
 qw/source/sv_qtv.c                         |    3 ---
 qw/source/sv_recorder.c                    |    4 ----
 qw/source/sv_sbar.c                        |    3 ---
 qw/source/sv_send.c                        |    3 ---
 qw/source/sv_sys_unix.c                    |    3 ---
 qw/source/sv_sys_win.c                     |    3 ---
 qw/source/sv_user.c                        |    3 ---
 qw/source/teamplay.c                       |    3 ---
 qw/source/world.c                          |    3 ---
 ruamoko/include/Entity.h                   |    1 -
 ruamoko/include/math.h                     |    1 -
 tools/3dfx_stub/3dfxstub.h                 |    1 -
 tools/3dfx_stub/gl_stub.c                  |    1 -
 tools/3dfx_stub/gls_norm.c                 |    1 -
 tools/3dfx_stub/gls_trace.c                |    1 -
 tools/Forge/BundleController.m             |    2 --
 tools/Forge/Bundles/MainPrefs/MainPrefs.m  |    2 --
 tools/Forge/Controller.m                   |    2 --
 tools/Forge/Documentation/Template.m       |    2 --
 tools/Forge/PrefsController.m              |    2 --
 tools/Forge/Project.m                      |    2 --
 tools/gas2masm/gas2masm.c                  |    3 ---
 tools/gl_stub/glx_funcs_list.h             |    1 -
 tools/pak/pak.c                            |    3 ---
 tools/pak/pak.h                            |    1 -
 tools/qfbsp/include/brush.h                |    1 -
 tools/qfbsp/include/bsp5.h                 |    1 -
 tools/qfbsp/include/csg4.h                 |    1 -
 tools/qfbsp/include/draw.h                 |    1 -
 tools/qfbsp/include/map.h                  |    1 -
 tools/qfbsp/include/merge.h                |    1 -
 tools/qfbsp/include/options.h              |    1 -
 tools/qfbsp/include/outside.h              |    1 -
 tools/qfbsp/include/portals.h              |    1 -
 tools/qfbsp/include/readbsp.h              |    1 -
 tools/qfbsp/include/region.h               |    1 -
 tools/qfbsp/include/solidbsp.h             |    1 -
 tools/qfbsp/include/surfaces.h             |    1 -
 tools/qfbsp/include/tjunc.h                |    1 -
 tools/qfbsp/include/writebsp.h             |    1 -
 tools/qfbsp/source/csg4.c                  |    3 ---
 tools/qfbsp/source/map.c                   |    3 ---
 tools/qfbsp/source/merge.c                 |    3 ---
 tools/qfbsp/source/nodraw.c                |    3 ---
 tools/qfbsp/source/options.c               |    3 ---
 tools/qfbsp/source/outside.c               |    3 ---
 tools/qfbsp/source/portals.c               |    3 ---
 tools/qfbsp/source/qfbsp.c                 |    3 ---
 tools/qfbsp/source/readbsp.c               |    3 ---
 tools/qfbsp/source/region.c                |    3 ---
 tools/qfbsp/source/solidbsp.c              |    3 ---
 tools/qfbsp/source/surfaces.c              |    3 ---
 tools/qfbsp/source/tjunc.c                 |    3 ---
 tools/qfbsp/source/writebsp.c              |    3 ---
 tools/qfcc/include/class.h                 |    1 -
 tools/qfcc/include/codespace.h             |    1 -
 tools/qfcc/include/cpp.h                   |    1 -
 tools/qfcc/include/debug.h                 |    1 -
 tools/qfcc/include/def.h                   |    1 -
 tools/qfcc/include/defspace.h              |    1 -
 tools/qfcc/include/diagnostic.h            |    1 -
 tools/qfcc/include/emit.h                  |    1 -
 tools/qfcc/include/expr.h                  |    1 -
 tools/qfcc/include/function.h              |    1 -
 tools/qfcc/include/grab.h                  |    1 -
 tools/qfcc/include/idstuff.h               |    1 -
 tools/qfcc/include/linker.h                |    1 -
 tools/qfcc/include/method.h                |    1 -
 tools/qfcc/include/obj_file.h              |    1 -
 tools/qfcc/include/obj_type.h              |    1 -
 tools/qfcc/include/opcodes.h               |    1 -
 tools/qfcc/include/options.h               |    1 -
 tools/qfcc/include/qfcc.h                  |    1 -
 tools/qfcc/include/qfprogs.h               |    1 -
 tools/qfcc/include/reloc.h                 |    1 -
 tools/qfcc/include/statements.h            |    1 -
 tools/qfcc/include/strpool.h               |    1 -
 tools/qfcc/include/struct.h                |    1 -
 tools/qfcc/include/switch.h                |    1 -
 tools/qfcc/include/symtab.h                |    1 -
 tools/qfcc/include/type.h                  |    1 -
 tools/qfcc/include/value.h                 |    1 -
 tools/qfcc/source/class.c                  |    3 ---
 tools/qfcc/source/codespace.c              |    2 --
 tools/qfcc/source/constfold.c              |    3 ---
 tools/qfcc/source/cpp.c                    |    3 ---
 tools/qfcc/source/debug.c                  |    3 ---
 tools/qfcc/source/def.c                    |    3 ---
 tools/qfcc/source/defspace.c               |    2 --
 tools/qfcc/source/diagnostic.c             |    2 --
 tools/qfcc/source/disassemble.c            |    3 ---
 tools/qfcc/source/dot_expr.c               |    2 --
 tools/qfcc/source/dot_flow.c               |    2 --
 tools/qfcc/source/dump_globals.c           |    3 ---
 tools/qfcc/source/dump_lines.c             |    3 ---
 tools/qfcc/source/dump_modules.c           |    3 ---
 tools/qfcc/source/dump_strings.c           |    3 ---
 tools/qfcc/source/emit.c                   |    2 --
 tools/qfcc/source/expr.c                   |    3 ---
 tools/qfcc/source/function.c               |    3 ---
 tools/qfcc/source/grab.c                   |    2 --
 tools/qfcc/source/idstuff.c                |    3 ---
 tools/qfcc/source/linker.c                 |    2 --
 tools/qfcc/source/method.c                 |    3 ---
 tools/qfcc/source/obj_file.c               |    2 --
 tools/qfcc/source/obj_type.c               |    3 ---
 tools/qfcc/source/opcodes.c                |    3 ---
 tools/qfcc/source/options.c                |    3 ---
 tools/qfcc/source/qc-lex.l                 |    3 ---
 tools/qfcc/source/qc-parse.y               |    3 ---
 tools/qfcc/source/qfcc.c                   |    2 --
 tools/qfcc/source/qfprogs.c                |    3 ---
 tools/qfcc/source/qp-lex.l                 |    2 --
 tools/qfcc/source/qp-parse.y               |    2 --
 tools/qfcc/source/reloc.c                  |    3 ---
 tools/qfcc/source/statements.c             |    2 --
 tools/qfcc/source/strpool.c                |    3 ---
 tools/qfcc/source/struct.c                 |    3 ---
 tools/qfcc/source/switch.c                 |    3 ---
 tools/qfcc/source/symtab.c                 |    2 --
 tools/qfcc/source/type.c                   |    3 ---
 tools/qfcc/source/value.c                  |    3 ---
 tools/qflight/include/entities.h           |    1 -
 tools/qflight/include/light.h              |    1 -
 tools/qflight/include/options.h            |    1 -
 tools/qflight/include/threads.h            |    1 -
 tools/qflight/source/entities.c            |    3 ---
 tools/qflight/source/ltface.c              |    3 ---
 tools/qflight/source/options.c             |    3 ---
 tools/qflight/source/properties.c          |    3 ---
 tools/qflight/source/qflight.c             |    3 ---
 tools/qflight/source/threads.c             |    3 ---
 tools/qflight/source/trace.c               |    3 ---
 tools/qflight/source/vis.c                 |    3 ---
 tools/qfvis/include/options.h              |    1 -
 tools/qfvis/include/vis.h                  |    1 -
 tools/qfvis/source/base-vis.c              |    3 ---
 tools/qfvis/source/flow.c                  |    3 ---
 tools/qfvis/source/options.c               |    3 ---
 tools/qfvis/source/qfvis.c                 |    3 ---
 tools/qfvis/source/soundphs.c              |    3 ---
 tools/qwaq/builtins.c                      |    3 ---
 tools/qwaq/main.c                          |    3 ---
 tools/wad/grab.c                           |    3 ---
 tools/wad/script.c                         |    3 ---
 tools/wad/wad.c                            |    3 ---
 tools/wad/wad.h                            |    1 -
 716 files changed, 1516 deletions(-)

commit ca97831
Author: Bill Currie <bill@taniwha.org>
Date:   Sun Apr 22 10:11:56 2012 +0900

    Change the default vid plugin from sw32 to glsl.

 config.d/build_control.m4 |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 07c6184
Author: Bill Currie <bill@taniwha.org>
Date:   Sun Apr 22 10:03:52 2012 +0900

    Break out the default plugin code into its own macro.

 m4/quakeforge.m4 |   18 +++++++++---------
 1 file changed, 9 insertions(+), 9 deletions(-)

commit 1fd8447
Author: Bill Currie <bill@taniwha.org>
Date:   Sat Apr 21 20:59:04 2012 +0900

    Rename char to dchar in the text vertex shader.
    
    Thanks to Spirit :)
    
    Turns out certain drivers (nvidia?) reserve "char" even though opengl does
    not. This should fix his missing console text.

 libs/video/renderer/glsl/glsl_draw.c   |    2 +-
 libs/video/renderer/glsl/quaketxt.vert |    6 +++---
 2 files changed, 4 insertions(+), 4 deletions(-)

commit 7317aaf
Author: Bill Currie <bill@taniwha.org>
Date:   Sat Apr 21 20:16:28 2012 +0900

    Fix an out-by-one error when expanding intervals.

 tools/io_mesh_qfmdl/export_mdl.py |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 965680f
Author: Bill Currie <bill@taniwha.org>
Date:   Sat Apr 21 11:42:38 2012 +0900

    Fix the bogus rotation flag when exporting the torch.

 tools/io_mesh_qfmdl/export_mdl.py |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4e43565
Author: Bill Currie <bill@taniwha.org>
Date:   Sat Apr 21 11:31:33 2012 +0900

    Implement multiple skin and frame exporting.

 tools/io_mesh_qfmdl/export_mdl.py |  171 +++++++++++++++++++++++++++++--------
 1 file changed, 134 insertions(+), 37 deletions(-)

commit 1242247
Author: Bill Currie <bill@taniwha.org>
Date:   Sat Apr 21 11:30:43 2012 +0900

    Write the number of subskins in a skin group.

 tools/io_mesh_qfmdl/mdl.py |    1 +
 1 file changed, 1 insertion(+)

commit 3b07928
Author: Bill Currie <bill@taniwha.org>
Date:   Fri Apr 20 16:30:25 2012 +0900

    Fix an inconsistent numeric constant.
    
    While checking the shaders to see if there might be anything obvious to
    work around the current nouveau shader issues, I found a 1 that should have
    been a 1.0. I'm surprised it ever compiled.

 libs/video/renderer/glsl/quakepnt.vert |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit cdc57a0
Author: Bill Currie <bill@taniwha.org>
Date:   Thu Apr 19 22:16:30 2012 +0900

    Set the skin images' fakeuser flag.
    
    Until I figure out how to do animated skins in blender...

 tools/io_mesh_qfmdl/import_mdl.py |    1 +
 1 file changed, 1 insertion(+)

commit 6bae99d
Author: Bill Currie <bill@taniwha.org>
Date:   Thu Apr 19 22:06:43 2012 +0900

    Create an animation script for imported models.
    
    The animation script is just a plist of relevant frame and skin
    information. Documentation is included in the generated script.

 tools/io_mesh_qfmdl/__init__.py   |   13 +++++-
 tools/io_mesh_qfmdl/import_mdl.py |   80 ++++++++++++++++++++++++++++++++-----
 tools/io_mesh_qfmdl/mdl.py        |   26 +++++++++++-
 3 files changed, 107 insertions(+), 12 deletions(-)

commit ff05074
Author: Bill Currie <bill@taniwha.org>
Date:   Thu Apr 19 18:49:53 2012 +0900

    Set the fcurve interpolation to linear.
    
    Since qf does linear interpolation of verts, this seems to be reasonable.
    Certaintly better than the rose-thorns I got because I haven't figured out
    how to kick the auto-clamp.

 tools/io_mesh_qfmdl/import_mdl.py |    1 +
 1 file changed, 1 insertion(+)

commit 274848b
Author: Bill Currie <bill@taniwha.org>
Date:   Thu Apr 19 14:30:40 2012 +0900

    Use exceptions for error reporting.
    
    Much cleaner, should have done it this way in the first place.

 tools/io_mesh_qfmdl/qfplist.py |   72 ++++++++++++++++++++--------------------
 1 file changed, 36 insertions(+), 36 deletions(-)

commit d500940
Author: Bill Currie <bill@taniwha.org>
Date:   Tue Apr 17 22:05:50 2012 +0900

    Add support for writing plists.
    
    For now, only dictionariess, lists/tuples, bytes and strings are
    supported.

 tools/io_mesh_qfmdl/qfplist.py |   44 +++++++++++++++++++++++++++++++++++++++-
 1 file changed, 43 insertions(+), 1 deletion(-)

commit 68bf010
Author: Bill Currie <bill@taniwha.org>
Date:   Tue Apr 17 21:29:27 2012 +0900

    Create a python version of qfplist.
    
    I've decided to use property lists to define mdl control scripts. Some
    names will probably get changed, and I still need to write code for writing
    a plist, but the hard part is pretty much done :)

 tools/io_mesh_qfmdl/qfplist.py |  208 ++++++++++++++++++++++++++++++++++++++++
 1 file changed, 208 insertions(+)

commit 5614848
Author: Bill Currie <bill@taniwha.org>
Date:   Tue Apr 17 21:26:33 2012 +0900

    Fix some snafus in PL_ParseData
    
    Found them by inspection while writing a python version of qfplist.

 libs/util/qfplist.c |   11 ++++++-----
 1 file changed, 6 insertions(+), 5 deletions(-)

commit 196f2da
Author: Bill Currie <bill@taniwha.org>
Date:   Tue Apr 17 13:10:21 2012 +0900

    Remove the fallback for missing image pack support.
    
    It's been in blender since 2.59 or so.

 tools/io_mesh_qfmdl/import_mdl.py |    7 +------
 1 file changed, 1 insertion(+), 6 deletions(-)

commit e25024c
Author: Bill Currie <bill@taniwha.org>
Date:   Mon Apr 16 15:42:49 2012 +0900

    Build a single NLA track with strips for all actions.
    
    This removes the need for fakeuser :).
    
    Anyway, with this, the model's animations can be viewed all in sequence
    just by hitting alt-a.

 tools/io_mesh_qfmdl/import_mdl.py |   11 +++++++----
 1 file changed, 7 insertions(+), 4 deletions(-)

commit 4b29510
Author: Bill Currie <bill@taniwha.org>
Date:   Mon Apr 16 13:33:45 2012 +0900

    Set the name of the shape-key datablock to the model name.
    
    Note that this is the data block that holds the list of actual shape-keys,
    rather than the shape-keys themselves. I'm not sure what it's correct name
    is (it's just "Key" in RNA).
    
    I really dislike this method of setting the name, but the use of "Key" as
    the datablock name is actually hard-coded into blender's C code :/

 tools/io_mesh_qfmdl/import_mdl.py |    1 +
 1 file changed, 1 insertion(+)

commit 0952e91
Author: Bill Currie <bill@taniwha.org>
Date:   Mon Apr 16 13:30:58 2012 +0900

    Set fakeuser on actions.
    
    Without fakeuser set, blender will toss out the actions on save and reload.
    Converting to an nla strip might take care of that, but I haven't figured
    out how to do that yet, so avoid any nasty surprised for the user.

 tools/io_mesh_qfmdl/import_mdl.py |    1 +
 1 file changed, 1 insertion(+)

commit 70f500a
Author: Bill Currie <bill@taniwha.org>
Date:   Sun Apr 15 21:55:23 2012 +0900

    Use custom properties for model flags etc.
    
    Eye position, auto rotation, sync type and particle effects can now all be
    edited in blender: both import and export do the right thing. The settings
    can be found in the "QF MDL" panel of the "Object" tab of the properties
    view.

 tools/io_mesh_qfmdl/__init__.py   |   56 +++++++++++++++++++++++++++++++++++--
 tools/io_mesh_qfmdl/export_mdl.py |    7 +++++
 tools/io_mesh_qfmdl/import_mdl.py |   34 ++++++++++++++++++++--
 tools/io_mesh_qfmdl/mdl.py        |   18 +++++++++++-
 4 files changed, 110 insertions(+), 5 deletions(-)

commit 878764f
Author: Bill Currie <bill@taniwha.org>
Date:   Sun Apr 15 15:11:16 2012 +0900

    Fix some segfaults in nq-server.

 libs/models/model.c |    2 +-
 nq/include/server.h |    2 ++
 nq/source/cl_view.c |   26 ++++++++++++++++++++++
 nq/source/host.c    |    3 ++-
 nq/source/sv_ded.c  |    3 ---
 nq/source/sv_main.c |    6 ++++++
 nq/source/sv_user.c |   60 ++++++++++++++++++++++++---------------------------
 7 files changed, 65 insertions(+), 37 deletions(-)

commit 7fc700b
Author: Bill Currie <bill@taniwha.org>
Date:   Sun Apr 15 14:13:05 2012 +0900

    Allow alias textures up to 1024x1024.
    
    Blender's default texture size is 1024x1024, and there doesn't seem to be
    any reason not to support it.

 include/d_iface.h |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6f026e9
Author: Bill Currie <bill@taniwha.org>
Date:   Sun Apr 15 14:12:00 2012 +0900

    Fix some segfaults in server model loading.
    
    I'd forgotten to test the servers when I did the vid_plugin changes.

 libs/models/brush/model_brush.c |   12 ++++++++----
 libs/models/model.c             |    8 +++++---
 2 files changed, 13 insertions(+), 7 deletions(-)

commit 92c08fb
Author: Bill Currie <bill@taniwha.org>
Date:   Sun Apr 15 13:47:59 2012 +0900

    Update required blender version.

 tools/io_mesh_qfmdl/__init__.py |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit fd9b8f7
Author: Bill Currie <bill@taniwha.org>
Date:   Sun Apr 15 09:34:53 2012 +0900

    Fix import and export for blender 2.63
    
    Blender 2.63 should be out in a few days. Nice to get this ready ahead of
    time.

 tools/io_mesh_qfmdl/export_mdl.py |   11 ++++++-----
 tools/io_mesh_qfmdl/import_mdl.py |   12 ++++++------
 2 files changed, 12 insertions(+), 11 deletions(-)

commit d3af0b2
Author: Bill Currie <bill@taniwha.org>
Date:   Sun Apr 15 09:34:16 2012 +0900

    Correct the MD16 writing code.
    
    Forgot to test it :P

 tools/io_mesh_qfmdl/mdl.py |    6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit ab4aec4
Author: Bill Currie <bill@taniwha.org>
Date:   Sat Apr 14 18:10:25 2012 +0900

    Correct vertex scaling for blender 2.62+
    
    This also abandons support for older versions of blender.

 tools/io_mesh_qfmdl/import_mdl.py |   26 ++++++++++----------------
 1 file changed, 10 insertions(+), 16 deletions(-)

commit bbd277c
Author: Bill Currie <bill@taniwha.org>
Date:   Thu Apr 12 17:16:40 2012 +0900

    Fix building libQFrenderer as a helper library.

 libs/video/renderer/Makefile.am |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 61ae793
Author: Bill Currie <bill@taniwha.org>
Date:   Thu Apr 12 17:12:24 2012 +0900

    Fix two broken symbols for sw32.
    
    Now all 4 render plugins load as standard plugins (though there's still a
    problem with libQFrenderer.so)

 libs/video/renderer/sw32/namehack.h |    2 ++
 1 file changed, 2 insertions(+)

commit 633f70b
Author: Bill Currie <bill@taniwha.org>
Date:   Thu Apr 12 17:05:42 2012 +0900

    Remove a functionally dead symbol.
    
    The only purpose clearnotify seemed to be serving was to stop the console
    plugin from loading :P

 include/QF/screen.h            |    1 -
 libs/console/client.c          |    2 --
 libs/video/renderer/r_screen.c |    1 -
 3 files changed, 4 deletions(-)

commit 7fc99f9
Author: Bill Currie <bill@taniwha.org>
Date:   Thu Apr 12 16:47:37 2012 +0900

    Fix gl and glsl support in sdl.

 include/context_sdl.h            |    1 +
 libs/video/targets/context_sdl.c |    2 +-
 libs/video/targets/vid_sdl.c     |  184 ++++++++++++++++++++++++++++++++++----
 libs/video/targets/vid_x11.c     |    5 +-
 4 files changed, 170 insertions(+), 22 deletions(-)

commit ab486dc
Author: Bill Currie <bill@taniwha.org>
Date:   Thu Apr 12 15:07:28 2012 +0900

    Unregister the quit command before registering it.
    
    This fixes the quit menu not working.

 libs/console/menu.c |    1 +
 1 file changed, 1 insertion(+)

commit e784754
Author: Bill Currie <bill@taniwha.org>
Date:   Thu Apr 12 14:40:02 2012 +0900

    Disable the gl_triplebuffer check in glsl.
    
    It doesn't seem to have any useful effect in QF (even before the plugin
    project) other than setting the number of frames to update. I'm not sure if
    it's a useless variable or one where the user is supposed to match it to
    the system configuration. Anyway, with this, the glsl plugin now works.

 libs/video/renderer/glsl/glsl_screen.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8401704
Author: Bill Currie <bill@taniwha.org>
Date:   Thu Apr 12 13:57:05 2012 +0900

    Connect up palette setting for gl and glsl.
    
    The GL plugin now seems to work. GLSL still segs :(

 include/r_internal.h                       |    3 ++
 include/vid_internal.h                     |    1 -
 libs/video/renderer/gl/vid_common_gl.c     |    6 +--
 libs/video/renderer/glsl/vid_common_glsl.c |   20 +++++-----
 libs/video/renderer/vid_render_gl.c        |    1 +
 libs/video/renderer/vid_render_glsl.c      |    5 +++
 libs/video/targets/vid.c                   |    3 +-
 libs/video/targets/vid_fbdev.c             |   58 ++++++++++++++-------------
 libs/video/targets/vid_sdl.c               |    6 ++-
 libs/video/targets/vid_x11.c               |   59 ++++++++++++++--------------
 10 files changed, 86 insertions(+), 76 deletions(-)

commit 525dbcc
Author: Bill Currie <bill@taniwha.org>
Date:   Wed Apr 11 22:45:23 2012 +0900

    Ensure code paths stay within the one renderer.
    
    The gl renderer calling sw functions is bad news. Still all black, but I
    think that's because palette setting is disabled.

 include/QF/plugin/vid_render.h            |    7 ++++++
 include/r_internal.h                      |    2 ++
 libs/video/renderer/gl/gl_dyn_part.c      |   34 ++++++++++++++++++++++++++++
 libs/video/renderer/glsl/glsl_particles.c |   34 ++++++++++++++++++++++++++++
 libs/video/renderer/r_cvar.c              |   35 -----------------------------
 libs/video/renderer/r_graph.c             |    8 +++----
 libs/video/renderer/r_part.c              |    4 ++--
 libs/video/renderer/r_screen.c            |   26 ++++++++++++---------
 libs/video/renderer/sw/sw_rpart.c         |   34 ++++++++++++++++++++++++++++
 libs/video/renderer/sw32/sw32_rpart.c     |   34 ++++++++++++++++++++++++++++
 libs/video/renderer/vid_common.c          |    2 ++
 libs/video/renderer/vid_render_gl.c       |    7 ++++++
 libs/video/renderer/vid_render_glsl.c     |    7 ++++++
 libs/video/renderer/vid_render_sw.c       |    7 ++++++
 libs/video/renderer/vid_render_sw32.c     |    7 ++++++
 15 files changed, 197 insertions(+), 51 deletions(-)

commit 898bfa5
Author: Bill Currie <bill@taniwha.org>
Date:   Wed Apr 11 16:44:38 2012 +0900

    Split up the vid plugin init sequence.
    
    This gets gl so it no longer segs. However, the screen remains black
    (expect for cshifts).

 include/QF/vid.h                       |    6 +-
 libs/video/renderer/gl/gl_rmisc.c      |    1 +
 libs/video/renderer/gl/qfgl_ext.c      |   62 +-----------
 libs/video/renderer/gl/vid_common_gl.c |    2 -
 libs/video/renderer/glsl/qfglsl.c      |   40 +-------
 libs/video/renderer/vid_render_gl.c    |    4 +
 libs/video/targets/vid_x11.c           |  162 ++++++++++++++++++++++++++++++--
 7 files changed, 170 insertions(+), 107 deletions(-)

commit 6ff658a
Author: Bill Currie <bill@taniwha.org>
Date:   Wed Apr 11 16:38:15 2012 +0900

    Use r_funcs in the client console plugin.
    
    Getting the sw renderer's functions when running gl was nasty.

 libs/console/client.c |   24 ++++++++++++------------
 libs/console/menu.c   |   20 +++++++++++---------
 2 files changed, 23 insertions(+), 21 deletions(-)

commit d62772e
Author: Bill Currie <bill@taniwha.org>
Date:   Tue Apr 10 13:27:53 2012 +0900

    Separate render module loading from initialization.
    
    This allows the vid module to load the render module and access render
    specific functions before the renderer initializes, which happens to need
    an initialized vid module...

 include/QF/plugin/vid_render.h        |    1 +
 include/QF/render.h                   |    1 +
 libs/video/renderer/gl/gl_rmisc.c     |    4 ++++
 libs/video/renderer/glsl/glsl_main.c  |    4 ++++
 libs/video/renderer/r_init.c          |    8 +++++++-
 libs/video/renderer/sw/sw_rmain.c     |    6 ++++++
 libs/video/renderer/sw32/sw32_rmain.c |    6 ++++++
 libs/video/renderer/vid_render_gl.c   |    5 +----
 libs/video/renderer/vid_render_glsl.c |    5 +----
 libs/video/renderer/vid_render_sw.c   |    5 +----
 libs/video/renderer/vid_render_sw32.c |    5 +----
 libs/video/targets/vid_fbdev.c        |    2 ++
 libs/video/targets/vid_sdl.c          |    2 ++
 libs/video/targets/vid_x11.c          |    2 ++
 14 files changed, 39 insertions(+), 17 deletions(-)

commit a16ff08
Author: Bill Currie <bill@taniwha.org>
Date:   Sun Feb 26 18:45:50 2012 +0900

    Make nq-x11 work for sw.
    
    Same state as qw-client-x11.

 nq/source/cl_main.c |   11 +++++++++++
 nq/source/cl_view.c |    2 +-
 nq/source/host.c    |   21 +++++++--------------
 3 files changed, 19 insertions(+), 15 deletions(-)

commit 9796842
Author: Bill Currie <bill@taniwha.org>
Date:   Sun Feb 26 16:01:04 2012 +0900

    Fix an uninitialized variable found by valgrind.

 qw/source/cl_ents.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 799a0ae
Author: Bill Currie <bill@taniwha.org>
Date:   Sun Feb 26 16:00:10 2012 +0900

    Fix a bogus cshift calculation in sw32.
    
    Found via valgrind and gammatable having become malloced instead of static.

 libs/video/renderer/sw32/draw.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 07ab560
Author: Bill Currie <bill@taniwha.org>
Date:   Sun Feb 26 15:58:09 2012 +0900

    Recache viddef in *D_InitCaches.
    
    sw32 now at least doesn't seg, but doesn't draw any 3d. sw renderer seems
    to work.

 libs/video/renderer/sw/d_surf.c   |    1 +
 libs/video/renderer/sw32/d_surf.c |    1 +
 2 files changed, 2 insertions(+)

commit 42868d3
Author: Bill Currie <bill@taniwha.org>
Date:   Sun Feb 26 14:14:24 2012 +0900

    Initialize the skins and particles subsystems.

 libs/video/renderer/r_cvar.c          |    1 -
 libs/video/renderer/vid_render_gl.c   |    2 ++
 libs/video/renderer/vid_render_glsl.c |    2 ++
 libs/video/renderer/vid_render_sw.c   |    2 ++
 libs/video/renderer/vid_render_sw32.c |    2 ++
 5 files changed, 8 insertions(+), 1 deletion(-)

commit a0e143e
Author: Bill Currie <bill@taniwha.org>
Date:   Sun Feb 26 14:05:13 2012 +0900

    Check for fog functions before calling them.
    
    Not all renderers support fog.

 nq/source/cl_parse.c |    6 ++++--
 qw/source/cl_parse.c |    3 ++-
 2 files changed, 6 insertions(+), 3 deletions(-)

commit 6ea4e66
Author: Bill Currie <bill@taniwha.org>
Date:   Sun Feb 26 14:00:15 2012 +0900

    Connect up viddef properly.
    
    Or mostly so, anyway. sw32 is actually putting stuff on the screen.

 include/vid_internal.h                     |    2 +-
 libs/video/renderer/gl/qfgl_ext.c          |    4 ++--
 libs/video/renderer/gl/vid_common_gl.c     |   10 +++++-----
 libs/video/renderer/glsl/qfglsl.c          |    4 ++--
 libs/video/renderer/glsl/vid_common_glsl.c |    3 ++-
 libs/video/renderer/r_init.c               |    1 +
 libs/video/renderer/r_screen.c             |    1 +
 libs/video/renderer/sw/d_init.c            |    6 +++---
 libs/video/renderer/sw32/d_init.c          |    6 +++---
 libs/video/renderer/vid_render_gl.c        |    1 +
 libs/video/renderer/vid_render_glsl.c      |    1 +
 libs/video/renderer/vid_render_sw.c        |    1 +
 libs/video/renderer/vid_render_sw32.c      |    1 +
 libs/video/targets/vid.c                   |    9 +++++----
 libs/video/targets/vid_fbdev.c             |    2 +-
 libs/video/targets/vid_sdl.c               |    2 +-
 libs/video/targets/vid_x11.c               |    2 +-
 17 files changed, 32 insertions(+), 24 deletions(-)

commit 4d9c340
Author: Bill Currie <bill@taniwha.org>
Date:   Thu Feb 23 21:17:32 2012 +0900

    Start putting the pieces back together.
    
    The renderer now gets initialized and things sort of work (qw-client will
    idle, though nothing is displayed). However, as the viddef stuff is broken,
    it segs on trying to run the overkill demo.

 include/QF/plugin/vid_render.h        |    1 -
 include/r_internal.h                  |    4 ++++
 libs/video/renderer/gl/namehack.h     |    1 -
 libs/video/renderer/glsl/namehack.h   |    1 -
 libs/video/renderer/r_cvar.c          |    3 +++
 libs/video/renderer/r_init.c          |    4 ++++
 libs/video/renderer/sw32/namehack.h   |    1 -
 libs/video/renderer/vid_common.c      |    2 +-
 libs/video/renderer/vid_render_gl.c   |   15 +++++++++++++++
 libs/video/renderer/vid_render_glsl.c |   15 +++++++++++++++
 libs/video/renderer/vid_render_sw.c   |   15 +++++++++++++++
 libs/video/renderer/vid_render_sw32.c |   15 +++++++++++++++
 nq/source/cl_main.c                   |    2 --
 nq/source/cl_view.c                   |    2 +-
 qw/source/cl_main.c                   |    3 +--
 qw/source/cl_screen.c                 |    4 ++--
 qw/source/cl_view.c                   |    2 +-
 17 files changed, 77 insertions(+), 13 deletions(-)

commit 1d86452
Author: Bill Currie <bill@taniwha.org>
Date:   Thu Feb 23 13:18:59 2012 +0900

    Fix the sprite model loader for plugins.

 include/QF/model.h                     |    1 -
 include/QF/plugin/vid_render.h         |    1 +
 include/mod_internal.h                 |    4 ++++
 libs/models/sprite/gl_model_sprite.c   |    2 +-
 libs/models/sprite/glsl_model_sprite.c |    2 +-
 libs/models/sprite/model_sprite.c      |    2 +-
 libs/models/sprite/sw_model_sprite.c   |    2 +-
 libs/video/renderer/vid_render_gl.c    |    1 +
 libs/video/renderer/vid_render_glsl.c  |    1 +
 libs/video/renderer/vid_render_sw.c    |    1 +
 libs/video/renderer/vid_render_sw32.c  |    1 +
 11 files changed, 13 insertions(+), 5 deletions(-)

commit cbdbfdd
Author: Bill Currie <bill@taniwha.org>
Date:   Thu Feb 23 12:55:50 2012 +0900

    Fix the alias model loader for plugins.

 include/QF/model.h                    |    6 -----
 include/QF/plugin/vid_render.h        |    7 ++++++
 include/mod_internal.h                |   40 +++++++++++++++++++++++++++++----
 libs/models/alias/gl_mesh.c           |   33 ++++++++++++++-------------
 libs/models/alias/gl_model_alias.c    |   10 ++++-----
 libs/models/alias/glsl_model_alias.c  |   14 +++++-------
 libs/models/alias/model_alias.c       |   18 +++++++--------
 libs/models/alias/sw_model_alias.c    |   14 +++++-------
 libs/models/brush/gl_model_brush.c    |    8 +++----
 libs/models/brush/glsl_model_brush.c  |    8 +++----
 libs/models/brush/sw_model_brush.c    |    8 +++----
 libs/video/renderer/vid_render_gl.c   |   15 +++++++++----
 libs/video/renderer/vid_render_glsl.c |   15 +++++++++----
 libs/video/renderer/vid_render_sw.c   |   15 +++++++++----
 libs/video/renderer/vid_render_sw32.c |   15 +++++++++----
 15 files changed, 141 insertions(+), 85 deletions(-)

commit 52e518b
Author: Bill Currie <bill@taniwha.org>
Date:   Thu Feb 23 12:09:19 2012 +0900

    Fix skin functions for plugins.

 include/QF/plugin/vid_render.h        |    2 --
 include/mod_internal.h                |   22 +++++++++++++++++-----
 libs/models/Makefile.am               |   10 ++++++----
 libs/models/alias/gl_model_alias.c    |    4 ++--
 libs/models/gl_skin.c                 |   10 +++++-----
 libs/models/glsl_skin.c               |    6 +++---
 libs/models/model.c                   |    3 ++-
 libs/models/skin.c                    |   10 ++++++----
 libs/models/sw_skin.c                 |    6 +++---
 libs/video/renderer/gl/gl_rmisc.c     |    2 +-
 libs/video/renderer/vid_render_gl.c   |    8 +++-----
 libs/video/renderer/vid_render_glsl.c |    8 +++-----
 libs/video/renderer/vid_render_sw.c   |    8 +++-----
 libs/video/renderer/vid_render_sw32.c |    8 +++-----
 14 files changed, 57 insertions(+), 50 deletions(-)

commit f5d6959
Author: Bill Currie <bill@taniwha.org>
Date:   Thu Feb 23 11:25:08 2012 +0900

    Copy out the model functions pointer.

 libs/video/renderer/r_init.c |    1 +
 1 file changed, 1 insertion(+)

commit 352eb5e
Author: Bill Currie <bill@taniwha.org>
Date:   Thu Feb 23 11:23:53 2012 +0900

    Move console init to after vid/render init.

 qw/source/cl_main.c |   23 ++++++++++++-----------
 1 file changed, 12 insertions(+), 11 deletions(-)

commit 437ff88
Author: Bill Currie <bill@taniwha.org>
Date:   Thu Feb 23 10:10:36 2012 +0900

    Fix some missing backslashes in qw's Makefile.am.
    
    Wow, everything links with static plugins.

 qw/source/Makefile.am |    8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 6f7b427
Author: Bill Currie <bill@taniwha.org>
Date:   Thu Feb 23 10:06:30 2012 +0900

    Move VID_InitBuffers back from the renderer to targets.
    
    First, it was nearly identical between sw and sw32 (one paranoia line in
    sw32), and second, it's common enough.

 libs/video/renderer/sw/vid_common_sw.c     |   68 +---------------------------
 libs/video/renderer/sw32/vid_common_sw32.c |   65 --------------------------
 libs/video/targets/vid.c                   |   63 ++++++++++++++++++++++++++
 3 files changed, 65 insertions(+), 131 deletions(-)

commit a093e6a
Author: Bill Currie <bill@taniwha.org>
Date:   Thu Feb 23 09:33:04 2012 +0900

    Move palette setting into viddef_t.

 include/QF/vid.h                           |    1 +
 include/vid_internal.h                     |    1 -
 libs/video/renderer/sw/draw.c              |    2 +-
 libs/video/renderer/sw/vid_common_sw.c     |    6 ------
 libs/video/renderer/sw32/draw.c            |    2 +-
 libs/video/renderer/sw32/vid_common_sw32.c |    6 ------
 6 files changed, 3 insertions(+), 15 deletions(-)

commit e08d5cc
Author: Bill Currie <bill@taniwha.org>
Date:   Thu Feb 23 09:15:50 2012 +0900

    Move the gl util functions into viddef_t.
    
    Static plugins almost link now, just two more symbols to sort out.

 include/QF/GL/funcs.h                  |    3 ---
 include/QF/GL/qf_vid.h                 |    1 -
 include/QF/GLSL/funcs.h                |    3 ---
 include/QF/GLSL/qf_vid.h               |    1 -
 include/QF/vid.h                       |    4 ++++
 libs/video/renderer/gl/gl_rmisc.c      |    6 +++---
 libs/video/renderer/gl/gl_screen.c     |    4 ++--
 libs/video/renderer/gl/qfgl_ext.c      |    6 +++---
 libs/video/renderer/glsl/glsl_screen.c |    2 +-
 libs/video/renderer/glsl/qfglsl.c      |    6 +++---
 10 files changed, 16 insertions(+), 20 deletions(-)

commit 7ed33f6
Author: Bill Currie <bill@taniwha.org>
Date:   Thu Feb 23 08:49:59 2012 +0900

    Hide D_FlushCaches.
    
    There'd been a way to do so all along :/ There might be some issues with
    this, but those will be easy to fix :)

 include/QF/plugin/vid_render.h        |    1 -
 libs/video/renderer/vid_render_gl.c   |    1 -
 libs/video/renderer/vid_render_glsl.c |    1 -
 libs/video/renderer/vid_render_sw.c   |    1 -
 libs/video/renderer/vid_render_sw32.c |    1 -
 nq/source/host.c                      |    3 ++-
 nq/source/sv_ded.c                    |    1 +
 qw/source/cl_main.c                   |    3 ++-
 8 files changed, 5 insertions(+), 7 deletions(-)

commit 7865f6a
Author: Bill Currie <bill@taniwha.org>
Date:   Wed Feb 22 22:12:29 2012 +0900

    Rename sw's R_Init to sw_R_Init.
    
    For now, the only symbol I'll bother messing with in the sw renderer.

 include/r_internal.h              |    1 +
 libs/video/renderer/sw/sw_rmain.c |    2 +-
 2 files changed, 2 insertions(+), 1 deletion(-)

commit 1dd1aec
Author: Bill Currie <bill@taniwha.org>
Date:   Wed Feb 22 22:11:24 2012 +0900

    Make libgl_handle static.
    
    This will make life interesting for getting the final stages working, but
    it helps for now.

 include/QF/GL/funcs.h             |    2 --
 include/QF/GLSL/funcs.h           |    2 --
 libs/video/renderer/gl/qfgl_ext.c |    2 +-
 libs/video/renderer/glsl/qfglsl.c |    2 +-
 4 files changed, 2 insertions(+), 6 deletions(-)

commit 772af29
Author: Bill Currie <bill@taniwha.org>
Date:   Wed Feb 22 22:08:47 2012 +0900

    Move the gl cvars into gl.
    
    That gets rid of the gl_overbrite_f clash. They were put in r_cvar for
    saving to the config file, but that was before seta existed.

 libs/video/renderer/gl/vid_common_gl.c |   90 ++++++++++++++++++++++++++++++++
 libs/video/renderer/glsl/glsl_main.c   |    5 --
 libs/video/renderer/r_cvar.c           |   90 --------------------------------
 libs/video/renderer/sw/sw_rmain.c      |    5 --
 4 files changed, 90 insertions(+), 100 deletions(-)

commit 65bd293
Author: Bill Currie <bill@taniwha.org>
Date:   Wed Feb 22 21:53:17 2012 +0900

    Make a start on putting the pieces together.
    
    Still many undefined and multiply defined symbols, but there seems to be a
    light in this darkness. I just hope it's not an oncoming train :)

 include/QF/GL/qf_draw.h                   |   37 ++++++++++++++
 include/QF/GLSL/qf_draw.h                 |   37 ++++++++++++++
 include/gl_draw.h                         |   37 --------------
 include/r_internal.h                      |    7 ++-
 libs/video/renderer/gl/gl_draw.c          |    2 +-
 libs/video/renderer/gl/gl_dyn_part.c      |    8 +--
 libs/video/renderer/gl/gl_rmain.c         |    2 +-
 libs/video/renderer/gl/gl_screen.c        |    2 +-
 libs/video/renderer/glsl/glsl_draw.c      |   14 +++---
 libs/video/renderer/glsl/glsl_main.c      |    6 ---
 libs/video/renderer/glsl/glsl_particles.c |   10 ++--
 libs/video/renderer/glsl/glsl_screen.c    |   10 ++--
 libs/video/renderer/sw/sw_rpart.c         |    2 +-
 libs/video/renderer/sw32/sw32_rpart.c     |    2 +-
 libs/video/renderer/vid_common.c          |   68 -------------------------
 libs/video/renderer/vid_render_gl.c       |   75 +++++++++++++++++++++++++++-
 libs/video/renderer/vid_render_glsl.c     |   77 ++++++++++++++++++++++++++++-
 libs/video/renderer/vid_render_sw.c       |   70 +++++++++++++++++++++++++-
 libs/video/renderer/vid_render_sw32.c     |   75 +++++++++++++++++++++++++++-
 19 files changed, 397 insertions(+), 144 deletions(-)

commit d445b4e
Author: Bill Currie <bill@taniwha.org>
Date:   Wed Feb 22 16:48:57 2012 +0900

    Rename the glsl qfgl functions to qfegl.
    
    Keep them separate from the gl renderer :)

 include/QF/GL/qf_vid.h                     |    1 +
 include/QF/GLSL/funcs.h                    |   14 +-
 include/QF/GLSL/qf_vid.h                   |    1 +
 include/r_internal.h                       |    2 -
 libs/models/alias/glsl_model_alias.c       |   16 +-
 libs/models/brush/glsl_model_brush.c       |    4 +-
 libs/models/glsl_skin.c                    |   34 ++---
 libs/video/renderer/glsl/glsl_alias.c      |  100 ++++++-------
 libs/video/renderer/glsl/glsl_bsp.c        |  222 ++++++++++++++--------------
 libs/video/renderer/glsl/glsl_draw.c       |  108 +++++++-------
 libs/video/renderer/glsl/glsl_main.c       |   10 +-
 libs/video/renderer/glsl/glsl_particles.c  |  100 ++++++-------
 libs/video/renderer/glsl/glsl_screen.c     |    8 +-
 libs/video/renderer/glsl/glsl_sprite.c     |   80 +++++-----
 libs/video/renderer/glsl/glsl_textures.c   |   72 ++++-----
 libs/video/renderer/glsl/qfglsl.c          |   18 +--
 libs/video/renderer/glsl/vid_common_glsl.c |  110 +++++++-------
 17 files changed, 450 insertions(+), 450 deletions(-)

commit 3650454
Author: Bill Currie <bill@taniwha.org>
Date:   Wed Feb 22 16:32:34 2012 +0900

    Rename the public symbols for gl, glsl and sw32.
    
    Evil hack, but it does the job.

 include/QF/GL/qf_vid.h                     |    2 +
 include/QF/GLSL/qf_alias.h                 |    8 +-
 include/QF/GLSL/qf_bsp.h                   |   12 +-
 include/QF/GLSL/qf_lightmap.h              |   13 +-
 include/QF/GLSL/qf_vid.h                   |    2 +-
 include/vid_internal.h                     |    3 +-
 libs/video/renderer/gl/gl_draw.c           |   96 +++---
 libs/video/renderer/gl/gl_dyn_lights.c     |   10 +-
 libs/video/renderer/gl/gl_dyn_part.c       |   37 ++-
 libs/video/renderer/gl/gl_dyn_textures.c   |    3 +
 libs/video/renderer/gl/gl_fog.c            |   78 ++---
 libs/video/renderer/gl/gl_graph.c          |   10 +-
 libs/video/renderer/gl/gl_lightmap.c       |   26 +-
 libs/video/renderer/gl/gl_mod_alias.c      |   14 +-
 libs/video/renderer/gl/gl_mod_sprite.c     |   14 +-
 libs/video/renderer/gl/gl_rmain.c          |   65 ++--
 libs/video/renderer/gl/gl_rmisc.c          |   65 ++--
 libs/video/renderer/gl/gl_rsurf.c          |   55 ++--
 libs/video/renderer/gl/gl_screen.c         |   21 +-
 libs/video/renderer/gl/gl_sky.c            |   12 +-
 libs/video/renderer/gl/gl_sky_clip.c       |    8 +-
 libs/video/renderer/gl/gl_textures.c       |    8 +-
 libs/video/renderer/gl/gl_warp.c           |    6 +-
 libs/video/renderer/gl/namehack.h          |  135 ++++++++
 libs/video/renderer/gl/qfgl_ext.c          |    3 +-
 libs/video/renderer/gl/vid_common_gl.c     |   11 +-
 libs/video/renderer/glsl/glsl_alias.c      |   15 +-
 libs/video/renderer/glsl/glsl_bsp.c        |   49 +--
 libs/video/renderer/glsl/glsl_draw.c       |   71 +++--
 libs/video/renderer/glsl/glsl_fog.c        |   52 +--
 libs/video/renderer/glsl/glsl_lightmap.c   |   13 +-
 libs/video/renderer/glsl/glsl_main.c       |   65 ++--
 libs/video/renderer/glsl/glsl_particles.c  |   42 +--
 libs/video/renderer/glsl/glsl_screen.c     |   16 +-
 libs/video/renderer/glsl/glsl_sprite.c     |    9 +-
 libs/video/renderer/glsl/glsl_textures.c   |    3 +
 libs/video/renderer/glsl/namehack.h        |  138 ++++++++
 libs/video/renderer/sw/vid_common_sw.c     |    2 -
 libs/video/renderer/sw32/d_edge.c          |  126 ++++----
 libs/video/renderer/sw32/d_fill.c          |   14 +-
 libs/video/renderer/sw32/d_init.c          |   64 ++--
 libs/video/renderer/sw32/d_modech.c        |   64 ++--
 libs/video/renderer/sw32/d_part.c          |  136 ++++----
 libs/video/renderer/sw32/d_polyse.c        |   94 +++---
 libs/video/renderer/sw32/d_scan.c          |  350 ++++++++++----------
 libs/video/renderer/sw32/d_sky.c           |   26 +-
 libs/video/renderer/sw32/d_sprite.c        |  278 ++++++++--------
 libs/video/renderer/sw32/d_surf.c          |  124 ++++----
 libs/video/renderer/sw32/d_vars.c          |   26 +-
 libs/video/renderer/sw32/d_zpoint.c        |   32 +-
 libs/video/renderer/sw32/draw.c            |  231 +++++++-------
 libs/video/renderer/sw32/namehack.h        |  474 ++++++++++++++++++++++++++++
 libs/video/renderer/sw32/screen.c          |   35 +-
 libs/video/renderer/sw32/sw32_graph.c      |   14 +-
 libs/video/renderer/sw32/sw32_raclip.c     |   36 ++-
 libs/video/renderer/sw32/sw32_ralias.c     |  184 +++++------
 libs/video/renderer/sw32/sw32_rbsp.c       |  118 +++----
 libs/video/renderer/sw32/sw32_rdraw.c      |  448 +++++++++++++-------------
 libs/video/renderer/sw32/sw32_redge.c      |  110 +++----
 libs/video/renderer/sw32/sw32_rmain.c      |  317 +++++++++----------
 libs/video/renderer/sw32/sw32_rmisc.c      |  104 +++---
 libs/video/renderer/sw32/sw32_rpart.c      |   39 +--
 libs/video/renderer/sw32/sw32_rsky.c       |   46 +--
 libs/video/renderer/sw32/sw32_rsprite.c    |  130 ++++----
 libs/video/renderer/sw32/sw32_rsurf.c      |   60 ++--
 libs/video/renderer/sw32/vid_common_sw32.c |   12 +-
 66 files changed, 2875 insertions(+), 2009 deletions(-)

commit 8de5c9a
Author: Bill Currie <bill@taniwha.org>
Date:   Wed Feb 22 11:09:09 2012 +0900

    Do a final cleanup before doing the big rename.

 include/QF/GL/qf_vid.h                     |    8 ++++----
 libs/video/renderer/gl/gl_dyn_textures.c   |    2 +-
 libs/video/renderer/gl/gl_lightmap.c       |   18 +++++++++---------
 libs/video/renderer/gl/gl_mod_alias.c      |   16 ++++++++--------
 libs/video/renderer/gl/gl_rmain.c          |   12 ++++++------
 libs/video/renderer/gl/gl_rmisc.c          |    4 ++--
 libs/video/renderer/gl/gl_sky.c            |    4 ++--
 libs/video/renderer/gl/gl_textures.c       |    4 ++--
 libs/video/renderer/gl/vid_common_gl.c     |   27 +++++++++++++--------------
 libs/video/renderer/glsl/glsl_screen.c     |   10 +++++-----
 libs/video/renderer/glsl/vid_common_glsl.c |    4 ----
 11 files changed, 52 insertions(+), 57 deletions(-)

commit f700782
Author: Bill Currie <bill@taniwha.org>
Date:   Tue Feb 21 14:10:20 2012 +0900

    Run the vacuum cleaner over sw32's global variables.
    
    This seems to be everything that can be made static.

 include/d_iface.h                      |    4 +--
 include/r_local.h                      |   22 -------------
 libs/video/renderer/sw/d_sky.c         |    2 +-
 libs/video/renderer/sw/sw_rbsp.c       |    3 ++
 libs/video/renderer/sw/sw_rmain.c      |   29 ++++++++++++++---
 libs/video/renderer/sw/sw_rmisc.c      |   22 -------------
 libs/video/renderer/sw/sw_rsky.c       |   18 +++++------
 libs/video/renderer/sw/sw_rsurf.c      |    5 +++
 libs/video/renderer/sw32/d_edge.c      |    2 +-
 libs/video/renderer/sw32/d_sky.c       |    2 +-
 libs/video/renderer/sw32/sw32_ralias.c |    2 +-
 libs/video/renderer/sw32/sw32_rbsp.c   |    3 ++
 libs/video/renderer/sw32/sw32_rdraw.c  |    2 +-
 libs/video/renderer/sw32/sw32_rmain.c  |   32 ++++++++++++++-----
 libs/video/renderer/sw32/sw32_rmisc.c  |   22 -------------
 libs/video/renderer/sw32/sw32_rsky.c   |   14 ++++-----
 libs/video/renderer/sw32/sw32_rsurf.c  |   53 ++++++++++++++++++--------------
 17 files changed, 110 insertions(+), 127 deletions(-)

commit db4a463
Author: Bill Currie <bill@taniwha.org>
Date:   Sat Feb 18 22:28:42 2012 +0900

    Remove VISIBLE from the files that will go into the plugins.

 libs/video/renderer/gl/gl_draw.c           |   36 +++++------
 libs/video/renderer/gl/gl_dyn_part.c       |    8 +--
 libs/video/renderer/gl/gl_graph.c          |    2 +-
 libs/video/renderer/gl/gl_rmain.c          |    4 +-
 libs/video/renderer/gl/gl_rmisc.c          |    6 +-
 libs/video/renderer/gl/gl_screen.c         |    6 +-
 libs/video/renderer/gl/gl_sky.c            |    2 +-
 libs/video/renderer/gl/gl_textures.c       |    2 +-
 libs/video/renderer/gl/qfgl_ext.c          |    6 +-
 libs/video/renderer/gl/vid_common_gl.c     |   92 ++++++++++++++--------------
 libs/video/renderer/glsl/glsl_alias.c      |    2 +-
 libs/video/renderer/glsl/glsl_bsp.c        |    2 +-
 libs/video/renderer/glsl/glsl_draw.c       |   36 +++++------
 libs/video/renderer/glsl/glsl_main.c       |   14 ++---
 libs/video/renderer/glsl/glsl_particles.c  |    8 +--
 libs/video/renderer/glsl/glsl_screen.c     |    8 +--
 libs/video/renderer/glsl/glsl_sprite.c     |    2 +-
 libs/video/renderer/glsl/qfglsl.c          |    4 +-
 libs/video/renderer/glsl/vid_common_glsl.c |   12 ++--
 libs/video/renderer/r_alias.c              |    4 +-
 libs/video/renderer/r_main.c               |    4 +-
 libs/video/renderer/sw/draw.c              |   40 ++++++------
 libs/video/renderer/sw/screen.c            |    2 +-
 libs/video/renderer/sw/sw_rmain.c          |    2 +-
 libs/video/renderer/sw/sw_rpart.c          |    4 +-
 libs/video/renderer/sw/sw_rsky.c           |    2 +-
 libs/video/renderer/sw32/d_surf.c          |    2 +-
 libs/video/renderer/sw32/draw.c            |   38 ++++++------
 libs/video/renderer/sw32/screen.c          |    6 +-
 libs/video/renderer/sw32/sw32_graph.c      |    2 +-
 libs/video/renderer/sw32/sw32_rmain.c      |   10 +--
 libs/video/renderer/sw32/sw32_rpart.c      |    8 +--
 libs/video/renderer/sw32/sw32_rsky.c       |    2 +-
 libs/video/renderer/sw32/vid_common_sw32.c |    6 +-
 34 files changed, 192 insertions(+), 192 deletions(-)

commit eb536dc
Author: Bill Currie <bill@taniwha.org>
Date:   Sat Feb 18 19:36:56 2012 +0900

    Remove D_BeginDirectRect and D_EndDirectRect from gl/glsl.
    
    They were never really needed anyway (they're for the sw renderer).

 libs/video/renderer/gl/vid_common_gl.c     |   10 ----------
 libs/video/renderer/glsl/vid_common_glsl.c |   10 ----------
 2 files changed, 20 deletions(-)

commit e991c1f
Author: Bill Currie <bill@taniwha.org>
Date:   Fri Feb 17 16:13:56 2012 +0900

    Make a bit of progress cleaning up vid for plugins.

 config.d/build_control.m4                  |   16 +--
 include/QF/vid.h                           |   57 +-------
 include/r_internal.h                       |    2 +
 include/vid_internal.h                     |   27 ++++
 libs/models/brush/gl_model_brush.c         |    6 +-
 libs/models/gl_skin.c                      |    2 +-
 libs/video/renderer/gl/gl_textures.c       |    4 +-
 libs/video/renderer/gl/vid_common_gl.c     |  215 +++++++++++++---------------
 libs/video/renderer/glsl/vid_common_glsl.c |   17 +--
 libs/video/renderer/sw/d_init.c            |    1 +
 libs/video/renderer/sw/draw.c              |    7 +-
 libs/video/renderer/sw/screen.c            |    2 +-
 libs/video/renderer/sw/sw_redge.c          |    1 +
 libs/video/renderer/sw/sw_rmain.c          |    1 +
 libs/video/renderer/sw/sw_rmisc.c          |    1 +
 libs/video/renderer/sw/vid_common_sw.c     |    2 +
 libs/video/renderer/sw32/d_edge.c          |    1 +
 libs/video/renderer/sw32/d_fill.c          |    1 +
 libs/video/renderer/sw32/d_init.c          |    1 +
 libs/video/renderer/sw32/d_part.c          |    1 +
 libs/video/renderer/sw32/d_scan.c          |    1 +
 libs/video/renderer/sw32/d_sprite.c        |    1 +
 libs/video/renderer/sw32/d_zpoint.c        |    1 +
 libs/video/renderer/sw32/draw.c            |   21 +--
 libs/video/renderer/sw32/screen.c          |    2 +-
 libs/video/renderer/sw32/sw32_graph.c      |    1 +
 libs/video/renderer/sw32/sw32_redge.c      |    1 +
 libs/video/renderer/sw32/sw32_rmain.c      |    1 +
 libs/video/renderer/sw32/sw32_rmisc.c      |    1 +
 libs/video/renderer/sw32/sw32_rsky.c       |    1 +
 libs/video/renderer/sw32/vid_common_sw32.c |    4 +-
 libs/video/targets/Makefile.am             |   23 +--
 libs/video/targets/context_sdl.c           |    1 +
 libs/video/targets/context_x11.c           |    1 +
 libs/video/targets/in_x11.c                |    2 +-
 libs/video/targets/vid.c                   |    2 +-
 libs/video/targets/vid_fbdev.c             |    7 +-
 libs/video/targets/vid_glx.c               |   33 -----
 libs/video/targets/vid_sdl.c               |    4 +-
 libs/video/targets/vid_x11.c               |    6 +-
 nq/source/sv_ded.c                         |    2 -
 41 files changed, 195 insertions(+), 286 deletions(-)

commit 80f5cc5
Author: Bill Currie <bill@taniwha.org>
Date:   Wed Feb 15 21:49:13 2012 +0900

    Plug a memory leak.
    
    Allocating (and not freeing) rects every frame... ouch.

 libs/video/targets/vid_sdl.c |   14 ++++++++++----
 1 file changed, 10 insertions(+), 4 deletions(-)

commit 96b8043
Author: Bill Currie <bill@taniwha.org>
Date:   Wed Feb 15 09:50:40 2012 +0900

    Make some progress in getting static plugins to link.
    
    Still many redefined symbols (and I expect more to come), and many
    undefined symbols too.

 include/QF/plugin/vid_render.h             |    2 -
 include/r_cvar.h                           |    1 +
 libs/video/renderer/Makefile.am            |    3 +-
 libs/video/renderer/gl/Makefile.am         |    2 +-
 libs/video/renderer/gl/qfgl_ext.c          |  199 ++++++++
 libs/video/renderer/gl/vid_common_gl.c     |  763 ++++++++++++++++++++++++++++
 libs/video/renderer/gl/vtxarray.c          |  641 +++++++++++++++++++++++
 libs/video/renderer/glsl/Makefile.am       |    3 +-
 libs/video/renderer/glsl/qfglsl.c          |  124 +++++
 libs/video/renderer/glsl/vid_common_glsl.c |  401 +++++++++++++++
 libs/video/renderer/sw/Makefile.am         |    7 +-
 libs/video/renderer/sw/d_copy.S            |  176 +++++++
 libs/video/renderer/sw/vid_common_sw.c     |  111 ++++
 libs/video/renderer/sw32/Makefile.am       |    3 +-
 libs/video/renderer/sw32/vid_common_sw32.c |  273 ++++++++++
 libs/video/renderer/vid_common.c           |  118 +++++
 libs/video/renderer/vid_render_gl.c        |   85 ----
 libs/video/renderer/vid_render_glsl.c      |   85 ----
 libs/video/renderer/vid_render_sw.c        |   85 ----
 libs/video/renderer/vid_render_sw32.c      |   85 ----
 libs/video/targets/Makefile.am             |   70 +--
 libs/video/targets/d_copy.S                |  176 -------
 libs/video/targets/qfgl_ext.c              |  199 --------
 libs/video/targets/qfglsl.c                |  124 -----
 libs/video/targets/vid_common_gl.c         |  763 ----------------------------
 libs/video/targets/vid_common_glsl.c       |  400 ---------------
 libs/video/targets/vid_common_sw.c         |  111 ----
 libs/video/targets/vid_common_sw32.c       |  272 ----------
 libs/video/targets/vtxarray.c              |  641 -----------------------
 29 files changed, 2824 insertions(+), 3099 deletions(-)

commit 5f5305d
Author: Bill Currie <bill@taniwha.org>
Date:   Wed Feb 15 09:04:22 2012 +0900

    Map vr_data/funcs to vid_render_data/funcs.

 include/r_internal.h                  |    6 ++++--
 libs/video/renderer/vid_render_gl.c   |    4 ++--
 libs/video/renderer/vid_render_glsl.c |    4 ++--
 libs/video/renderer/vid_render_sw.c   |    4 ++--
 libs/video/renderer/vid_render_sw32.c |    4 ++--
 5 files changed, 12 insertions(+), 10 deletions(-)

commit ad61c7a
Author: Bill Currie <bill@taniwha.org>
Date:   Tue Feb 14 22:19:17 2012 +0900

    Start working on creating the render plugins.
    
    Things blow up quite nicely. :)

 include/QF/plugin/vid_render.h        |    1 +
 libs/video/renderer/Makefile.am       |   16 ++--
 libs/video/renderer/vid_render_gl.c   |  163 +++++++++++++++++++++++++++++++++
 libs/video/renderer/vid_render_glsl.c |  163 +++++++++++++++++++++++++++++++++
 libs/video/renderer/vid_render_sw.c   |  163 +++++++++++++++++++++++++++++++++
 libs/video/renderer/vid_render_sw32.c |  163 +++++++++++++++++++++++++++++++++
 nq/source/Makefile.am                 |  117 ++---------------------
 qw/source/Makefile.am                 |  123 +++----------------------
 8 files changed, 683 insertions(+), 226 deletions(-)

commit 8530959
Author: Bill Currie <bill@taniwha.org>
Date:   Tue Feb 14 21:25:19 2012 +0900

    Link the model libs to the render plugins.

 config.d/build_control.m4              |  174 ++++++--------------------------
 include/QF/model.h                     |   12 +--
 include/QF/plugin/vid_render.h         |   21 ++++
 include/QF/skin.h                      |   11 --
 include/mod_internal.h                 |   24 +++++
 libs/models/Makefile.am                |   37 ++++---
 libs/models/alias/floodfill.c          |    3 +-
 libs/models/alias/gl_mesh.c            |    3 +-
 libs/models/alias/gl_model_alias.c     |    3 +-
 libs/models/alias/glsl_model_alias.c   |    2 +-
 libs/models/alias/model_alias.c        |    2 +-
 libs/models/alias/sw_model_alias.c     |    2 +-
 libs/models/brush/gl_model_brush.c     |    2 +-
 libs/models/brush/glsl_model_brush.c   |    2 +-
 libs/models/brush/model_brush.c        |   10 +-
 libs/models/brush/sw_model_brush.c     |    2 +-
 libs/models/gl_skin.c                  |    1 +
 libs/models/glsl_skin.c                |    1 +
 libs/models/model.c                    |   10 +-
 libs/models/skin.c                     |    3 +-
 libs/models/sprite/gl_model_sprite.c   |    2 +-
 libs/models/sprite/glsl_model_sprite.c |    2 +-
 libs/models/sprite/model_sprite.c      |    2 +-
 libs/models/sprite/sw_model_sprite.c   |    2 +-
 libs/models/sw_skin.c                  |    2 +-
 libs/video/renderer/Makefile.am        |   28 +++--
 libs/video/renderer/gl/gl_rmisc.c      |    1 +
 nq/source/Makefile.am                  |    8 +-
 nq/source/cl_main.c                    |    1 -
 nq/source/cl_parse.c                   |   15 +--
 qw/source/Makefile.am                  |    8 +-
 qw/source/cl_entparse.c                |    2 +-
 qw/source/cl_parse.c                   |   11 +-
 qw/source/cl_skin.c                    |    2 -
 34 files changed, 173 insertions(+), 238 deletions(-)

commit 8e91fb7
Author: Bill Currie <bill@taniwha.org>
Date:   Tue Feb 14 19:47:02 2012 +0900

    Get the basics linking.
    
    Still, nothing will work: no plugins are loaded and they're all broken
    anyway.
    
    glx, sgl, glslx etc are going away, just the basics will be built: fbdev
    (probably go away eventually), sdl, x11 and hopefully someday win. That's
    actually the only reason anything links.

 config.d/build_control.m4            |    2 +-
 include/QF/plugin/vid_render.h       |   14 ++
 include/QF/render.h                  |   19 +++
 include/QF/screen.h                  |    2 -
 include/QF/vid.h                     |    2 +
 include/d_iface.h                    |   20 +--
 include/r_cvar.h                     |    4 -
 include/r_screen.h                   |    2 +
 libs/models/Makefile.am              |    8 +-
 libs/video/renderer/r_cvar.c         |   10 --
 libs/video/targets/context_sdl.c     |    3 +-
 libs/video/targets/context_x11.c     |   17 ++-
 libs/video/targets/in_x11.c          |   13 +-
 libs/video/targets/vid.c             |   32 ++---
 libs/video/targets/vid_common_glsl.c |    1 -
 libs/video/targets/vid_common_sw.c   |   68 +++++-----
 libs/video/targets/vid_common_sw32.c |    1 -
 libs/video/targets/vid_fbdev.c       |   79 ++++++------
 libs/video/targets/vid_glx.c         |    1 -
 libs/video/targets/vid_sdl.c         |   29 ++---
 libs/video/targets/vid_sdl32.c       |    1 -
 libs/video/targets/vid_sgl.c         |    1 -
 libs/video/targets/vid_x11.c         |   62 ++++-----
 nq/source/sbar.c                     |    2 +
 qw/include/client.h                  |    9 +-
 qw/source/Makefile.am                |    9 +-
 qw/source/cl_cam.c                   |   18 +--
 qw/source/cl_demo.c                  |    2 +-
 qw/source/cl_entparse.c              |    4 +-
 qw/source/cl_ents.c                  |   65 +++++-----
 qw/source/cl_input.c                 |    2 +-
 qw/source/cl_main.c                  |   48 +++----
 qw/source/cl_ngraph.c                |   34 +++--
 qw/source/cl_parse.c                 |   33 ++---
 qw/source/cl_screen.c                |   42 +++---
 qw/source/cl_tent.c                  |   47 +++----
 qw/source/cl_view.c                  |   82 ++++++------
 qw/source/sbar.c                     |  237 ++++++++++++++++++----------------
 38 files changed, 525 insertions(+), 500 deletions(-)

commit a4c280f
Author: Bill Currie <bill@taniwha.org>
Date:   Tue Feb 14 17:28:09 2012 +0900

    Take the first step towards render plugins.
    
    No clients link. Even if they did, nothing would work.

 config.d/build_control.m4                 |   29 +--
 include/QF/draw.h                         |    2 +-
 include/QF/plugin.h                       |    2 +
 include/QF/plugin/vid_render.h            |  153 ++++++++++++++
 include/QF/render.h                       |   85 ++------
 include/QF/screen.h                       |   13 --
 include/QF/vid.h                          |    1 -
 include/d_local.h                         |   22 +-
 include/r_cvar.h                          |    2 -
 include/r_dynamic.h                       |   28 ---
 include/r_internal.h                      |   79 ++++++++
 include/r_local.h                         |   23 ---
 include/r_screen.h                        |   11 +
 include/r_shared.h                        |    3 -
 libs/console/client.c                     |   19 +-
 libs/models/gl_skin.c                     |    2 +-
 libs/models/glsl_skin.c                   |    2 +
 libs/models/null_model.c                  |    5 -
 libs/models/skin.c                        |    8 +-
 libs/video/renderer/Makefile.am           |   65 +++---
 libs/video/renderer/crosshair.c           |    2 +-
 libs/video/renderer/gl/gl_draw.c          |    4 +-
 libs/video/renderer/gl/gl_dyn_lights.c    |    7 +-
 libs/video/renderer/gl/gl_dyn_part.c      |  308 ++++++++++++++++------------
 libs/video/renderer/gl/gl_dyn_textures.c  |    2 +-
 libs/video/renderer/gl/gl_fog.c           |   16 +-
 libs/video/renderer/gl/gl_graph.c         |    2 +-
 libs/video/renderer/gl/gl_lightmap.c      |    4 +-
 libs/video/renderer/gl/gl_mod_alias.c     |    8 +-
 libs/video/renderer/gl/gl_mod_sprite.c    |    5 +-
 libs/video/renderer/gl/gl_rmain.c         |   10 +-
 libs/video/renderer/gl/gl_rmisc.c         |    4 +-
 libs/video/renderer/gl/gl_rsurf.c         |   14 +-
 libs/video/renderer/gl/gl_screen.c        |   13 +-
 libs/video/renderer/gl/gl_sky.c           |    7 +-
 libs/video/renderer/gl/gl_sky_clip.c      |    7 +-
 libs/video/renderer/gl/gl_textures.c      |    2 +-
 libs/video/renderer/gl/gl_warp.c          |    5 +-
 libs/video/renderer/glsl/glsl_alias.c     |    4 +-
 libs/video/renderer/glsl/glsl_bsp.c       |   16 +-
 libs/video/renderer/glsl/glsl_draw.c      |    4 +-
 libs/video/renderer/glsl/glsl_fog.c       |   16 +-
 libs/video/renderer/glsl/glsl_lightmap.c  |    2 +-
 libs/video/renderer/glsl/glsl_main.c      |   10 +-
 libs/video/renderer/glsl/glsl_particles.c |  312 +++++++++++++++++------------
 libs/video/renderer/glsl/glsl_screen.c    |   13 +-
 libs/video/renderer/glsl/glsl_sprite.c    |    4 +-
 libs/video/renderer/r_alias.c             |    6 +-
 libs/video/renderer/r_bsp.c               |    6 +-
 libs/video/renderer/r_cvar.c              |   16 +-
 libs/video/renderer/r_dyn_textures.c      |    2 +-
 libs/video/renderer/r_efrag.c             |    2 +-
 libs/video/renderer/r_ent.c               |   11 +-
 libs/video/renderer/r_graph.c             |    4 +-
 libs/video/renderer/r_init.c              |   78 ++++++++
 libs/video/renderer/r_light.c             |   20 +-
 libs/video/renderer/r_main.c              |   10 +-
 libs/video/renderer/r_part.c              |   61 ++----
 libs/video/renderer/r_progs.c             |   30 +--
 libs/video/renderer/r_screen.c            |   24 +--
 libs/video/renderer/sw/Makefile.am        |    6 +-
 libs/video/renderer/sw/d_edge.c           |    2 +-
 libs/video/renderer/sw/d_fill.c           |    2 +-
 libs/video/renderer/sw/d_init.c           |    2 +-
 libs/video/renderer/sw/d_modech.c         |    1 +
 libs/video/renderer/sw/d_part.c           |    2 +-
 libs/video/renderer/sw/d_polyse.c         |    2 +-
 libs/video/renderer/sw/d_scan.c           |    6 +-
 libs/video/renderer/sw/d_sky.c            |    2 +-
 libs/video/renderer/sw/d_sprite.c         |    1 +
 libs/video/renderer/sw/d_surf.c           |    2 +-
 libs/video/renderer/sw/d_zpoint.c         |    1 +
 libs/video/renderer/sw/draw.c             |    2 +-
 libs/video/renderer/sw/fpu.c              |    2 +-
 libs/video/renderer/sw/nonintel.c         |    2 +-
 libs/video/renderer/sw/screen.c           |    8 +-
 libs/video/renderer/sw/sw_fog.c           |   43 ----
 libs/video/renderer/sw/sw_graph.c         |    3 +-
 libs/video/renderer/sw/sw_raclip.c        |    2 +-
 libs/video/renderer/sw/sw_ralias.c        |    7 +-
 libs/video/renderer/sw/sw_rbsp.c          |    2 +-
 libs/video/renderer/sw/sw_rdraw.c         |    2 +-
 libs/video/renderer/sw/sw_redge.c         |    2 +-
 libs/video/renderer/sw/sw_rmain.c         |   15 +-
 libs/video/renderer/sw/sw_rmisc.c         |    6 +-
 libs/video/renderer/sw/sw_rpart.c         |   96 ++++-----
 libs/video/renderer/sw/sw_rsky.c          |    4 +-
 libs/video/renderer/sw/sw_rsprite.c       |    4 +-
 libs/video/renderer/sw/sw_rsurf.c         |    4 +-
 libs/video/renderer/sw32/Makefile.am      |    2 +-
 libs/video/renderer/sw32/d_edge.c         |    2 +-
 libs/video/renderer/sw32/d_fill.c         |    1 +
 libs/video/renderer/sw32/d_init.c         |    2 +-
 libs/video/renderer/sw32/d_modech.c       |    1 +
 libs/video/renderer/sw32/d_part.c         |    2 +-
 libs/video/renderer/sw32/d_polyse.c       |    2 +-
 libs/video/renderer/sw32/d_scan.c         |   10 +-
 libs/video/renderer/sw32/d_sky.c          |    2 +-
 libs/video/renderer/sw32/d_sprite.c       |    1 +
 libs/video/renderer/sw32/d_surf.c         |    2 +-
 libs/video/renderer/sw32/d_zpoint.c       |    1 +
 libs/video/renderer/sw32/draw.c           |    2 +-
 libs/video/renderer/sw32/screen.c         |    9 +-
 libs/video/renderer/sw32/sw32_fog.c       |   43 ----
 libs/video/renderer/sw32/sw32_graph.c     |    3 +-
 libs/video/renderer/sw32/sw32_raclip.c    |    2 +-
 libs/video/renderer/sw32/sw32_ralias.c    |    4 +-
 libs/video/renderer/sw32/sw32_rbsp.c      |    2 +-
 libs/video/renderer/sw32/sw32_rdraw.c     |    2 +-
 libs/video/renderer/sw32/sw32_redge.c     |    2 +-
 libs/video/renderer/sw32/sw32_rmain.c     |   15 +-
 libs/video/renderer/sw32/sw32_rmisc.c     |    6 +-
 libs/video/renderer/sw32/sw32_rpart.c     |   96 ++++-----
 libs/video/renderer/sw32/sw32_rsky.c      |    4 +-
 libs/video/renderer/sw32/sw32_rsprite.c   |    4 +-
 libs/video/renderer/sw32/sw32_rsurf.c     |    2 +-
 libs/video/targets/context_sdl.c          |    1 +
 libs/video/targets/context_x11.c          |    1 +
 libs/video/targets/in_x11.c               |    1 +
 libs/video/targets/vid.c                  |    1 +
 libs/video/targets/vid_common_glsl.c      |    3 +-
 libs/video/targets/vid_common_sw.c        |    2 +
 libs/video/targets/vid_common_sw32.c      |    3 +-
 libs/video/targets/vid_fbdev.c            |    1 +
 libs/video/targets/vid_glx.c              |    3 +-
 libs/video/targets/vid_sdl.c              |    1 +
 libs/video/targets/vid_sdl32.c            |    1 +
 libs/video/targets/vid_sgl.c              |    3 +-
 libs/video/targets/vid_x11.c              |    1 +
 nq/include/client.h                       |    3 +-
 nq/source/Makefile.am                     |    9 +-
 nq/source/cl_cam.c                        |   26 +--
 nq/source/cl_ents.c                       |   50 ++---
 nq/source/cl_input.c                      |    4 +-
 nq/source/cl_main.c                       |   16 +-
 nq/source/cl_parse.c                      |   41 ++--
 nq/source/cl_screen.c                     |   35 ++--
 nq/source/cl_tent.c                       |   47 +++--
 nq/source/cl_view.c                       |  104 +++++-----
 nq/source/host.c                          |   22 +-
 nq/source/sbar.c                          |  304 +++++++++++++++-------------
 nq/source/sv_ded.c                        |   30 +--
 qw/source/cl_screen.c                     |    4 +-
 143 files changed, 1485 insertions(+), 1314 deletions(-)

commit 1cbabf7
Author: Bill Currie <bill@taniwha.org>
Date:   Wed Apr 11 14:56:49 2012 +0900

    Fix a buffer overflow.
    
    gcc 4.7 found it :)

 libs/gib/exp.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 28b6a37
Author: Bill Currie <bill@taniwha.org>
Date:   Wed Mar 21 12:31:01 2012 +0900

    Update for 0.6.3

 NEWS |   19 ++++++++++++++++++-
 1 file changed, 18 insertions(+), 1 deletion(-)

commit 39e1ccc
Author: Bill Currie <bill@taniwha.org>
Date:   Wed Mar 14 16:08:48 2012 +0900

    Don't try to process skins in GL without a player model.
    
    If the client receives a skin updated message from the server before having
    loaded the player model (shouldn't happen, but some servers have very
    strange programmers), no skin data is avaible for updating, so just bail
    out.

 libs/models/gl_skin.c |    2 ++
 1 file changed, 2 insertions(+)

commit bb1a342
Author: Antti Harri <iku@openbsd.fi>
Date:   Sat Mar 3 13:46:13 2012 +0200

    Use correct name for OpenGL library on OpenBSD by default.

 config.d/paths.m4 |    2 ++
 configure.ac      |    5 +++++
 2 files changed, 7 insertions(+)

commit 5e33089
Author: Bill Currie <bill@taniwha.org>
Date:   Sat Mar 3 20:57:45 2012 +0900

    Fix the missing terminator for non-static plugins.
    
    Thanks to iku for pointing it out.

 m4/quakeforge.m4 |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a3e5333
Author: Bill Currie <bill@taniwha.org>
Date:   Wed Feb 22 17:47:16 2012 +0900

    Put my blender struts script in a safe place.
    
    Nothing to do with QF, but then again, it might be useful.

 tools/misc/MakeStruts.py |  206 ++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 206 insertions(+)

commit 8267906
Author: Bill Currie <bill@taniwha.org>
Date:   Sat Feb 18 21:33:54 2012 +0900

    Run a vacuum cleaner over the diffs between x11 and glx init.
    
    X11 and GLX init are nowhere near as scary as I thought they were, once
    they've been tidied up.

 include/context_x11.h              |    1 +
 libs/video/targets/context_x11.c   |    5 ++-
 libs/video/targets/vid_common_gl.c |    6 +++
 libs/video/targets/vid_glx.c       |   48 ++++++++++-----------
 libs/video/targets/vid_x11.c       |   82 ++++++++++++++++++------------------
 5 files changed, 76 insertions(+), 66 deletions(-)

commit eff8ebd
Author: Bill Currie <bill@taniwha.org>
Date:   Sat Feb 18 14:54:20 2012 +0900

    Fix a snafu.
    
    In all that, I forgot to test non-asm builds.

 libs/video/renderer/sw/sw_rsurf.c |    3 +++
 1 file changed, 3 insertions(+)

commit 72fb962
Author: Bill Currie <bill@taniwha.org>
Date:   Sat Feb 18 14:34:14 2012 +0900

    Cleanup global symbols for the sw and sw32 renderers.
    
    Names not mangled, but those symbols that could be made static have been.
    Also, many dead variables have been removed.

 include/QF/render.h                    |    2 --
 include/d_iface.h                      |    8 +-----
 include/quakeasm.h                     |    1 -
 include/r_cvar.h                       |    1 -
 include/r_local.h                      |   24 +----------------
 include/r_shared.h                     |    4 +--
 libs/video/renderer/sw/d_edge.c        |    1 -
 libs/video/renderer/sw/d_init.c        |    5 ----
 libs/video/renderer/sw/d_polyse.c      |    7 ++---
 libs/video/renderer/sw/d_surf.c        |    5 ++--
 libs/video/renderer/sw/draw.c          |    8 +++---
 libs/video/renderer/sw/sw_ralias.c     |    5 ++--
 libs/video/renderer/sw/sw_rbsp.c       |    2 +-
 libs/video/renderer/sw/sw_rdraw.c      |    4 +--
 libs/video/renderer/sw/sw_redge.c      |    6 +++--
 libs/video/renderer/sw/sw_rmain.c      |   30 +++++++--------------
 libs/video/renderer/sw/sw_rmisc.c      |    2 --
 libs/video/renderer/sw/sw_rpart.c      |    6 ++---
 libs/video/renderer/sw/sw_rsky.c       |    9 +++----
 libs/video/renderer/sw/sw_rsurf.c      |   13 +++++----
 libs/video/renderer/sw32/d_edge.c      |    1 -
 libs/video/renderer/sw32/d_init.c      |    5 ----
 libs/video/renderer/sw32/d_polyse.c    |   45 +++++++++++++++----------------
 libs/video/renderer/sw32/d_scan.c      |   10 +++----
 libs/video/renderer/sw32/d_surf.c      |    7 ++---
 libs/video/renderer/sw32/draw.c        |    8 +++---
 libs/video/renderer/sw32/sw32_ralias.c |    9 +++----
 libs/video/renderer/sw32/sw32_rbsp.c   |    2 +-
 libs/video/renderer/sw32/sw32_rdraw.c  |    4 +--
 libs/video/renderer/sw32/sw32_redge.c  |   16 +++++------
 libs/video/renderer/sw32/sw32_rmain.c  |   46 +++++++-------------------------
 libs/video/renderer/sw32/sw32_rmisc.c  |    4 ---
 libs/video/renderer/sw32/sw32_rpart.c  |    6 ++---
 libs/video/renderer/sw32/sw32_rsky.c   |   13 +++++----
 libs/video/renderer/sw32/sw32_rsurf.c  |   14 +++++-----
 35 files changed, 120 insertions(+), 213 deletions(-)

commit ef37ed3
Author: Bill Currie <bill@taniwha.org>
Date:   Fri Feb 17 18:57:13 2012 +0900

    Clean up global symbols for the glsl renderer.
    
    Where possible, symbols have been made static, prefixed with glsl_/GLSL_ or
    moved into the code shared by all renderers. This will make doing plugins
    easier but done now for link testing. The moving was done via the gl
    commit.

 include/QF/GLSL/qf_textures.h             |   33 +++++-----
 include/QF/GLSL/qf_vid.h                  |    8 +--
 libs/models/alias/glsl_model_alias.c      |    6 +-
 libs/models/brush/glsl_model_brush.c      |    8 +--
 libs/models/sprite/glsl_model_sprite.c    |    8 +--
 libs/video/renderer/glsl/glsl_alias.c     |   45 ++++++-------
 libs/video/renderer/glsl/glsl_bsp.c       |  102 +++++++++++++++--------------
 libs/video/renderer/glsl/glsl_draw.c      |   46 +++++++------
 libs/video/renderer/glsl/glsl_lightmap.c  |   12 ++--
 libs/video/renderer/glsl/glsl_main.c      |    7 --
 libs/video/renderer/glsl/glsl_particles.c |   44 ++++++-------
 libs/video/renderer/glsl/glsl_sprite.c    |   32 ++++-----
 libs/video/renderer/glsl/glsl_textures.c  |   41 ++++++------
 libs/video/targets/vid_common_glsl.c      |   14 ++--
 14 files changed, 202 insertions(+), 204 deletions(-)

commit 447ff2f
Author: Bill Currie <bill@taniwha.org>
Date:   Fri Feb 17 18:33:07 2012 +0900

    Clean up global symbols for the gl renderer.
    
    Where possible, symbols have been made static, prefixed with gl_/GL_ or
    moved into the code shared by all renderers. This will make doing plugins
    easier but done now for link testing.

 include/QF/GL/qf_lightmap.h              |   10 ++-
 include/QF/GL/qf_rlight.h                |    2 +-
 include/QF/GL/qf_rmain.h                 |    7 +--
 include/QF/GL/qf_rsurf.h                 |    5 +-
 include/QF/GL/qf_sky.h                   |    4 +-
 include/QF/GL/qf_textures.h              |   11 +---
 include/QF/GLSL/qf_lightmap.h            |    1 -
 include/r_local.h                        |    2 +
 include/r_shared.h                       |    4 +-
 include/varrays.h                        |   20 +-----
 libs/models/gl_skin.c                    |    4 +-
 libs/video/renderer/gl/gl_draw.c         |   18 +++---
 libs/video/renderer/gl/gl_dyn_lights.c   |   10 +--
 libs/video/renderer/gl/gl_dyn_part.c     |   16 ++---
 libs/video/renderer/gl/gl_dyn_textures.c |   14 ++---
 libs/video/renderer/gl/gl_graph.c        |    2 +-
 libs/video/renderer/gl/gl_lightmap.c     |   85 +++++++++++++------------
 libs/video/renderer/gl/gl_mod_alias.c    |   22 ++-----
 libs/video/renderer/gl/gl_mod_sprite.c   |   43 ++++++-------
 libs/video/renderer/gl/gl_rmain.c        |   65 +++++++------------
 libs/video/renderer/gl/gl_rmisc.c        |   12 ++--
 libs/video/renderer/gl/gl_rsurf.c        |   42 +++++--------
 libs/video/renderer/gl/gl_sky.c          |  100 +++++++++++++++---------------
 libs/video/renderer/gl/gl_sky_clip.c     |   10 +--
 libs/video/renderer/gl/gl_textures.c     |   12 ++--
 libs/video/renderer/gl/gl_warp.c         |    6 +-
 libs/video/renderer/glsl/glsl_draw.c     |    2 -
 libs/video/renderer/glsl/glsl_main.c     |    9 ---
 libs/video/renderer/r_alias.c            |    4 ++
 libs/video/renderer/r_bsp.c              |    1 +
 libs/video/renderer/r_main.c             |   27 ++++++++
 libs/video/renderer/r_screen.c           |    1 +
 libs/video/renderer/sw/d_surf.c          |    1 -
 libs/video/renderer/sw/draw.c            |    1 -
 libs/video/renderer/sw/sw_ralias.c       |    5 --
 libs/video/renderer/sw/sw_rbsp.c         |    6 --
 libs/video/renderer/sw/sw_rmain.c        |   15 -----
 libs/video/renderer/sw32/d_surf.c        |    1 -
 libs/video/renderer/sw32/draw.c          |    1 -
 libs/video/renderer/sw32/sw32_ralias.c   |    4 --
 libs/video/renderer/sw32/sw32_rbsp.c     |    6 --
 libs/video/renderer/sw32/sw32_rmain.c    |   15 -----
 libs/video/targets/vid_common_gl.c       |   20 +++---
 43 files changed, 268 insertions(+), 378 deletions(-)

commit 057da55
Author: Bill Currie <bill@taniwha.org>
Date:   Sat Feb 18 11:46:46 2012 +0900

    Fix the incorrect linkage of libQFrenderer*
    
    They're now currently not installed, but they were still building as shared
    libs, and thus the installed bins were broken.

 libs/video/renderer/Makefile.am |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 02a624c
Author: Antti Harri <iku@openbsd.fi>
Date:   Fri Feb 17 18:10:15 2012 +0200

    Fix curl; use LIBCURL_CFLAGS, not LIBCURL_CPPFLAGS.

 qw/source/Makefile.am |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 78789a6
Author: Bill Currie <bill@taniwha.org>
Date:   Thu Feb 16 20:47:38 2012 +0900

    Add support for blender's environment maps.
    
    QF will now load a single image with (${skyname}_map.*) using blender's
    layout. That is, 3x2 with the top row being back, right, front and the
    bottom row being bottom, top, left.

 libs/video/renderer/glsl/glsl_bsp.c |  105 +++++++++++++++++++++++++++++------
